﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;

/// <summary>
/// logo 的摘要说明
/// </summary>
public class logo
{
    public string constring = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + System.Web.HttpContext.Current.Server.MapPath(System.Configuration.ConfigurationManager.AppSettings["astconstring"].ToString());   //数据库连接串
    public OleDbConnection mycon = new OleDbConnection();                                            //OleDbConnection实例化对象 
    public logo()
    {
        if (sqlchecker.checking())
        {
            if (mycon.State == ConnectionState.Open)
                mycon.Close();
        }
        else

            mycon.ConnectionString = constring;
    }

    public void adduser(string logoname, string pwd)
    {
        OleDbCommand mycmd = new OleDbCommand("adduser", mycon);
        mycmd.CommandType = CommandType.StoredProcedure;
        mycmd.Parameters.Add("@logoname", logoname);
        mycmd.Parameters.Add("@pwd", pwd);
        mycon.Open();
        mycmd.ExecuteNonQuery();
        mycon.Close();
    }

    public bool logoin(string logoname, string pwd)
    {
        bool flag = false;
        OleDbCommand mycmd = new OleDbCommand("logo", mycon);
        mycmd.CommandType = CommandType.StoredProcedure;
        mycmd.Parameters.Add("@logoname", logoname);
        mycmd.Parameters.Add("@pwd", pwd);
        mycon.Open();
        OleDbDataReader reader = mycmd.ExecuteReader();
        if (reader.HasRows)
        {
            flag = true;
        }
        reader.Close();
        mycon.Close();
        return flag;
    }

    //*****************************************************************
    //作用：反回用户id
    //参数：相关内容
    //返回值：无
    //*****************************************************************
    /// <summary>
    /// 
    /// </summary>
    /// <param name="@logoname">栏目类型码</param>
    /// <param name="@pwd">栏目内容</param>
    /// <returns></returns> 
    /// 
    public int returnid(string logoname, string pwd)
    {
        int reccount = 0;
        OleDbCommand mycmd = new OleDbCommand("returnid", mycon);
        mycmd.CommandType = CommandType.StoredProcedure;
        mycmd.Parameters.Add("@logoname", logoname);
        mycmd.Parameters.Add("@pwd", pwd);
        mycon.Open();
        OleDbDataReader reader = mycmd.ExecuteReader();
        if (reader.HasRows)
        {
            reader.Read();
            reccount = Convert.ToInt32(reader["id"].ToString());
        }
        reader.Close();
        mycon.Close();
        return reccount;
    }

    public void edituser(string logoname, string pwd,string oldlogoname)
    {
        OleDbCommand mycmd = new OleDbCommand("edituser", mycon);
        mycmd.CommandType = CommandType.StoredProcedure;
        mycmd.Parameters.Add("@logoname", logoname);
        mycmd.Parameters.Add("@pwd", pwd);
        mycmd.Parameters.Add("@oldlogoname", oldlogoname);
        mycon.Open();
        mycmd.ExecuteNonQuery();
        mycon.Close();
    }
}
