﻿using System;
using System.Data.OleDb;

public partial class controls_jobdetail1 : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["id"] != null)
        {
            try
            {
                init(Request.QueryString["id"]);
            }
            catch { }
        }
    }

    #region
    protected void init(string id)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("select * from hrinfo where id=?", con);
        cmd.Parameters.Add("id", id);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            reader.Read();
            jobname.Text = reader["jobname"].ToString();
            jobtype.Text = reader["jobleixin"].ToString();
            jobaddr.Text = reader["jobaddr"].ToString();
            jobnum.Text = reader["zhaopingnum"].ToString();
            xuli.Text = reader["xueli"].ToString();
            age.Text = reader["age"].ToString();
            sex.Text = reader["sex"].ToString();
            jy.Text = reader["jingyan"].ToString();
            dy.Text = reader["daiyu"].ToString();
            other.Text = reader["other"].ToString();
            start.Text = reader["starttime"].ToString().Replace("0:00:00", "");
            end.Text = reader["endtime"].ToString().Replace("0:00:00", "");
            area.Text = reader["mianshiyaoqiou"].ToString();
        }
        reader.Close();
        con.Close();
    }
    #endregion
    protected void ImageButton1_Click(object sender, System.Web.UI.ImageClickEventArgs e)
    {
        Response.Redirect("hr1.aspx?pg=" + Request.QueryString["pg"] + "&sitePageId=" + Request.QueryString["sitePageId"]);
    }
    protected void ImageButton2_Click(object sender, System.Web.UI.ImageClickEventArgs e)
    {
        if (Request.QueryString["id"] != null)
        {
            Response.Redirect("addhrinfo.aspx?id=" + Request.QueryString["id"] + "&sitePageId=" + Request.QueryString["sitePageId"]);
        }
    }
}