﻿/***************************/
//@Author: Adrian "yEnS" Mato Gondelle & Ivan Guardado Castro
//@website: www.yensdesign.com
//@pnm: yensamg@gmail.com
//@license: Feel free to use it, but keep this credits please!					
/***************************/

$(document).ready(function () {
    //global vars
    var form = $("#commentform");
    var author = $("#author");
    var authorInfo = $("#authorInfo");
    var email = $("#email");
    var emailInfo = $("#emailInfo");
    var url = $("#url");
    var urlInfo = $("#urlInfo");
    var comment = $("#comment");
    var commentInfo = $("#commentInfo");
    var code = $("#zipcode");
    var codeInfo = $("#codeInfo");
    //On blur
    author.blur(validateauthor);
    email.blur(validateemail);
    url.blur(validateurl);
    comment.blur(validatecomment);
    ////On key press
    author.keyup(validateauthor);
    email.keyup(validateemail);
    url.keyup(validateurl);
    comment.keyup(validatecomment);
    //On Submitting
    jQuery("#send").click(function () {        
        if (validateauthor() & validateemail() & validateurl() & validatecomment()) {
            $.ajax({
                type: "get",    //页面请求的类型，通常使用POST,那么处理页需要使用Request.Form["参数名称"]来获取页面传递的参数
                url: "controls/Archives_Response.ashx",   //处理页的相对地址
                data: { author: $('#author').val(), email: $('#email').val(), url: $('#url').val(), comment: $('#comment').val(), comment_Archives_ID: $('#comment_Archives_ID').val(), code: $('#zipcode').val() },
                success: function (msg) {    //这是处理后执行的函数，msg是处理页返回的数据
                    if (msg.indexOf('验证码错误') != -1) {
                        code.addClass("error");
                        codeInfo.text("验证码错误!");
                        code.focus();
                        codeInfo.addClass("error");
                    }
                    else
                    {
                        code.removeClass("error");
                        alert(msg);
                        codeInfo.removeClass("error");
                        author.val("");
                        email.val("");
                        url.val("");
                        comment.val("");
                        code.val("");
                        authorInfo.html("Name(required)");
                        emailInfo.html("Mail (will not be published) (required)！");
                        urlInfo.html("");
                        commentInfo.html("Comment(required)");
                        codeInfo.html("*")
                    }                    
                    $("#yzimg").click();
                }
            });
            return true;
        }
        else {
            return false;
        }
    });

    //validation functions
    function validateauthor() {
        //if it's NOT valid
        if (author.val().length < 2) {
            author.addClass("error");
            authorInfo.html("Name (required)!");
            authorInfo.addClass("error");
            return false;
        }
            //if it's valid
        else {
            author.removeClass("error");
            authorInfo.html("OK！");
            authorInfo.removeClass("error");
            return true;
        }
    }
    function validateemail() {
        //testing regular expression
        var a = $("#email").val();
        var filter = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/;
        //if it's valid pnm
        if (filter.test(a)) {
            email.removeClass("error");
            emailInfo.html("OK！");
            emailInfo.removeClass("error");
            return true;
        }
            //if it's NOT valid
        else {
            email.addClass("error");
            emailInfo.html("Mail (will not be published) (required)！");
            emailInfo.addClass("error");
            return false;
        }
    }
    function validateurl() {
        //it's NOT valid
        if (url.val().length < 6 && url.val().length > 0) {
            url.addClass("error");
            urlInfo.html("Websize Error！");
            urlInfo.addClass("error")
            return false;
        }
            //it's valid
        else if (url.val().length == 0)
        {
            return true;
        }
        else {
            url.removeClass("error");
            urlInfo.html("OK！");
            urlInfo.removeClass("error");
            return true;
        }
    }
    function validatecomment() {
        //if it's NOT valid
        if (comment.val().length < 2) {
            comment.addClass("error");
            commentInfo.text("Comment (required)!");
            commentInfo.addClass("error");
            return false;
        }
            //if it's valid
        else {
            comment.removeClass("error");
            commentInfo.html("OK！");
            commentInfo.removeClass("error");
            return true;
        }
    }
});