﻿using System;
using System.Data;
using System.Data.OleDb;
using System.Text.RegularExpressions;
using System.Text;

public partial class controls_new_page : System.Web.UI.UserControl
{
    static string[] temparea;
    static string[] Keywords;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["pg"] == null)
        {
            if (Request.QueryString["id"] != null)
            {
                shownewsdetail(Convert.ToInt32(Request.QueryString["id"]), 1);

            }
        }
        else
        {
            if (Request.QueryString["id"] != null)
            {
                shownewsdetail(Convert.ToInt32(Request.QueryString["id"]), Convert.ToInt32(Request.QueryString["pg"]));

            }
        }
        click();

    }

    #region 新闻展示
    /// <summary>
    /// 展示新闻
    /// </summary>
    /// <param name="id">新闻编号</param>
    /// <param name="curpg">当前页</param>
    protected void shownewsdetail(int id, int curpg)
    {

        #region  得到具体数据
        DataSet ds = DBUtility.DbHelperOleDb.Query("select * from news where news_id=" + Request.QueryString["id"]);
        string class_id = "";
        if (ds.Tables[0].Rows.Count > 0)
        {
            title.Text = ds.Tables[0].Rows[0]["news_title"].ToString().Trim();
            uptime.Text = string.Format("{0:yyyy-MM-dd}", ds.Tables[0].Rows[0]["AddedDate"]);
            times.Text = ds.Tables[0].Rows[0]["Times"].ToString().Trim();
            class_id = ds.Tables[0].Rows[0]["news_group"].ToString();
            area.Text = ds.Tables[0].Rows[0]["content"].ToString().Trim();
        }
        #endregion

        #region 上一页下一页

        DataSet ds1 = DBUtility.DbHelperOleDb.Query("select top 1 news_title,IconUrl,news_id,AddedDate,news_group from news where news_id>" + id + " and news_group=" + class_id + " order by news_id");

        if (ds1.Tables[0].Rows.Count > 0)
        {
            upnew.Text = "<a class=\"name\" href=\"news_info.aspx?id=" + ds1.Tables[0].Rows[0]["news_id"].ToString() + "&sitePageId=" + ds1.Tables[0].Rows[0]["news_group"].ToString() + "\">" + ds1.Tables[0].Rows[0]["news_title"].ToString() + "</a>";
        }
        else
            upnew.Text = "<a class=\"name\" style=\"cursor: default; background: none; color: #666\">No Infomation！</a>";


        DataSet ds2 = DBUtility.DbHelperOleDb.Query("select top 1 news_title,IconUrl,news_id,AddedDate,news_group from news where news_id<" + id + " and news_group=" + class_id + " order by news_id desc");
        if (ds2.Tables[0].Rows.Count > 0)
        {
            nextnew.Text += "<a class=\"name\" href=\"news_info.aspx?id=" + ds2.Tables[0].Rows[0]["news_id"].ToString() + "&sitePageId=" + ds2.Tables[0].Rows[0]["news_group"].ToString() + "\">" + ds2.Tables[0].Rows[0]["news_title"].ToString() + "</a>";
        }
        else
        {
            nextnew.Text += "<a class=\"name\" style=\"cursor: default; background: none; color: #666\">No Infomation！</a>";
        }
        #endregion
    }
    #endregion
    #region 点击次数
    protected void click()
    {
        if (Session["hits"] == null)
        {
            Session["hits"] = "|";
        }
        if (!Session["hits"].ToString().Contains("|" + Request.QueryString["id"] + "|"))
        {
            Session["hits"] = Session["hits"].ToString() + Request.QueryString["id"] + "|";
            StringBuilder strsql = new StringBuilder();
            strsql.Append("update news set Times=Times+1");
            strsql.Append(" where news_id=@news_id");
            OleDbParameter[] parameter ={
                        new OleDbParameter("@news_id",OleDbType.Integer,4)};
            parameter[0].Value = Convert.ToInt32(Request.QueryString["id"]);
            DBUtility.DbHelperOleDb.ExecuteSql(strsql.ToString(), parameter);
        }
    }
    #endregion
}