﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;
using System.Data;

public partial class controls_new_sub : System.Web.UI.UserControl
{
    #region 属性
    protected int pagesize = 6;
    /// <summary>
    /// 一页几行
    /// </summary>
    public int Pagesize
    {
        get { return pagesize; }
        set { pagesize = value; }
    }
    protected int newsgroup;
    /// <summary>
    /// 一页几行
    /// </summary>
    public int Newsgroup
    {
        get { return newsgroup; }
        set { newsgroup = value; }
    }
    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {
        thepager.PageSize = pagesize;
        int pg = 1;
        if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
        {
            pg = Convert.ToInt32(Request.QueryString["pg"]);
        }
        if (Request.QueryString["sitePageId"] != null)
        {
            string news_groups = Request.QueryString["sitePageId"];
            DataTable dt = DBUtility.DbHelperOleDb.Query("select * from part where CategoryId=" + Request.QueryString["sitePageId"]).Tables[0];
            if (dt.Rows.Count > 0 && ((int)dt.Rows[0]["Lft"] + 1 != (int)dt.Rows[0]["Rgt"]))
            {
                news_groups = Part.getparts((int)dt.Rows[0]["Lft"], (int)dt.Rows[0]["Rgt"], Request.QueryString["sitePageId"].ToString());
            }
            string s = "select news_title,IconUrl,news_id,AddedDate,news_group from news where news_group in (" + news_groups + ") order by AddedDate desc,news_id desc";
            DataTable news = DBUtility.DbHelperOleDb.Query(s).Tables[0];
            thepager.RecordCount = news.Rows.Count;
            SortPags sp = new SortPags(news);
            Repeater1.DataSource = sp.GetCurrentPageSortByFieldName("AddedDate", SortPags.SortType.DESC, pagesize, pg);
            Repeater1.DataBind();
        }
    }
}