﻿using System;
using System.Web.UI;
using System.Data.OleDb;
using System.Net.Mail;
using System.Text;

public partial class controls_order : System.Web.UI.UserControl
{
    #region  发送邮件
    protected void sendmail(string area)
    {
        init();
        MailAddress sendfromaddr = new MailAddress(mailfrom);
        MailAddress sendtoaddr = new MailAddress(mailto);
        MailMessage message = new MailMessage(sendfromaddr, sendtoaddr);
        message.IsBodyHtml = true;
        message.Subject = area;
        message.Body = area;

        string smtpaddr = smtp;//因为我用的是163的邮箱，所以这里用到的是用163的
        SmtpClient sc = new SmtpClient(smtpaddr);//发送邮件用到的smtp主机(用不同的邮箱，stmp定义则不同)
        sc.Credentials = new System.Net.NetworkCredential(mailfrom, pwd);//邮箱账号与密码
        try
        {
            sc.Send(message);   //发送邮件
        }
        catch
        {
            ;
        }
    }
    #endregion
    #region 生成邮件信息
    protected string mailarea()
    {
        string thecon = conpepole.Text;
        string thetel = tel.Text;
        string thefax = fax.Text;
        string theemail = email.Text;
        string theaddr = addr.Text;
        string thepro = proname.Text;
        string thexinhao = proxinhao.Text;
        string thenum = pronum.Text;
        string thetime = protime.Text;
        string thefkfs = profkfs.Text;
        string thenote = pronote.Text;

        StringBuilder x = new StringBuilder("");
        x.Append("您的客户:");
        x.Append(thecon);
        x.Append("欲定购");
        x.Append(thepro);
        x.Append("联系方式【");
        x.Append("电话：");
        x.Append(thetel);
        if (thefax != "")
        {
            x.Append("传真：");
            x.Append(thefax);
        }
        if (theemail != "")
        {
            x.Append("邮箱：");
            x.Append(theemail);
        }
        if (theaddr != "")
        {
            x.Append("地址：");
            x.Append(theaddr);
        }
        x.Append("】");


        x.Append("产品信息【");
        x.Append("产品名称：");
        x.Append(thepro);
        if (thexinhao != "")
        {
            x.Append("产品型号：");
            x.Append(thexinhao);
        }
        if (thenum != "")
        {
            x.Append("产品数量：");
            x.Append(thenum);
        }
        if (thetime != "")
        {
            x.Append("交货日期：");
            x.Append(thetime);
        }
        x.Append("】");

        if (thefkfs != "")
        {
            x.Append("付款方式【");
            x.Append(thefkfs);
            x.Append("】");
        }

        if (thenote != "")
        {
            x.Append("备注【");
            x.Append(thenote);
            x.Append("】");
        }
        return x.ToString();
    }

    #endregion
    #region 初始化
    string mailfrom = "";
    string mailto = "";
    string pwd = "";
    string smtp = "";
    protected void init()
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("select mailaddr,mailpwd,mailto,mailsmtp from config", con);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            reader.Read();
            mailfrom = reader["mailaddr"].ToString().Trim();
            mailto = reader["mailto"].ToString().Trim();
            pwd = reader["mailpwd"].ToString().Trim();
            smtp = reader["mailsmtp"].ToString().Trim();
        }
        reader.Close();
        con.Close();
    }
    #endregion
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        if (yzcode.Text.Trim().Equals(Session["checkcode"].ToString().Trim()))
        {            
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into orderlist(");
            strSql.Append("conpepole,tel,fax,email,addr,proname,proxinhao,thenum,starttime,endtime,fkfs,area,isnew)");
            strSql.Append(" values (");
            strSql.Append("@conpepole,@tel,@fax,@email,@addr,@proname,@proxinhao,@thenum,@starttime,@endtime,@fkfs,@area,@isnew)");
            OleDbParameter[] parameters = {
					new OleDbParameter("@conpepole", OleDbType.Char,100),
					new OleDbParameter("@tel", OleDbType.Char,100),
					new OleDbParameter("@fax", OleDbType.Char,100),
					new OleDbParameter("@email", OleDbType.Char,100),
					new OleDbParameter("@addr", OleDbType.Char,100),
					new OleDbParameter("@proname", OleDbType.Char,100),
					new OleDbParameter("@proxinhao", OleDbType.Char,100),
					new OleDbParameter("@thenum", OleDbType.Char,100),
					new OleDbParameter("@starttime", OleDbType.Char,100),
					new OleDbParameter("@endtime", OleDbType.Char,100),
					new OleDbParameter("@fkfs", OleDbType.Char,100),
					new OleDbParameter("@area", OleDbType.Char),
					new OleDbParameter("@isnew", OleDbType.Boolean)};
            parameters[0].Value = conpepole.Text;
            parameters[1].Value = tel.Text;
            parameters[2].Value = fax.Text;
            parameters[3].Value = email.Text;
            parameters[4].Value = addr.Text;
            parameters[5].Value = proname.Text;
            parameters[6].Value = proxinhao.Text;
            parameters[7].Value = pronum.Text;
            parameters[8].Value = DateTime.Now.ToString();
            parameters[9].Value = protime.Text;
            parameters[10].Value = profkfs.Text;
            parameters[11].Value = pronote.Text;
            parameters[12].Value = true;
            int rows = DBUtility.DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
            //init();
            //sendmail(mailarea());
            js.Text = "alert('系统提示:您的订单已提交,我们会尽快与您取得联系！');location.href('/order/');";
        }
        else
        {
            js.Text = "alert('系统提示:验证码错误！');location.href('/order/');";

        }
    }

}