﻿using DBUtility;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class controls_part_name_more : System.Web.UI.UserControl
{
    #region 属性
    public string sitePageId;
    /// <summary>
    /// id号
    /// </summary>
    public string SitePageId
    {
        get
        {
            return sitePageId;
        }
        set
        {
            sitePageId = value;
        }
    }
    public string prelink;
    /// <summary>
    /// 返回链接
    /// </summary>
    public string Prelink
    {
        get
        {
            return prelink;
        }
        set
        {
            prelink = value;
        }
    }
    public string flag;
    /// <summary>
    /// 返回链接
    /// </summary>
    public string Flag
    {
        get
        {
            return flag;
        }
        set
        {
            flag = value;
        }
    }
    public DataTable partall;
    /// <summary>
    /// 返回链接
    /// </summary>
    public DataTable Partall
    {
        get
        {
            return partall;
        }
        set
        {
            partall = value;
        }
    }
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        if (sitePageId != null)
        {
            DataRow[] part1 = partall.Select("CategoryId=" + sitePageId);
            int thislft = Convert.ToInt32(part1[0]["Lft"].ToString());
            int thisrgt = Convert.ToInt32(part1[0]["Rgt"].ToString());
            DataRow[] part2 = partall.Select("Lft<" + thislft + " and Rgt>" + thisrgt + " and Depart=1");
            if (part2.Length > 0)
            {
                partnames.Text = prelink + flag + "<a href=\"" + part2[0]["LinkUrl"] + "?sitePageId=" + part2[0]["CategoryId"] + "\">" + part2[0]["Name"] + "</a>" + flag + "<font>" + part1[0]["Name"] + "</font>";
            }
            else
            {
                partnames.Text = prelink + flag + "<font>" + part1[0]["Name"] + "</font>";
            }
        }
        else if (Request.QueryString["cid"] != null && Request.QueryString["cid"] != "0")
        {
            init1(Convert.ToInt32(Request.QueryString["cid"]));
        }
        else if (Request.QueryString["searchkey"] != null && Request.QueryString["searchkey"] != "")
        {
            partnames.Text = prelink + flag + "<font>Product Search</font>";
        }
        else if (Request.QueryString["type"] == "sitemap")
        {
            partnames.Text = prelink + flag + "<font>Sitemap</font>";
        }
        else
        {
            partnames.Text = prelink + flag + "<font>Products</font>";
        }
    }
    protected void init1(int CategoryId)
    {
        DataSet part1 = DbHelperOleDb.Query("select * from Categories where CategoryId=" + CategoryId + " and isshow=true");
        string lft = part1.Tables[0].Rows[0]["Lft"].ToString();
        string rgt = part1.Tables[0].Rows[0]["Rgt"].ToString();
        DataSet part2 = DbHelperOleDb.Query("select * from Categories where Lft<" + lft + " and Rgt>" + rgt + " and isshow=true order by Lft");
        string sum = "";
        foreach (DataRow row in part2.Tables[0].Rows)
        {
            sum += "<a href=\"product.aspx?cid=" + row["CategoryId"].ToString() + "\"/>" + row["Name"].ToString() + "</a>" + flag;
        }
        partnames.Text = prelink + flag + "<a href=\"product.aspx?sitePageId=" + Part.getpartsid(partall, "product.aspx") + "\">Products</a>" + flag + sum + "<font>" + part1.Tables[0].Rows[0]["Name"] + "</font>";
    }
}