﻿using System;
using System.Linq;
using System.Data;
using DBUtility;

public partial class controls_part_tree : System.Web.UI.UserControl
{
    #region 识别
    public string sitePageId;
    /// <summary>
    /// id号
    /// </summary>
    public string SitePageId
    {
        get
        {
            return sitePageId;
        }
        set
        {
            sitePageId = value;
        }
    }
    public DataTable partall;
    /// <summary>
    /// id号
    /// </summary>
    public DataTable Partall
    {
        get
        {
            return partall;
        }
        set
        {
            partall = value;
        }
    }
    public int topn = 100;
    /// <summary>
    /// 显示几个
    /// </summary>
    public int Topn
    {
        get
        {
            return topn;
        }
        set
        {
            topn = value;
        }
    }
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        if (sitePageId != null)
        {
            DataRow[] thispart = partall.Select("CategoryId=" + sitePageId);
            int thislft = Convert.ToInt32(thispart[0]["Lft"].ToString());
            int thisrgt = Convert.ToInt32(thispart[0]["Rgt"].ToString());

            DataRow[] firstpart = partall.Select("Lft<=" + thislft + " and Rgt>=" + thisrgt + " and Depart=1");
            part_link.Text = firstpart[0]["Name"].ToString();
            int firstlft = Convert.ToInt32(firstpart[0]["Lft"].ToString());
            int firstrgt = Convert.ToInt32(firstpart[0]["Rgt"].ToString());
            var q1 = from dt1 in partall.AsEnumerable()//查询
                     orderby dt1.Field<int>("Lft") ascending//排序
                     where dt1.Field<int>("lft") > firstlft && dt1.Field<int>("rgt") < firstrgt//条件
                     select dt1;
            if (q1.Count() != 0)
            {
                DataTable dt = q1.CopyToDataTable<DataRow>();
                Repeater1.DataSource = dt;
                Repeater1.DataBind();
            }
            else 
            {
                part_link.Text = "产品选型";
                Repeater2.Visible = true;
                Repeater2.DataSource = DbHelperOleDb.Query("select * from Categories where isshow=true and Parent_id=0 order by Lft ").Tables[0];
                Repeater2.DataBind();
            }
        }
        else 
        {
            part_link.Text = "产品选型";
            Repeater2.Visible = true;
            Repeater2.DataSource = DbHelperOleDb.Query("select * from Categories where isshow=true and Parent_id=0 order by Lft ").Tables[0];
            Repeater2.DataBind();
        }
    }
}