﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;
using System.Data;
using DBUtility;

public partial class controls_new_sub : System.Web.UI.UserControl
{
    #region 属性
    protected int pagesize = 15;
    /// <summary>
    /// 一页几行
    /// </summary>
    public int Pagesize
    {
        get
        {
            return pagesize;
        }
        set
        {
            pagesize = value;
        }
    }
    protected int newsgroup;
    /// <summary>
    /// 一页几行
    /// </summary>
    public int Newsgroup
    {
        get
        {
            return newsgroup;
        }
        set
        {
            newsgroup = value;
        }
    }
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["sitePageId"] != null)
        {
            string news_groups = Request.QueryString["sitePageId"];
            int depart = 0;
            DataTable dt = DBUtility.DbHelperOleDb.Query("select * from part where CategoryId=" + Request.QueryString["sitePageId"]).Tables[0];
            if (dt.Rows.Count > 0)
            {
                depart = int.Parse(dt.Rows[0]["Depart"].ToString());
            }
            if (depart == 1)
            {
                news_groups = Part.getparts((int)dt.Rows[0]["Lft"], (int)dt.Rows[0]["Rgt"], Request.QueryString["sitePageId"]);
                DataSet part = DbHelperOleDb.Query("select top 1 * from part where Lft>" + dt.Rows[0]["Lft"] + " and Rgt<" + dt.Rows[0]["Rgt"] + " order by Lft");
                if (part.Tables[0].Rows.Count > 0)
                {
                    news_groups = part.Tables[0].Rows[0]["CategoryId"].ToString();
                }
            }
            if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
            {
                initnewsinfo(news_groups, Convert.ToInt32(Request.QueryString["pg"]));
            }
            else
            {
                initnewsinfo(news_groups, 1);
            }
        }
    }

    #region 新闻列表
    protected void initnewsinfo(string id, int pg)
    {
        thepager.PageSize = pagesize;
        string strsql = "select * from news where news_group in (" + id + " )  and news_id not in (select top 1 news_id from news where news_group in (" + id + " ) order by AddedDate desc,news_id desc ) order by AddedDate desc,news_id desc";
        DataTable dt = DBUtility.DbHelperOleDb.Query(strsql).Tables[0];
        thepager.RecordCount = dt.Rows.Count;
        SortPags sp = new SortPags(dt);
        Repeater1.DataSource = sp.GetCurrentPageSortByFieldName("AddedDate", SortPags.SortType.DESC, pagesize, pg);
        Repeater1.DataBind();
    }
    #endregion
}