﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.OleDb;
using System.Text;
using System.Text.RegularExpressions;

public partial class controls_productsearch : System.Web.UI.UserControl
{
    #region 属性
    public int i = 0;
    protected int cols;
    protected int count;
    /// <summary>
    /// 一行有几列
    /// </summary>
    public int Cols
    {
        get
        {
            return cols;
        }
        set
        {
            cols = value;
        }
    }

    /// <summary>
    /// 一页几个产品
    /// </summary>
    public int Count
    {
        get
        {
            return count;
        }
        set
        {
            count = value;
        }
    }
    #endregion
    #region 检索所有产品
    protected void search(int pagesize, int curpage)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbDataAdapter myda = new OleDbDataAdapter();
        OleDbCommand cmd = new OleDbCommand();
        cmd.CommandText = "select count(ProductId) as cnt from Products where Isshow=true";
        cmd.Connection = con;
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            reader.Read();
            thepager.RecordCount = Convert.ToInt32(reader["cnt"].ToString());
        }
        reader.Close();


        cmd.CommandText = "select top " + pagesize + " ProductId,CategoryId,Name,IconUrl from Products where ProductId not in (select top " + pagesize * (curpage - 1) + " ProductId from Products where Isshow=true order by CategoryId,sort ,ProductId ) and Isshow=true order by CategoryId,sort ,ProductId";
        if (curpage == 1)
        {
            cmd.CommandText = "select top " + pagesize + " ProductId,CategoryId,Name,IconUrl  from Products where Isshow=true order by CategoryId,sort,ProductId";
        }
        myda.SelectCommand = cmd;
        DataSet myset = new DataSet();
        cmd.Connection = con;
        myda.Fill(myset);
        con.Close();
        Repeater1.DataSource = myset.Tables[0];
        Repeater1.DataBind();
    }//检索所有产品中key条件产品
    #endregion
    #region 检索指定关键字产品
    protected void search(int pagesize, int curpage, string key)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbDataAdapter myda = new OleDbDataAdapter();
        OleDbCommand cmd = new OleDbCommand();
        cmd.CommandText = "select count(ProductId)  as cnt from Products where (Name like '%" + key + "%' or info1 like '%" + key + "%') and Isshow=true";
        cmd.Connection = con;
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            reader.Read();
            thepager.RecordCount = Convert.ToInt32(reader["cnt"].ToString());
        }
        reader.Close();


        cmd.CommandText = "select top " + pagesize + " * from Products where ( Name like '%" + key + "%' or info1 like '%" + key + "%') and Isshow=true and ProductId not in (select top " + pagesize * (curpage - 1) + " ProductId from Products where Name (like '%" + key + "%' or info1 like '%" + key + "%') and Isshow=true order by CategoryId,sort,ProductId) order by CategoryId,sort,ProductId";
        if (curpage == 1)
        {
            cmd.CommandText = "select top " + pagesize + " * from Products  where ( Name like '%" + key + "%' or info1 like '%" + key + "%') and Isshow=true order by CategoryId,sort ,ProductId ";
        }
        myda.SelectCommand = cmd;
        DataSet myset = new DataSet();
        cmd.Connection = con;
        myda.Fill(myset);
        con.Close();
        Repeater1.DataSource = myset.Tables[0];
        Repeater1.DataBind();
    }//检索所有产品中key条件产品
    #endregion
    #region 检索指定关键字产品
    protected void search(int pagesize, int curpage, string key, string selfcode)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbDataAdapter myda = new OleDbDataAdapter();
        OleDbCommand cmd = new OleDbCommand();
        cmd.CommandText = "select count(ProductId)  as cnt from Products where Name like '%" + key + "%'  and Isshow=true and CategoryId =" + selfcode;
        cmd.Connection = con;
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            reader.Read();
            thepager.RecordCount = Convert.ToInt32(reader["cnt"].ToString());
        }
        reader.Close();


        cmd.CommandText = "select top " + pagesize + " * from Products where Name like '%" + key + "%' and Isshow=true and CategoryId =" + selfcode + " and ProductId not in (select top " + pagesize * (curpage - 1) + " ProductId from Products where  Name like '%" + key + "%' and Isshow=true and CategoryId = " + selfcode + " order by  CategoryId,sort ,ProductId) order by CategoryId,sort,ProductId";
        if (curpage == 1)
        {
            cmd.CommandText = "select top " + pagesize + " * from Products  where  Name like '%" + key + "%' and Isshow=true and CategoryId =" + selfcode + " order by CategoryId,sort ,ProductId ";
        }
        myda.SelectCommand = cmd;
        DataSet myset = new DataSet();
        cmd.Connection = con;
        myda.Fill(myset);
        con.Close();
        Repeater1.DataSource = myset.Tables[0];
        Repeater1.DataBind();
    }//检索所有产品中key条件产品
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["searchkey"] != null)
        {
            Session["searchkey"] = Request.QueryString["searchkey"];
            if (Request.QueryString["select"] == "-1" || Request.QueryString["select"] == null)
            {
                thepager.PageSize = count;
                //DataList1.RepeatColumns = cols;
                if (Request.QueryString["pg"] != null)
                {
                    search(count, Convert.ToInt32(Request.QueryString["pg"]), Session["searchkey"].ToString());
                }
                else
                {
                    search(count, 1, Session["searchkey"].ToString());
                }
            }
            else
            {
                string selfcode = Request.QueryString["select"].ToString();
                if (Request.QueryString["pg"] != null)
                {
                    search(count, Convert.ToInt32(Request.QueryString["pg"]), Session["searchkey"].ToString(), selfcode);
                }
                else
                {
                    search(count, 1, Session["searchkey"].ToString(), selfcode);
                }
            }
        }
    }
    protected string HighLightKeyWord(string str)
    {
        string keyword = Session["searchkey"].ToString();
        int index;
        int startIndex = 0;
        string highlightBegin = "<font color=#ff0000>";
        string highlightEnd = "</font>";
        int length = highlightBegin.Length + keyword.Length;
        int lengthHighlight = length + highlightEnd.Length;

        while ((index = str.IndexOf(keyword, startIndex, StringComparison.CurrentCultureIgnoreCase)) > -1)
        {
            str = str.Insert(index, highlightBegin).Insert(index + length, highlightEnd);
            startIndex = index + lengthHighlight;
        }

        return str;
    }
}

