﻿using System;
using System.Data;
using System.Data.OleDb;
using System.Text;
public partial class controls_topproducts : System.Web.UI.UserControl
{
    #region 属性
    protected int cols;
    public int i = 0;
    protected int count;
    protected string categoryId;
    protected bool autogo = true;
    protected string gopage = "";
    /// <summary>
    /// 一行有几列
    /// </summary>
    public int Cols
    {
        get
        {
            return cols;
        }
        set
        {
            cols = value;
        }
    }
    /// <summary>
    /// 产品类别
    /// </summary>
    public string CategoryId
    {
        get
        {
            return categoryId;
        }
        set
        {
            categoryId = value;
        }
    }
    /// <summary>
    /// 一页几个产品
    /// </summary>
    public int Count
    {
        get
        {
            return count;
        }
        set
        {
            count = value;
        }
    }

    /// <summary>
    /// 只有唯一子分类时是否自动跳转
    /// </summary>
    public bool Autogo
    {
        get
        {
            return autogo;
        }
        set
        {
            autogo = value;
        }
    }


    /// <summary>
    /// 产品列表跳转页面Parent_id
    /// </summary>
    public string Gopage
    {
        get
        {
            return gopage;
        }
        set
        {
            gopage = value;
        }
    }
    #endregion
    protected DataTable categories
    {
        get;
        set;
    }
    protected DataTable products
    {
        get;
        set;
    }
    #region  分页展示产品根类型
    protected void init(int pagesize, int curpage, string Parent_id)
    {
        StringBuilder x = new StringBuilder("");
        int recordcount = countvalue(Parent_id);
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        thepager.RecordCount = recordcount;
        #region  无子类
        if (recordcount < 1)
        {
            if (Request.QueryString["type"] == "return")
            {
                Response.Redirect("/Product/");
            }
            else if (Request.QueryString["url"] != null && Request.QueryString["url"] != "")
            {
                Response.Redirect("/Product/" + Request.QueryString["url"] + ".html");
            }

        }
        #endregion
        #region 有子类
        else
        {
            if (autogo)
            {
                if (recordcount == 1)
                {
                    OleDbCommand cmd = new OleDbCommand("select CategoryId,LinkUrl from Categories where Parent_id=" + Parent_id + " and isshow=true", con);
                    con.Open();
                    OleDbDataReader reader = cmd.ExecuteReader();
                    reader.Read();
                    string tempcode = reader["CategoryId"].ToString();
                    string tempurl = reader["LinkUrl"].ToString();
                    reader.Close();
                    con.Close();
                    Response.Redirect("/Product/" + tempurl + "/");
                }
            }

            if (curpage == 1)
            {
                x.Append("select top ");
                x.Append(pagesize);
                x.Append(" * from Categories where Parent_id=" + Parent_id + " and isshow=true order by sort,CategoryId");
            }
            else
            {
                x.Append("select top ");
                x.Append(pagesize);
                x.Append(" * from Categories where Parent_id=" + Parent_id + " and isshow=true and CategoryId not in (select top ");
                x.Append(pagesize * (curpage - 1));
                x.Append(" CategoryId from Categories where Parent_id=" + Parent_id + " and isshow=true order by sort,CategoryId) order by sort,CategoryId");
            }
            OleDbDataAdapter myda = new OleDbDataAdapter(x.ToString(), con);
            DataSet myset = new DataSet();
            con.Open();
            myda.Fill(myset);
            con.Close();
            Repeater1.DataSource = myset.Tables[0];
            Repeater1.DataBind();
        }
        #endregion
    }
    #endregion
    #region  分页展示产品根类型
    protected void init1(int pagesize, int curpage, string Parent_id)
    {
        StringBuilder x = new StringBuilder("");
        if (Parent_id != "0")
        {
            string[] lftrgt = Parent_id.Split('|');
            int categoryid = int.Parse(lftrgt[0]);
            int lft = int.Parse(lftrgt[1]);
            int rgt = int.Parse(lftrgt[2]);
            string strsql = "select * from Categories where  lft>" + lft + " and Rgt<" + rgt + " and isshow=true order by Lft,Sort";
            DataTable dt = DBUtility.DbHelperOleDb.Query(strsql).Tables[0];
            //int recordcount = (rgt - lft - 1) / 2;
            int recordcount = dt.Rows.Count;
            thepager.RecordCount = recordcount;
            if (recordcount < 1)
            {
                if (Request.QueryString["cid"] != null && Request.QueryString["cid"] != "")
                {
                    Response.Redirect("productlist.aspx?cid=" + Request.QueryString["cid"]);
                }

            }
            else
            {
                if (autogo)
                {
                    if (recordcount == 1)
                    {
                        Response.Redirect("product.aspx?cid=" + dt.Rows[0]["CategoryId"].ToString());
                    }
                }
                SortPags sp = new SortPags(dt);
                Repeater1.DataSource = sp.GetCurrentPageSortByFieldName("sort", SortPags.SortType.ASC, pagesize, curpage);
                Repeater1.DataBind();
            }
        }
        else
        {
            string strsql = "select * from categories where isshow=true and Depart=1 order by Lft,Sort";
            DataTable dt = DBUtility.DbHelperOleDb.Query(strsql).Tables[0];
            SortPags sp = new SortPags(dt);
            int recordcount = dt.Rows.Count;
            thepager.RecordCount = recordcount;
            Repeater1.DataSource = sp.GetCurrentPageSortByFieldName("sort", SortPags.SortType.ASC, pagesize, curpage);
            Repeater1.DataBind();
        }
    }
    #endregion
    #region 判断是否有子类
    /// <summary>
    /// 判断是否有子类,如果为0则没有，反之有子类个数
    /// </summary>
    /// <param name="Parent_id">类型编号</param>
    /// <returns></returns>
    protected int countvalue(string Parent_id)
    {
        int count = 0;
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("select count(CategoryId) as cnt from Categories where Parent_id=" + Parent_id + " and isshow=true", con);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        reader.Read();
        count = Convert.ToInt32(reader["cnt"].ToString());
        reader.Close();
        con.Close();
        return count;
    }
    #endregion
    #region 调用
    protected void Page_Load(object sender, EventArgs e)
    {
        categories = DBUtility.DbHelperOleDb.Query("select CategoryId,Parent_id,Name,Rgt,Lft,IconUrl,Depart,sum(Rgt-Lft) as flag from Categories where isshow=true group by CategoryId,Name,Rgt,Lft,Parent_id,Depart,IconUrl,sort order by sort,CategoryId ").Tables[0];
        products = DBUtility.DbHelperOleDb.Query("select * from Products where isshow=true order by sort,ProductId").Tables[0];
        if (!IsPostBack)
        {
            if (categoryId != null)
            {
                thepager.PageSize = count;
                if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
                {
                    init1(count, Convert.ToInt32(Request.QueryString["pg"]), categoryId);
                }
                else
                {
                    init1(count, 1, categoryId);
                }
            }
            else
            {
                thepager.PageSize = count;
                if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
                {
                    init1(count, Convert.ToInt32(Request.QueryString["pg"]), "0");
                }
                else
                {
                    init1(count, 1, "0");
                }
            }
        }
    }
    #endregion
    public DataRow[] getategory(string Lft, string Rgt, string Depart)
    {
        DataRow[] drs = categories.Select(String.Format("Lft>{0} and Rgt<{1} and Depart={2}", Lft, Rgt, int.Parse(Depart) + 1));
        if (drs.Length > 6)
        {
            DataTable dt = new DataTable();
            dt = categories.Clone();
            for (int i = 0; i < 6; i++)
            {
                dt.Rows.Add(drs[i].ItemArray);
            }
            return dt.Select();
        }
        else
        {
            return drs;
        }
    }
    public DataRow[] getProduct(string Lft, string Rgt)
    {
        DataTable dt = new DataTable();
        dt = products.Clone();
        if (int.Parse(Lft) + 1 == int.Parse(Rgt))
        {
            DataRow[] drs = products.Select(String.Format("Lft>={0} and Rgt<={1}", Lft, Rgt));
            if (drs.Length > 6)
            {
                for (int i = 0; i < 6; i++)
                {
                    dt.Rows.Add(drs[i].ItemArray);
                }
                return dt.Select();
            }
            else
            {
                return drs;
            }
        }
        else
        {
            return dt.Select();
        }
    }
}