﻿using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;
using System.IO;
using System.Text;
using System.Linq;
using MsShop.Common;
public partial class Fileshow : System.Web.UI.UserControl
{
    private string pics = "";
    public string Pics
    {
        get
        {
            return pics;
        }
        set
        {
            pics = value;
        }
    }
    private string path = "/productimage/";
    public string Path
    {
        get
        {
            return path;
        }
        set
        {
            path = value;
        }
    }
    private int smallwidth = Convert.ToInt32(siteconfig.smallpicwidth);
    public int Smallwidth
    {
        get
        {
            return smallwidth;
        }
        set
        {
            smallwidth = value;
        }
    }
    private int smallheight = Convert.ToInt32(siteconfig.smallpicheight);
    public int Smallheight
    {
        get
        {
            return smallheight;
        }
        set
        {
            smallheight = value;
        }
    }
    private bool issmall = false;
    public bool Issmall
    {
        get
        {
            return issmall;
        }
        set
        {
            issmall = value;
        }
    }
    private bool iswatermark = false;
    public bool Iswatermark
    {
        get
        {
            return iswatermark;
        }
        set
        {
            iswatermark = value;
        }
    }
    private string uptype = "";
    public string Uptype
    {
        get
        {
            return uptype;
        }
        set
        {
            uptype = value;
        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Session.Remove("fileindex");
        }
        if (Session["fileindex"] != null)
            pics = Picindex.CreateStr((List<picindex>)Session["fileindex"]);
        if (!(!string.IsNullOrEmpty(pics) && Session["fileindex"] != null))
        {
            propicbind();
        }
        else
        {
            if (Session["showfileflag"] != null)
            {
                propicbind();
                Session.Remove("showfileflag");
            }
        }
    }

    #region 图片上传等操作
    protected void propicbind()
    {
        if (Session["fileindex"] != null)
        {
            List<picindex> _picindex = ((List<picindex>)Session["fileindex"]).OrderBy(p => p.Theindex).ToList();
            if (_picindex.Count > 0)
                txchangeposition.Visible = true;
            else
                txchangeposition.Visible = false;
            picsshow.DataSource = _picindex;
            picsshow.DataBind();
        }
        else
        {
            if (!string.IsNullOrEmpty(pics))
            {
                List<picindex> _picindex = Picindex.CreateIndex(pics);
                if (_picindex.Count > 0)
                    txchangeposition.Visible = true;
                else
                    txchangeposition.Visible = false;
                picsshow.DataSource = _picindex;
                picsshow.DataBind();
                Session["fileindex"] = _picindex;
            }
        }
    }  //绑定
    protected void delthepic(object sender, System.EventArgs e)
    {
        List<picindex> _picindex = (List<picindex>)Session["fileindex"];
        string filename = ((Button)sender).CommandArgument.Trim();
        try
        {
            File.Delete(Server.MapPath(path + "big/" + filename));
        }
        catch
        {
            ;
        }
        StringBuilder _pics = new StringBuilder();
        var temp = _picindex.FirstOrDefault(p => p.Picname == filename);
        _picindex.Remove(temp);
        Session["fileindex"] = _picindex;
        propicbind();
    } //删除
    protected void Button9_Click(object sender, EventArgs e)
    {
        List<picindex> _picindex = new List<picindex>();
        if (!string.IsNullOrEmpty(pics))
        {
            _picindex = Picindex.CreateIndex(pics);
        }
        Session["fileindex"] = _picindex;
        if (uptype == "")
        {
            Js.ShowWindow("fileupload.aspx?ph=" + path + "&sw=" + smallwidth + "&sh=" + smallheight + "&is=" + issmall + "&iw=" + iswatermark, "600", "400", Page);
        }
        else
        {
            Js.ShowWindow("fileupload.aspx?ph=" + path + "&sw=" + smallwidth + "&sh=" + smallheight + "&is=" + issmall + "&iw=" + iswatermark + "&ty=" + uptype, "600", "400", Page);
        }
    } //调用上传
    protected void changeposition(object sender, EventArgs e)  //排序
    {
        try
        {
            List<picindex> newpropics = new List<picindex>();
            foreach (RepeaterItem temppic in picsshow.Items)
            {
                picindex curpic = new picindex();
                curpic.Picname = ((Label)temppic.FindControl("propicname")).ToolTip.Trim();
                curpic.Theindex = Convert.ToInt32(((TextBox)temppic.FindControl("propicindex")).Text);
                newpropics.Add(curpic);
            }
            Session["fileindex"] = newpropics;
            propicbind();
        }
        catch
        {
            ;
        }
    }
    protected string getpicstr(object pics)
    {
        string firstpic = pics.ToString();
        if (issmall)
        {
            return path + firstpic;
        }
        else
            return path + firstpic;
    }
    #endregion
}