﻿using System;
using System.Data;
using System.Data.OleDb;
using System.Text;


public partial class advert_content_add : RePage
{
    void init()
    {
        try
        {
            int id = Convert.ToInt32(Request.QueryString["id"]);
            StringBuilder strSql1 = new StringBuilder();
            strSql1.Append("select AdvPositionId,AdvPositionName,ShowType,RepeatColumns,Width,Height,AdvHtml from AdvPositions ");
            strSql1.Append(" where AdvPositionId=@AdvPositionId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@AdvPositionId", DbType.Int32)
			};
            parameters[0].Value = id;
            DataSet ds = DBUtility.DbHelperOleDb.Query(strSql1.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                adpositon.Text = ds.Tables[0].Rows[0]["AdvPositionName"].ToString();
                if (!string.IsNullOrEmpty(ds.Tables[0].Rows[0]["Width"].ToString()))
                {
                    pics.Text = "(" + ds.Tables[0].Rows[0]["Width"].ToString() + "*" + ds.Tables[0].Rows[0]["Height"].ToString() + ")px";
                }
            }
        }
        catch
        {
            Messageshow1.Msg = "广告位数据加载失败，请不要执行广告添加操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            init();
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            string strErr = "";
            if (this.txadname.Text.Trim().Length == 0)
            {
                strErr += "广告名称不能为空！\\n";
            }
            if (this.txadalttext.Text.Trim().Length == 0)
            {
                strErr += "广告语不能为空！\\n";
            }
            if (this.txadlink.Text.Trim().Length == 0)
            {
                strErr += "广告链接不能为空！\\n";
            }

            if (strErr != "")
            {
                Messageshow1.Msg = strErr;
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true; return;
            }

            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into Advertisements(");
            strSql.Append("AdvPositionId,AdvertisementName,ImageUrl,AlternateText,NavigateUrl,Weight)");
            strSql.Append(" values (");
            strSql.Append("@AdvPositionId,@AdvertisementName,@ImageUrl,@AlternateText,@NavigateUrl,@Weight)");
            OleDbParameter[] parameters = {
					new OleDbParameter("@AdvPositionId", DbType.Int32),
					new OleDbParameter("@AdvertisementName", OleDbType.Char,100),
					new OleDbParameter("@ImageUrl", OleDbType.Char,100),
					new OleDbParameter("@AlternateText", OleDbType.Char,100),
					new OleDbParameter("@NavigateUrl", OleDbType.Char,100),
					new OleDbParameter("@Weight", DbType.Int32)};
            parameters[0].Value = Convert.ToInt32(Request.QueryString["id"]);
            parameters[1].Value = txadname.Text.Trim();
            parameters[2].Value = picshow1.Pics;
            parameters[3].Value = txadalttext.Text.Trim();
            parameters[4].Value = txadlink.Text.Trim();
            parameters[5].Value = Convert.ToInt32(txadweight.Text);
            int rows = DBUtility.DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                MsShop.Common.MessageBox.ShowAndRedirect(this, "保存成功！", "advert_content_add.aspx?id=" + Request.QueryString["id"]);
            }
            else
            {
                Messageshow1.Msg = "广告内容添加失败";
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
            }
        }
        catch
        {
            Messageshow1.Msg = "广告内容添加失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("advert_content_manage.aspx?id=" + Request.QueryString["id"]);
    }
}