﻿using System;
using System.Web.UI.WebControls;
using System.Text;
using System.Data;
using System.Data.OleDb;

public partial class advert_position_manage : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            bind();
        }        
    }
    public string altshowtype(object type)
    {
        int itype = Convert.ToInt32(type);
        string val = "";
        switch (itype)
        {
            case 1:
                {
                    val = "纵向平铺";
                    break;
                }
            case 2:
                {
                    val = "横向平铺";
                    break;
                }
            case 3:
                {
                    val = "自定义内容";
                    break;
                }
            case 4:
                {
                    val = "引用数据";
                    break;
                }
            case 5:
                {
                    val = "图片轮换";
                    break;
                }
            case 6:
                {
                    val = "显示名称的引用数据";
                    break;
                }
        }
        return val;
    }
    #region bind
    protected void bind()
    {
        try
        {
            Repeater1.DataSource = DBUtility.DbHelperOleDb.Query("select * from AdvPositions").Tables[0];
            Repeater1.DataBind();
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "加载广告位数据失败";
            Messageshow1.Visible = true;
        }
    }
    #endregion

    protected void edit(object sender, EventArgs e)
    {
        Session["id"] = Convert.ToInt32(((Button)sender).CommandArgument);
        Response.Redirect("advert_position_edit.aspx");
    }
    protected void advertmanage(object sender, EventArgs e)
    {
        int id;
        id = Convert.ToInt32(((Button)sender).CommandArgument);
        Response.Redirect("advert_content_manage.aspx?id=" + id);
    }
    protected void delete(object sender, EventArgs e)
    {
        try
        {
            int id = Convert.ToInt32(((Button)sender).CommandArgument);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from AdvPositions ");
            strSql.Append(" where AdvPositionId=@AdvPositionId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@AdvPositionId", DbType.Int32)
			};
            parameters[0].Value = id;
            DBUtility.DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
            bind();
            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "广告位删除成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "广告位删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void txdel_Click(object sender, EventArgs e)
    {
        try
        {
            StringBuilder ids = new StringBuilder();
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                if (_checkbox.Checked)
                {
                    ids.Append(_checkbox.Text);
                    ids.Append(",");
                }
            }
            if (ids.Length > 0)
            {
                string idsstr = StringHelper.Removestrright(ids.ToString(), 1);
                StringBuilder strSql = new StringBuilder();
                strSql.Append("delete from AdvPositions ");
                strSql.Append(" where AdvPositionId in (" + idsstr + ")  ");
                DBUtility.DbHelperOleDb.ExecuteSql(strSql.ToString());
                bind();
                Messageshow1.Infotype = "1";
                Messageshow1.Msg = "删除成功";
                Messageshow1.Visible = true;
            }
            else
            {
                Messageshow1.Infotype = "0";
                Messageshow1.Msg = "未选择任何内容!";
                Messageshow1.Visible = true;
            }

        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            bind();
            Messageshow1.Infotype = "0";
            Messageshow1.Msg = "执行刷新操作成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "执行刷新操作失败";
            Messageshow1.Visible = true;
        }
    }
}