﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using IMMENSITY.SWFUploadAPI;
using System.Runtime.Serialization.Json;
using System.Data.OleDb;
using System.Data;
using System.IO;

public partial class system_articles_add : RePage
{


    #region 初始化文章类型
    void initarticlecategores()
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbDataAdapter myda = new OleDbDataAdapter("select * from part order by lft", con);
        DataSet myset = new DataSet();
        con.Open();
        myda.Fill(myset);
        con.Close();
        txcategores.DataSource = myset.Tables[0];
        txcategores.DataTextField = "Name";
        txcategores.DataValueField = "CategoryId";
        txcategores.DataBind();
        if (Request.QueryString["id"] != null)
        {
            txcategores.ClearSelection();
            for (int i = 0; i < txcategores.Items.Count; i++)
            {
                if (txcategores.Items[i].Value.Trim() == Request.QueryString["id"])
                {
                    txcategores.SelectedIndex = i;
                    break;
                }
            }
            DataSet ds = DBUtility.DbHelperOleDb.Query("select * from part where CategoryId=" + Request.QueryString["id"]);
            if (ds.Tables[0].Rows.Count > 0)
            {
                try
                {
                    picshow.Smallheight = Convert.ToInt32(ds.Tables[0].Rows[0]["picheight"].ToString());
                    picshow.Smallwidth = Convert.ToInt32(ds.Tables[0].Rows[0]["picwidth"].ToString());
                    isshow1.Text = ds.Tables[0].Rows[0]["picwidth"].ToString() + "*" + ds.Tables[0].Rows[0]["picheight"].ToString();
                }
                catch
                {
                    isshow.Text = "style='display:none'";
                }
            }
        }
    }
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {        
        if (!IsPostBack)
        {
            initarticlecategores();
        }

    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("insert into news (news_group,news_title,Meta_Description,Meta_Keywords,AddedDate,IconUrl,Description,Content) values (?,?,?,?,?,?,?,?)", con);
            cmd.Parameters.Add("news_group", Convert.ToInt32(txcategores.SelectedValue));
            cmd.Parameters.Add("news_title", txtitle.Text.Trim());
            cmd.Parameters.Add("Meta_Description", txseodes.Text.Trim());
            cmd.Parameters.Add("Meta_Keywords", txseokey.Text.Trim());
            cmd.Parameters.Add("AddedDate", Convert.ToDateTime(txtime.Value));
            cmd.Parameters.Add("IconUrl", picshow.Pics);
            cmd.Parameters.Add("Description", txdiscription.Text.Trim());
            cmd.Parameters.Add("content", FCKeditor1.Text);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            Messageshow1.Msg = "文章发布成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
            MsShop.Common.Js.ConfirmAndRedirect("添加成功，是否继续?", "articles_add.aspx?id=" + Request.QueryString["id"] + "", "articles_manage.aspx?id=" + Request.QueryString["id"] + "", Page);

        }
        catch
        {
            Messageshow1.Msg = "文章发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("articles_manage.aspx?id=" + Request.QueryString["id"]);
    }

    protected void Button3_Click(object sender, EventArgs e)
    {
        Response.Redirect("articlecategores_manage.aspx");
    }
}
