﻿using DBUtility;
using System;
using System.Data;
using System.Data.OleDb;
using System.Text;
using System.Text.RegularExpressions;
using System.Web.UI.WebControls;
public partial class categores_add : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Loaddata();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            int parentid = Convert.ToInt32(CategoriesDrop1.SelectedValue);
            Regex reg = new Regex(@"[^a-zA-Z0-9]+");
            string Linkurl = reg.Replace(txlinkurl.Text.Trim(), "-");
            //if (Linkurl.EndsWith("-"))
            //{
            //    Linkurl = Linkurl.Substring(0, Linkurl.Length - 1);
            //}
            //Linkurl = issame(Linkurl);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,IconUrl,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,Isshow,opflag,Sort,Parent_id from Categories ");
            strSql.Append(" where Parent_id=@Parent_id order by sort desc");
            OleDbParameter[] parameters = {
					new OleDbParameter("@Parent_id", OleDbType.Integer,4)
			};
            parameters[0].Value = parentid;
            DataSet ds = DbHelperOleDb.Query(strSql.ToString(), parameters);
            int sortdata = 0;
            if (ds.Tables[0].Rows.Count > 0)
            {
                sortdata = Convert.ToInt32(ds.Tables[0].Rows[0]["sort"]);
            }
            sortdata = sortdata + 1;
            StringBuilder strSql1 = new StringBuilder();
            strSql1.Append("insert into Categories(");
            strSql1.Append("Lft,Rgt,Depart,Name,IconUrl,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,Isshow,opflag,Sort,Parent_id)");
            strSql1.Append(" values (");
            strSql1.Append("@Lft,@Rgt,@Depart,@Name,@IconUrl,@LinkUrl,@Title,@Meta_Description,@Meta_Keywords,@Description,@Content,@Isshow,@opflag,@Sort,@Parent_id)");
            OleDbParameter[] parameters1 = {
					new OleDbParameter("@Lft", OleDbType.Integer,4),
					new OleDbParameter("@Rgt", OleDbType.Integer,4),
					new OleDbParameter("@Depart", OleDbType.Integer,4),
					new OleDbParameter("@Name", OleDbType.VarChar),
					new OleDbParameter("@IconUrl", OleDbType.VarChar),
					new OleDbParameter("@LinkUrl", OleDbType.VarChar),
					new OleDbParameter("@Title", OleDbType.VarChar),
					new OleDbParameter("@Meta_Description", OleDbType.VarChar),
					new OleDbParameter("@Meta_Keywords", OleDbType.VarChar),
					new OleDbParameter("@Description", OleDbType.VarChar),
					new OleDbParameter("@Content", OleDbType.VarChar),
					new OleDbParameter("@Isshow", OleDbType.Boolean),
					new OleDbParameter("@opflag", OleDbType.Boolean),
					new OleDbParameter("@Sort", OleDbType.Integer,4),
					new OleDbParameter("@Parent_id", OleDbType.Integer,4)};
            parameters1[0].Value = 1;
            parameters1[1].Value = 1;
            parameters1[2].Value = 1;
            parameters1[3].Value = txname.Text.Trim();
            parameters1[4].Value = picshow1.Pics;
            parameters1[5].Value = Linkurl;
            parameters1[6].Value = txtitle.Text.Trim();
            parameters1[7].Value = txseodes.Text.Trim();
            parameters1[8].Value = txseokey.Text.Trim();
            parameters1[9].Value = txdiscription.Text.Trim();
            parameters1[10].Value = FCKeditor1.Text;
            parameters1[11].Value = txisshow.Checked;
            parameters1[12].Value = false;
            parameters1[13].Value = sortdata;
            parameters1[14].Value = parentid;
            object obj = DbHelperOleDb.GetSingle(strSql1.ToString(), parameters1);
            new Categories().process();
            ReLoaddata();
            Messageshow1.Msg = "商品分类<b>" + txname.Text.Trim() + "</b>发布成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
            MsShop.Common.Js.ConfirmAndRedirect("添加成功，是否继续?", "categores_add.aspx", "categores_manage.aspx", Page);
        }
        catch
        {
            Messageshow1.Msg = "商品分类发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("categores_manage.aspx");
    }
    #region 类别管理
    public void Loaddata()
    {
        if (!Page.IsPostBack)
        {
            DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Categories order by Lft");
            ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
            CategoriesDrop1.Items.Add(topitem);
            foreach (DataRow c2 in categores.Tables[0].Rows)
            {
                ListItem item = new ListItem();
                StringBuilder blank = new StringBuilder();
                int i = 1;
                while (true)
                {
                    int num = i;
                    if (!(num <= (int)c2["Depart"] - 1))
                    {
                        break;
                    }
                    blank.Append("\u3000");
                    i++;
                }
                item.Text = blank.ToString() + c2["Name"].ToString().Trim();
                item.Value = c2["CategoryId"].ToString();
                CategoriesDrop1.Items.Add(item);
            }
        }
    }
    public void ReLoaddata()
    {
        int selitem = CategoriesDrop1.SelectedIndex;
        CategoriesDrop1.Items.Clear();
        DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Categories order by Lft");
        ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
        CategoriesDrop1.Items.Add(topitem);
        foreach (DataRow c2 in categores.Tables[0].Rows)
        {
            ListItem item = new ListItem();
            StringBuilder blank = new StringBuilder();
            int i = 1;
            while (true)
            {
                int num = i;
                if (!(num <= (int)c2["Depart"] - 1))
                {
                    break;
                }
                blank.Append("\u3000");
                i++;
            }
            item.Text = blank.ToString() + c2["Name"].ToString().Trim();
            item.Value = c2["CategoryId"].ToString();
            CategoriesDrop1.Items.Add(item);
        }
        CategoriesDrop1.SelectedIndex = selitem;
    }
    #endregion
    #region 转换字符
    protected string issame(string s)
    {
        string resule = s;
        if (ishave(resule))
        {
            Random r = new Random();
            int i = r.Next(1000, 9999);
            resule = s + "-" + i;
            resule = issame(resule);
        }
        return resule;
    }
    protected bool ishave(string s)
    {
        bool flag = false;
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);   //数据库连接串
        OleDbCommand cmd = new OleDbCommand("select * from Categories where LinkUrl='" + s + "'", con);
        con.Open();
        OleDbDataReader _reader = cmd.ExecuteReader();
        if (_reader.HasRows)
        {
            flag = true;
        }
        con.Close();
        return flag;
    }
    #endregion
    protected void ChangeName_Click(object sender, EventArgs e)
    {
        string s = txname.Text;
        if (!String.IsNullOrEmpty(s))
        {
            txlinkurl.Text = issame(StringHelper.GetShortPinyin(s));
        }
    }
}
