﻿using DBUtility;
using System;
using System.Data;
using System.Data.OleDb;
using System.Text;
using System.Text.RegularExpressions;
using System.Web.UI.WebControls;

public partial class categores_edit : RePage
{
    int id = -1;
    #region 类别管理
    public void Loaddata()
    {
        if (!Page.IsPostBack)
        {
            DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Categories order by Lft");
            ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
            CategoriesDrop1.Items.Add(topitem);
            foreach (DataRow c2 in categores.Tables[0].Rows)
            {
                ListItem item = new ListItem();
                StringBuilder blank = new StringBuilder();
                int i = 1;
                while (true)
                {
                    int num = i;
                    if (!(num <= (int)c2["Depart"] - 1))
                    {
                        break;
                    }
                    blank.Append("\u3000");
                    i++;
                }
                item.Text = blank.ToString() + c2["Name"].ToString().Trim();
                item.Value = c2["CategoryId"].ToString();
                CategoriesDrop1.Items.Add(item);
            }
        }
    }
    public void ReLoaddata()
    {
        int selitem = CategoriesDrop1.SelectedIndex;
        CategoriesDrop1.Items.Clear();
        DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Categories order by Lft");
        ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
        CategoriesDrop1.Items.Add(topitem);
        foreach (DataRow c2 in categores.Tables[0].Rows)
        {
            ListItem item = new ListItem();
            StringBuilder blank = new StringBuilder();
            int i = 1;
            while (true)
            {
                int num = i;
                if (!(num <= (int)c2["Depart"] - 1))
                {
                    break;
                }
                blank.Append("\u3000");
                i++;
            }
            item.Text = blank.ToString() + c2["Name"].ToString().Trim();
            item.Value = c2["CategoryId"].ToString();
            CategoriesDrop1.Items.Add(item);
        }
        CategoriesDrop1.SelectedIndex = selitem;
    }
    #endregion
    #region 数据初始化
    protected void datainit()
    {
        Loaddata();
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select * from Categories ");
        strSql.Append(" where CategoryId=@CategoryId");
        OleDbParameter[] parameters = {
					new OleDbParameter("@CategoryId", OleDbType.Integer,4)
			};
        parameters[0].Value = id;
        DataSet curcagegores = DbHelperOleDb.Query(strSql.ToString(), parameters);
        if (curcagegores.Tables[0].Rows.Count > 0)
        {
            StringBuilder parent_strSql = new StringBuilder();
            int i = (int)curcagegores.Tables[0].Rows[0]["Depart"] - 1;
            parent_strSql.Append("select *");
            parent_strSql.Append(" FROM Categories ");
            parent_strSql.Append(" where Depart=" + i + " and Lft<" + (int)curcagegores.Tables[0].Rows[0]["Lft"] + " and Rgt> " + (int)curcagegores.Tables[0].Rows[0]["Rgt"]);
            DataSet parent = DbHelperOleDb.Query(parent_strSql.ToString());
            if (parent.Tables[0].Rows.Count > 0)
            {
                CategoriesDrop1.SelectedValue = parent.Tables[0].Rows[0]["CategoryId"].ToString();
            }
            txname.Text = curcagegores.Tables[0].Rows[0]["Name"].ToString();
            txtitle.Text = curcagegores.Tables[0].Rows[0]["Title"].ToString();
            txseodes.Text = curcagegores.Tables[0].Rows[0]["Meta_Description"].ToString();
            txseokey.Text = curcagegores.Tables[0].Rows[0]["Meta_Keywords"].ToString();
            txdiscription.Text = curcagegores.Tables[0].Rows[0]["Description"].ToString();
            FCKeditor1.Text = curcagegores.Tables[0].Rows[0]["Content"].ToString();
            txisshow.Checked = (bool)curcagegores.Tables[0].Rows[0]["Isshow"];
            txlinkurl.Text = curcagegores.Tables[0].Rows[0]["LinkUrl"].ToString();
            picshow1.Pics = curcagegores.Tables[0].Rows[0]["IconUrl"].ToString();
            Label1.Text = curcagegores.Tables[0].Rows[0]["CategoryId"].ToString();
        }
    }
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        id = (int)Session["id"];
        if (!IsPostBack)
        {
            if (id != -1)
            {
                datainit();
            }
        }
    }
    #region 检验是否符合修改要求
    protected bool check()
    {
        bool result;
        if (CategoriesDrop1.SelectedValue == "0")
            return true;
        else
        {
            int newid = Convert.ToInt32(CategoriesDrop1.SelectedValue);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select * from Categories ");
            DataSet current = DbHelperOleDb.Query(strSql.ToString() + "where CategoryId=" + id);
            DataSet newparent = DbHelperOleDb.Query(strSql.ToString() + "where CategoryId=" + Convert.ToInt32(CategoriesDrop1.SelectedValue));
            result = (!((int)newparent.Tables[0].Rows[0]["Lft"] >= (int)current.Tables[0].Rows[0]["Lft"]) || !((int)newparent.Tables[0].Rows[0]["Rgt"] <= (int)current.Tables[0].Rows[0]["Rgt"]));
        }
        return result;
    }
    #endregion
    protected void Button1_Click(object sender, EventArgs e)
    {
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select * from Categories ");
        DataSet current = DbHelperOleDb.Query(strSql.ToString() + "where CategoryId=" + id);
        string parentid = CategoriesDrop1.SelectedValue;
        Regex reg = new Regex(@"[^a-zA-Z0-9]+");
        string Linkurl = reg.Replace(txlinkurl.Text.Trim(), "-");
        //if (Linkurl.EndsWith("-"))
        //{
        //    Linkurl = Linkurl.Substring(0, Linkurl.Length - 1);
        //}
        //Linkurl = issame(Linkurl);
        if (!current.Tables[0].Rows[0]["Parent_id"].Equals(parentid))//说明重新选择了新的父类
        {
            if (check())
            {
                try
                {
                    StringBuilder Update_strSql = new StringBuilder();
                    Update_strSql.Append("update Categories set ");
                    Update_strSql.Append("Name=@Name,LinkUrl=@LinkUrl,Title=@Title,Meta_Description=@Meta_Description,Meta_Keywords=@Meta_Keywords,Description=@Description,Content=@Content,Isshow=@Isshow,IconUrl=@IconUrl,Parent_id=@Parent_id");
                    Update_strSql.Append(" where CategoryId=@CategoryId");
                    OleDbParameter[] parameters = {
					new OleDbParameter("@Name", OleDbType.VarChar,100),
                    new OleDbParameter("@LinkUrl", OleDbType.VarChar,100),
                    new OleDbParameter("@Title", OleDbType.VarChar,100),
                    new OleDbParameter("@Meta_Description", OleDbType.VarChar,100),
                    new OleDbParameter("@Meta_Keywords", OleDbType.VarChar,100),
                    new OleDbParameter("@Description", OleDbType.VarChar,100),
                    new OleDbParameter("@Content", OleDbType.VarChar,100),
                    new OleDbParameter("@Isshow", OleDbType.Boolean),
                    new OleDbParameter("@IconUrl", OleDbType.VarChar,100),
                    new OleDbParameter("@Parent_id",OleDbType.Integer,4),
					new OleDbParameter("@CategoryId", OleDbType.Integer,4)};
                    parameters[0].Value = txname.Text.Trim();
                    parameters[1].Value = Linkurl;
                    parameters[2].Value = txtitle.Text.Trim();
                    parameters[3].Value = txseodes.Text.Trim();
                    parameters[4].Value = txseokey.Text.Trim();
                    parameters[5].Value = txdiscription.Text.Trim();
                    parameters[6].Value = FCKeditor1.Text;
                    parameters[7].Value = txisshow.Checked;
                    parameters[8].Value = picshow1.Pics;
                    parameters[9].Value = Convert.ToInt32(parentid);
                    parameters[10].Value = id;
                    int rows = DbHelperOleDb.ExecuteSql(Update_strSql.ToString(), parameters);
                    if (rows > 0)
                    {
                        if (new Categories().process())
                        {
                            txlinkurl.Text = Linkurl;
                            Messageshow1.Infotype = "1";
                            Messageshow1.Visible = true;
                            Messageshow1.Msg = "修改成功!";
                        }
                        else
                        {
                            Messageshow1.Infotype = "2";
                            Messageshow1.Visible = true;
                            Messageshow1.Msg = "修改失败，递归到非递归转换失败!";
                        }
                    }
                    else
                    {
                        Messageshow1.Infotype = "2";
                        Messageshow1.Visible = true;
                        Messageshow1.Msg = "修改失败,类型数据写入时失败!";
                    }
                }
                catch
                {
                    Messageshow1.Infotype = "2";
                    Messageshow1.Visible = true;
                    Messageshow1.Msg = "系统错误!";
                    return;
                }
            }
            else
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
                Messageshow1.Msg = "请不要将父类移入其直接子类！";
                return;
            }
        }

    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("categores_manage.aspx");
    }
    #region 转换字符
    protected string issame(string s)
    {
        string resule = s;
        if (ishave(resule))
        {
            Random r = new Random();
            int i = r.Next(1000, 9999);
            resule = s + "-" + i;
            resule = issame(resule);
        }
        return resule;
    }
    protected bool ishave(string s)
    {
        bool flag = false;
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);   //数据库连接串
        OleDbCommand cmd = new OleDbCommand("select * from Categories where LinkUrl='" + s + "' and CategoryId<>" + (int)Session["id"] + "", con);
        con.Open();
        OleDbDataReader _reader = cmd.ExecuteReader();
        if (_reader.HasRows)
        {
            flag = true;
        }
        con.Close();
        return flag;
    }
    #endregion
    protected void ChangeName_Click(object sender, EventArgs e)
    {
        string s = txname.Text;
        if (!String.IsNullOrEmpty(s))
        {
            txlinkurl.Text = issame(StringHelper.GetShortPinyin(s));
        }
    }
}