﻿using System;
using MsShop.Common;
using System.Text;
using System.Data.OleDb;
public partial class faq_add : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Button6_Click(object sender, EventArgs e)
    {
        string strErr = "";
        if (this.txtproblem.Text.Trim().Length == 0)
        {
            strErr += "问题不能为空！";
        }
        if (!PageValidate.IsNumber(txtFrequency.Text))
        {
            strErr += "排序码格式错误！";
        }

        if (strErr != "")
        {
            Messageshow1.Msg = strErr;
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
            return;
        }

        string Keywords = this.txtproblem.Text;
        string Answer = this.txtAnswer.Text;
        int Frequency = int.Parse(this.txtFrequency.Text);
        StringBuilder strSql = new StringBuilder();
        strSql.Append("insert into faq(");
        strSql.Append("Problem,Answer,Sort)");
        strSql.Append(" values (");
        strSql.Append("@Problem,@Answer,@Sort)");
        OleDbParameter[] parameters = {
					new OleDbParameter("@Problem", OleDbType.Char,0),
					new OleDbParameter("@Answer",OleDbType.Char,0),
					new OleDbParameter("@Sort", OleDbType.Integer)};
        parameters[0].Value = Keywords;
        parameters[1].Value = Answer;
        parameters[2].Value = Frequency;

        int rows = DBUtility.DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
        if (rows > 0)
            MsShop.Common.MessageBox.ShowAndRedirect(this, "保存成功！", "faq_add.aspx");
        else
        {
            Messageshow1.Msg = "发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button7_Click(object sender, EventArgs e)
    {
        Response.Redirect("faq_manage.aspx");
    }
}
