﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="honor_add.aspx.cs" Inherits="system_honor_add" %>

<%@ Register Assembly="Controls" Namespace="Controls" TagPrefix="cc1" %>
<%@ Register src="../SWFUpload/UC_SWFUpload.ascx" tagname="UC_SWFUpload" tagprefix="uc1" %>
<%@ Register Src="picshow.ascx" TagPrefix="uc1" TagName="picshow" %>
<%@ Register Src="~/kindeditor4_1_10/kindeditor.ascx" TagPrefix="uc1" TagName="kindeditor" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>后台管理系统v2.0</title>
    <script language="javascript" type="text/javascript" src="../My97DatePicker/WdatePicker.js"></script>
    <link href="css/css1.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <table cellpadding="0" cellspacing="0" class="infomation">
        <tr>
            <td class="title">
                <%=name %>管理</td>
        </tr>
        <tr>
            <td class="area">
                对<%=name %>进行日常管理</td>
        </tr>
    </table>
    <cc1:Messageshow ID="Messageshow1" runat="server" 
        Cusstyle="margin:5px 0px 5px 0px;" Msg="请确保唯一的替代图片,<span style='color:red'>如果您上传上多张替代图片，系统默认只取第一张</span>" />
    <table cellpadding="0" cellspacing="0" class="tabletit" style="margin-top: 5px;">
        <tr>
            <td style="text-align: center; width: 30px;">
                <img alt="" src="images/add2.png" />
            </td>
            <td>
                添加<%=name %></td>
        </tr>
    </table>
    <table cellpadding="0" cellspacing="0" class="areanav">
        <tr>
            <td style="line-height: 30px;">
                <table cellpadding="0" cellspacing="0" style="width: 100%;">
                    <tr>
                        <td style="text-align: right; width: 240px;">
                            所属分类：</td>
                        <td>
                            <b style="color:#f00;"><%=name %></b>
                        </td>
                        <td rowspan="4" width="200px" align="center" valign="middle">
                            <asp:Literal ID="thepic" runat="server"></asp:Literal>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right; width: 150px;">
                            标题：
                        </td>
                        <td>
                            <asp:TextBox ID="txtitle" runat="server" CssClass="textbj" Width="300px"></asp:TextBox>
                            <cc1:HelpCtrl ID="HelpCtrl1" runat="server" FontColor="red" Header="<%=name %>标题" 
                                ImageURL="images/help.gif" Text="您要添加的<%=name %>的标题" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                                ControlToValidate="txtitle" Display="Dynamic" ErrorMessage="必填选项"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                       <td style="text-align: right;">
                            显示位置：
                        </td>
                        <td>
                            <asp:TextBox ID="txsort" runat="server" CssClass="textbj"></asp:TextBox>
                            <cc1:HelpCtrl ID="HelpCtrl3" runat="server" FontColor="red" Header="显示顺序" ImageURL="images/help.gif"
                                Text="当有多个<%=name %>同时存在时，<%=name %>的显示顺序。请填写数字，小者靠前。" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txsort"
                                Display="Dynamic" ErrorMessage="必填选项"></asp:RequiredFieldValidator>
                            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="txsort"
                                Display="Dynamic" ErrorMessage="数字" ValidationExpression="\d+"></asp:RegularExpressionValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right;">
                            图片（上传大图即可，小图自动生成）：<br />
                            图片比例：<asp:Literal ID="pic" runat="server"></asp:Literal>
                        </td>
                        <td>
                            <uc1:picshow runat="server" ID="picshow" Issmall="true" Iswatermark="false" Path="/productimage/honor/" />
                        </td>
                    </tr>
                    <tr style="display:none;">
                        <td style="text-align: right;">
                            概述</td>
                        <td width="80%">
                            <uc1:kindeditor runat="server" ID="FCKeditor1" KindEditorId="FCKeditor1" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right;">
                            &nbsp;</td>
                        <td colspan="2">
                            <asp:Button ID="Button1" runat="server" Text="添加" 
                                onclick="Button1_Click"  />
                            &nbsp;<asp:Button ID="Button2" runat="server" Text="返回列表" 
                                CausesValidation="False" onclick="Button2_Click" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </form>
</body>
</html>

