﻿using System;
using System.Web.UI.WebControls;
using System.Data;
using System.Text;
using System.Data.OleDb;

public partial class system_honor_edit : RePage
{
    int id;
    public string name = "";
    void initid()
    {
        id = (int)Session["id"];
    }
    void init()
    {
        try
        {
            string honortype = "";
            DataSet ds = DBUtility.DbHelperOleDb.Query("select * from [honor] where id=" + id + "");
            if (ds.Tables[0].Rows.Count > 0)
            {
                txtitle.Text = ds.Tables[0].Rows[0]["thename"].ToString().Trim();
                txsort.Text = ds.Tables[0].Rows[0]["theindex"].ToString();
                honortype = ds.Tables[0].Rows[0]["thetype"].ToString();
                FCKeditor1.Text = ds.Tables[0].Rows[0]["area"].ToString().Trim();
                picshow.Pics = ds.Tables[0].Rows[0]["IconUrl"].ToString().Trim();
            }
            DataSet ds2 = DBUtility.DbHelperOleDb.Query("select * from part where CategoryId=" + honortype);
            if (ds2.Tables[0].Rows.Count > 0)
            {
                name = ds2.Tables[0].Rows[0]["Name"].ToString();
                pic.Text = ds2.Tables[0].Rows[0]["picwidth"].ToString() + "：" + ds2.Tables[0].Rows[0]["picheight"].ToString();
                picshow.Smallheight = Convert.ToInt32(ds2.Tables[0].Rows[0]["picheight"].ToString());
                picshow.Smallwidth = Convert.ToInt32(ds2.Tables[0].Rows[0]["picwidth"].ToString());
            }

        }
        catch
        {
            Messageshow1.Msg = "数据加载失败，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }    

    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            initid();
            if (!IsPostBack)
            {
                init();
            }
        }
        catch
        {
            Messageshow1.Msg = "调用参数错误，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            StringBuilder strsql = new StringBuilder();
            strsql.Append("update honor ");
            strsql.Append("set thetype=@thetype,IconUrl=@IconUrl,thename=@thename,area=@area,theindex=@theindex ");
            strsql.Append("where id=@id");
            OleDbParameter[] parameter ={
                                  new OleDbParameter("@thetype", OleDbType.Integer,4),
                                  new OleDbParameter("@IconUrl", OleDbType.VarChar),
                                  new OleDbParameter("@thename", OleDbType.VarChar,100),
                                  new OleDbParameter("@area", OleDbType.VarChar,0),
                                  new OleDbParameter("@theindex", OleDbType.Integer,4),
                                  new OleDbParameter("@id", OleDbType.Integer,4)
                                   };
            parameter[0].Value = Convert.ToInt32(Request.QueryString["id"]);
            parameter[1].Value = picshow.Pics;
            parameter[2].Value = txtitle.Text;
            parameter[3].Value = FCKeditor1.Text;
            parameter[4].Value = txsort.Text.Trim();
            parameter[5].Value = id;
            DBUtility.DbHelperOleDb.ExecuteSql(strsql.ToString(), parameter);
            init();
            Messageshow1.Msg = "资质荣誉修改成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "资质荣誉修改失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("honor_manage.aspx?id=" + Request.QueryString["id"]);
    }
}