﻿using System;
using System.Web.UI.WebControls;
using System.Data;

public partial class system_honor_manage : RePage
{
    public string name = "";
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            try
            {
                if (Request.QueryString["id"] != null)
                {
                    init();
                    if (Session["curpage"] == null)
                        search(txtitle.Text.Trim(), 1, 20);
                    else
                        search(txtitle.Text.Trim(), (int)Session["curpage"], 20);
                }
            }
            catch
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Msg = "数据加载失败";
                Messageshow1.Visible = true;
            }
        }
    }
    #region init
    void init()
    {
        DataSet ds= DBUtility.DbHelperOleDb.Query("select * from part where CategoryId="+Request.QueryString["id"]);
        if (ds.Tables[0].Rows.Count > 0)
        {
            name = ds.Tables[0].Rows[0]["Name"].ToString();
        }
        if (Session["txtitle"] != null)
        {
            txtitle.Text = (string)Session["txtitle"];
            Session.Remove("txtitle");
        }
    }
    #endregion
    #region search
    void search(string title, int curpage, int pagesize)
    {
        string categores = Request.QueryString["id"];
        string strWhere = "";
        if (!string.IsNullOrEmpty(categores))
        {
            if (!categores.Trim().Equals("-1"))
                strWhere += " and thetype = " + Convert.ToInt32(categores) + "";
        }
        if (!string.IsNullOrEmpty(title))
        {
            strWhere += " and thename like '%" + title + "%'";
        }

        string sqlstr = "select * from honor where id <> 0 " + strWhere + "";

        thepager.RecordCount = DBUtility.DbHelperOleDb.Query(sqlstr).Tables[0].Rows.Count;
        if (Session["curpage"] != null)
        {
            thepager.CurrentPageIndex = (int)Session["curpage"];
            Session.Remove("curpage");
        }
        string sqlstr1 = "";
        if (curpage == 1)
        {
            sqlstr1 = "select top " + pagesize + " * from honor where id <> 0 " + strWhere + "  order by theindex";
        }
        else
        {
            sqlstr1 = "select top " + pagesize + " * from honor where( id <> 0 " + strWhere + " and id not in (select top " + pagesize * (curpage - 1) + " id from honor where id <> 0 " + strWhere + " order by theindex)) order by theindex ";
        }
        Repeater1.DataSource = DBUtility.DbHelperOleDb.Query(sqlstr1).Tables[0];
        Repeater1.DataBind();
    }
    #endregion

    protected void edit(object sender, EventArgs e)
    {
        int id;
        id = Convert.ToInt32(((Button)sender).CommandArgument);
        Session["id"] = Convert.ToInt32(((Button)sender).CommandArgument);
        Session["txtitle"] = txtitle.Text;
        Session["curpage"] = thepager.CurrentPageIndex;
        Response.Redirect("honor_edit.aspx?id=" + Request.QueryString["id"]);
    }

    protected void delete(object sender, EventArgs e)
    {
        try
        {
            int id;
            id = Convert.ToInt32(((Button)sender).CommandArgument);
            DBUtility.DbHelperOleDb.ExecuteSql("delete from [honor] where id=" + id);
            search(txtitle.Text.Trim(), thepager.CurrentPageIndex, 20);

            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "删除成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void txdel_Click(object sender, EventArgs e)
    {
        try
        {
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                if (_checkbox.Checked)
                {
                    int id;
                    id = Convert.ToInt32(_checkbox.Text);
                    DBUtility.DbHelperOleDb.ExecuteSql("delete from [honor] where id=" + id);
                }
            }
            search(txtitle.Text.Trim(), thepager.CurrentPageIndex, 20);
            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "删除成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                TextBox _sort = (TextBox)item.FindControl("sort");
                int id;
                id = Convert.ToInt32(_checkbox.Text);
                DBUtility.DbHelperOleDb.ExecuteSql("update [honor] set theindex=" + Convert.ToInt32(_sort.Text) + " where id=" + id);
            }
            search(txtitle.Text.Trim(), thepager.CurrentPageIndex, 20);
            Messageshow1.Infotype = "0";
            Messageshow1.Msg = "执行刷新操作成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "执行刷新操作失败";
            Messageshow1.Visible = true;
        }
    }

    protected void thepager_PageChanged(object sender, EventArgs e)
    {
        search(txtitle.Text.Trim(), thepager.CurrentPageIndex, 20);
    }

    protected void searchbut_Click(object sender, EventArgs e)
    {
        try
        {
            search(txtitle.Text.Trim(), 1, 20);
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "加载数据失败";
            Messageshow1.Visible = true;
        }
    }
    public string honortypename(string CategoryId)
    {
        return name;
    }
}