﻿using System;
using System.Data.OleDb;
using System.Web.UI.WebControls;
using System.Data;

public partial class system_job : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Request.QueryString["curpage"] != null)
                init(thepager.PageSize, Convert.ToInt32(Request.QueryString["curpage"].ToString()));
            else
                init(thepager.PageSize, 1);
        }
    }
    #region  所有招聘
    /// <summary>
    /// 分页反回所有招聘信息
    /// </summary>
    /// <param name="pagesize">每页务数</param>
    /// <param name="curpage">当前系几页</param>
    protected void init(int pagesize, int curpage)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand();
        cmd.Connection = con;
        con.Open();

        //跟踪到页
        cmd.CommandText = "select count(id) as cnt from hrinfo";
        OleDbDataReader reader = cmd.ExecuteReader();
        reader.Read();
        thepager.RecordCount = Convert.ToInt32(reader["cnt"].ToString());
        if (Math.Ceiling((float)thepager.RecordCount / pagesize) < curpage)
        {
            curpage = curpage - 1;
            if (curpage <= 0)
            {
                curpage = 1;
            }
        }
        reader.Close();
        thepager.CurrentPageIndex = curpage;
        //跟踪到页


        if (curpage == 1)
            cmd.CommandText = "select top " + pagesize + " id,jobname,starttime,endtime,isselect from hrinfo order by id desc";
        else
            cmd.CommandText = "select top " + pagesize + " id,jobname,starttime,endtime,isselect from hrinfo where id not in (select top " + pagesize * (curpage - 1) + " id from hrinfo order by id desc) order by id desc";
        OleDbDataAdapter myda = new OleDbDataAdapter();
        myda.SelectCommand = cmd;
        DataSet myset = new DataSet();
        myda.Fill(myset);
        DataList1.DataSource = myset.Tables[0];
        DataList1.DataBind();
        con.Close();
    }
    #endregion
    #region  保存中状态
    protected void changeselstage()
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("update hrinfo set isselect=? where id=?", con);
        con.Open();
        foreach (DataListItem item in DataList1.Items)
        {
            bool ck = ((CheckBox)item.FindControl("CheckBox1")).Checked;
            int id = Convert.ToInt32(((LinkButton)item.FindControl("LinkButton9")).CommandArgument);
            cmd.Parameters.Add("isselect", ck);
            cmd.Parameters.Add("id", id);
            cmd.ExecuteNonQuery();
            cmd.Parameters.Clear();
        }
        con.Close();
    }
    #endregion
    #region 删除已选
    protected void LinkButton8_Click(object sender, EventArgs e)
    {
        changeselstage();
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("delete from hrinfo where isselect=true", con);
        con.Open();
        cmd.ExecuteNonQuery();
        con.Close();
        init(thepager.PageSize, thepager.CurrentPageIndex);
    }
    #endregion
    #region 查看详细
    protected void LinkButton9_Click(object sender, EventArgs e)
    {
        Session["wkid"] = ((LinkButton)sender).CommandArgument;
        Response.Redirect("editjob.aspx?curpage=" + thepager.CurrentPageIndex);
    }
    #endregion
    protected void thepager_PageChanged(object sender, EventArgs e)
    {
        changeselstage();
        init(thepager.PageSize, thepager.CurrentPageIndex);
    }
}

