﻿using DBUtility;
using System;
using System.Data;
using System.Data.OleDb;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;
using MsShop.Common;

public partial class system_part_manage_admin : RePage
{
    protected void asc(object sender, EventArgs e)
    {
        int id = Convert.ToInt32(((ImageButton)sender).CommandArgument);
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part ");
        strSql.Append(" where CategoryId=@CategoryId");
        OleDbParameter[] parameters = {
					new OleDbParameter("@CategoryId", OleDbType.Integer,4)
			};
        parameters[0].Value = id;
        DataSet ds = DbHelperOleDb.Query(strSql.ToString(), parameters);
        if (ds.Tables[0].Rows.Count > 0)
        {
            DataSet up = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part where Rgt=" + ((int)ds.Tables[0].Rows[0]["Lft"] - 1));
            if (up.Tables[0].Rows.Count > 0)
            {
                int? addnum = ((int)ds.Tables[0].Rows[0]["rgt"] - (int)ds.Tables[0].Rows[0]["Lft"]) + 1;
                int? subnum = ((int)up.Tables[0].Rows[0]["rgt"] - (int)up.Tables[0].Rows[0]["lft"]) + 1;
                DbHelperOleDb.ExecuteSql(string.Concat(new object[] { "update Part set Lft=Lft-", subnum, ",Rgt=Rgt-", subnum, ",opflag=true where Lft >=", (int)ds.Tables[0].Rows[0]["lft"], " and Rgt <=", (int)ds.Tables[0].Rows[0]["rgt"] }));
                DbHelperOleDb.ExecuteSql(string.Concat(new object[] { "update Part set Lft=Lft+", addnum, ",Rgt=Rgt+", addnum, " where Lft >=", (int)up.Tables[0].Rows[0]["lft"], " and Rgt <=", (int)up.Tables[0].Rows[0]["rgt"], "and opflag=false" }));
                DbHelperOleDb.ExecuteSql("update Part set opflag=false where opflag=true");
                init();
            }
        }
    }
    protected void change(object sender, EventArgs e)
    {
        bool editing = true;
        int id = Convert.ToInt32(((Button)sender).CommandArgument);
        string sqlstr = "update Part set isedit=false where CategoryId=" + id + " and isedit=true";
        string sqlstr1 = "update Part set isedit=true where CategoryId=" + id + " and isedit=false";
        if (DBUtility.DbHelperOleDb.ExecuteSql(sqlstr) > 0)
        {
            Messageshow1.Msg = "变更不可编辑成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
            editing = false;
        }
        if (editing)
        {
            DBUtility.DbHelperOleDb.ExecuteSql(sqlstr1);
            Messageshow1.Msg = "变更可编辑成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        init();
    }

    protected void changetop(object sender, EventArgs e)
    {
        bool editing = true;
        int id = Convert.ToInt32(((Button)sender).CommandArgument);
        string sqlstr = "update Part set isshow=false where CategoryId=" + id + " and isshow=true";
        string sqlstr1 = "update Part set isshow=true where CategoryId=" + id + " and isshow=false";
        if (DBUtility.DbHelperOleDb.ExecuteSql(sqlstr) > 0)
        {
            Messageshow1.Msg = "变更不可编辑成功";
            DataSet ds = DbHelperOleDb.Query("select * from part where CategoryId =" + id);
            int oldnum = (int)ds.Tables[0].Rows[0]["isshowsort"];
            if (oldnum > 0)
            {
                DbHelperOleDb.ExecuteSql("update part set isshowsort=isshowsort-1 where isshow=true and isshowsort>=" + oldnum);
            }
            DbHelperOleDb.ExecuteSql("update part set isshowsort=0 where CategoryId =" + id);
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
            editing = false;
        }
        if (editing)
        {
            DBUtility.DbHelperOleDb.ExecuteSql(sqlstr1);
            int maxnum = 0;
            object obj = DbHelperOleDb.GetSingle("select max(isshowsort) FROM Part where isshow=true");
            if (obj != null)
            {
                maxnum = Convert.ToInt32(obj);
            }
            maxnum = maxnum + 1;
            DbHelperOleDb.ExecuteSql("update part set isshowsort=" + maxnum + " where CategoryId =" + id);
            Messageshow1.Msg = "变更可编辑成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        init();
    }

    protected void changefoot(object sender, EventArgs e)
    {
        bool editing = true;
        int id = Convert.ToInt32(((Button)sender).CommandArgument);
        string sqlstr = "update Part set isfoot=false where CategoryId=" + id + " and isfoot=true";
        string sqlstr1 = "update Part set isfoot=true where CategoryId=" + id + " and isfoot=false";
        if (DBUtility.DbHelperOleDb.ExecuteSql(sqlstr) > 0)
        {
            Messageshow1.Msg = "变更不可编辑成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
            editing = false;
        }
        if (editing)
        {
            DBUtility.DbHelperOleDb.ExecuteSql(sqlstr1);
            Messageshow1.Msg = "变更可编辑成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        init();
    }

    protected void delete(object sender, EventArgs e)
    {
        try
        {
            int id = Convert.ToInt32(((Button)sender).CommandArgument);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part ");
            strSql.Append(" where CategoryId=@CategoryId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@CategoryId", OleDbType.Integer,4)
			};
            parameters[0].Value = id;
            DataSet ds = DbHelperOleDb.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                int curset = DbHelperOleDb.ExecuteSql(string.Concat(new object[] { "delete from Part where Lft>=", (int)ds.Tables[0].Rows[0]["lft"], " and Rgt<=", (int)ds.Tables[0].Rows[0]["Rgt"] }));
                int? subnum = ((int)ds.Tables[0].Rows[0]["Rgt"] - (int)ds.Tables[0].Rows[0]["lft"]) + 1;
                DbHelperOleDb.ExecuteSql(string.Concat(new object[] { "update Part set Lft=Lft-", subnum, " where Lft>", (int)ds.Tables[0].Rows[0]["lft"] }));
                DbHelperOleDb.ExecuteSql(string.Concat(new object[] { "update part set Rgt=Rgt-", subnum, " where Rgt>", (int)ds.Tables[0].Rows[0]["Rgt"] }));
                init();
            }
            Messageshow1.Msg = "删除成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "删除失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void desc(object sender, EventArgs e)
    {
        int id = Convert.ToInt32(((ImageButton)sender).CommandArgument);
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part ");
        strSql.Append(" where CategoryId=@CategoryId");
        OleDbParameter[] parameters = {
					new OleDbParameter("@CategoryId", OleDbType.Integer,4)
			};
        parameters[0].Value = id;
        DataSet ds = DbHelperOleDb.Query(strSql.ToString(), parameters);
        if (ds.Tables[0].Rows.Count > 0)
        {
            DataSet down = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part where Lft=" + ((int)ds.Tables[0].Rows[0]["Rgt"] + 1));
            if (down.Tables[0].Rows.Count > 0)
            {
                int? addnum = ((int)down.Tables[0].Rows[0]["Rgt"] - (int)down.Tables[0].Rows[0]["lft"]) + 1;
                int? subnum = ((int)ds.Tables[0].Rows[0]["Rgt"] - (int)ds.Tables[0].Rows[0]["lft"]) + 1;
                DbHelperOleDb.ExecuteSql(string.Concat(new object[] { "update part set Lft=Lft+", addnum, ",Rgt=Rgt+", addnum, ",opflag=true where Lft>=", (int)ds.Tables[0].Rows[0]["lft"], " and Rgt<=", (int)ds.Tables[0].Rows[0]["rgt"] }));
                DbHelperOleDb.ExecuteSql(string.Concat(new object[] { "update part set Lft=Lft-", subnum, ",Rgt=Rgt-", subnum, " where Lft>=", (int)down.Tables[0].Rows[0]["lft"], " and Rgt<=", (int)down.Tables[0].Rows[0]["rgt"], " and opflag=false" }));
                DbHelperOleDb.ExecuteSql("update Part set opflag=false where opflag=true");
                init();
            }
        }
    }

    protected void edit(object sender, EventArgs e)
    {
        int id = Convert.ToInt32(((Button)sender).CommandArgument);
        Session["id"] = id;
        Response.Redirect("part_edit_admin.aspx");
    }

    private void init()
    {
        Repeater1.DataSource = DbHelperOleDb.Query("select * FROM Part where 1=1 order by Lft");
        Repeater1.DataBind();
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        Response.Redirect("part_add.aspx");
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            init();
        }
    }
    protected void TextBox1_TextChanged(object sender, EventArgs e)
    {
        try
        {
            TextBox txt = (TextBox)sender;
            if (!PageValidate.IsNumber(txt.Text))
            {
                Js.Alert("排序号必须为数字", Page);
            }
            Label cid = ((TextBox)sender).Parent.FindControl("categoryId") as Label;
            DataSet ds = DbHelperOleDb.Query("select * from part where CategoryId =" + cid.Text);
            int oldnum = (int)ds.Tables[0].Rows[0]["isshowsort"];
            int newnum = Convert.ToInt32(txt.Text);
            int maxnum = 1;
            if (oldnum > 0)
            {
                DbHelperOleDb.ExecuteSql("update part set isshowsort=isshowsort-1 where isshow=true and isshowsort>=" + oldnum);
            }
            DbHelperOleDb.ExecuteSql("update part set isshowsort=isshowsort+1 where isshow=true and isshowsort>=" + newnum);
            object obj = DbHelperOleDb.GetSingle("select max(isshowsort) FROM Part where isshow=true");
            if (obj != null)
            {
                maxnum = Convert.ToInt32(obj);
            }
            if (maxnum < newnum)
            {
                newnum = maxnum + 1;
            }
            DbHelperOleDb.ExecuteSql("update part set isshowsort=" + newnum + " where CategoryId =" + cid.Text);
            Messageshow1.Msg = "排序号修改成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
            init();
        }
        catch
        {
            Messageshow1.Msg = "排序号修改失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
}