﻿using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;
using System.Collections;
using System.Data;
using DBUtility;
using System.Text;
using System.Data.OleDb;
using System.IO;

public partial class products_edit : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Loaddata();
        if (!IsPostBack)
        {
            CategoriesDrop1.Items.RemoveAt(0);
            init();
        }
        //if (Session["showflagr"] != null)
        //{
        //    addrpros();
        //    relatedprobind();
        //    Session.Remove("showflagr");
        //}
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select * from Products ");
            strSql.Append(" where ProductId=@ProductId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@ProductId", OleDbType.Integer,4)
			};
            parameters[0].Value = (int)Session["id"];
            DataSet product = DbHelperOleDb.Query(strSql.ToString(), parameters);
            int oldcategoryid = (int)product.Tables[0].Rows[0]["CategoryId"];
            int oldsort = (int)product.Tables[0].Rows[0]["sort"];

            StringBuilder strSql1 = new StringBuilder();
            strSql1.Append("select CategoryId,Lft,Rgt,Depart,Name,IconUrl,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,Isshow,opflag,Sort,Parent_id from Categories ");
            strSql1.Append(" where CategoryId=@CategoryId");
            OleDbParameter[] parameters1 = {
					new OleDbParameter("@CategoryId", OleDbType.Integer,4)
			};
            parameters1[0].Value = CategoriesDrop1.SelectedValue;
            DataSet curcategores = DbHelperOleDb.Query(strSql1.ToString(), parameters1);
            if (oldcategoryid != (int)curcategores.Tables[0].Rows[0]["CategoryId"])  //对分类做了调整
            {
                if (Convert.ToInt32(curcategores.Tables[0].Rows[0]["Rgt"]) - 1 == Convert.ToInt32(curcategores.Tables[0].Rows[0]["Lft"]))
                {
                    int sort = 0;
                    try
                    {
                        StringBuilder strSql2 = new StringBuilder();
                        strSql2.Append("select top 1 * from Products ");
                        strSql2.Append(" where CategoryId=@CategoryId order by sort desc");
                        OleDbParameter[] parameters2 = {
					new OleDbParameter("@CategoryId", OleDbType.Integer)};
                        parameters1[0].Value = curcategores.Tables[0].Rows[0]["CategoryId"];
                        DataSet maxsort = DbHelperOleDb.Query(strSql2.ToString(), parameters2);
                        if (maxsort.Tables[0].Rows.Count > 0)
                        {
                            sort = (int)maxsort.Tables[0].Rows[0]["sort"];
                        }
                    }
                    catch
                    {
                    }
                    StringBuilder strSql3 = new StringBuilder();
                    strSql3.Append("update Products set ");
                    strSql3.Append("CategoryId=@CategoryId,");
                    strSql3.Append("Lft=@Lft,");
                    strSql3.Append("Rgt=@Rgt,");
                    strSql3.Append("Sort=@Sort,");
                    strSql3.Append("Isshow=@Isshow,");
                    strSql3.Append("Name=@Name,");
                    strSql3.Append("LinkUrl=@LinkUrl,");
                    strSql3.Append("IconUrl=@IconUrl,");
                    strSql3.Append("Title=@Title,");
                    strSql3.Append("Meta_Description=@Meta_Description,");
                    strSql3.Append("Meto_Keywords=@Meto_Keywords,");
                    strSql3.Append("Description=@Description,");
                    strSql3.Append("Content=@Content,");
                    strSql3.Append("info1=@info1,");
                    strSql3.Append("Marketprice=@Marketprice,");
                    strSql3.Append("Saleprice=@Saleprice,");
                    strSql3.Append("opflag=@opflag");
                    strSql3.Append(" where ProductId=@ProductId");
                    OleDbParameter[] parameters3 = {
					new OleDbParameter("@CategoryId", OleDbType.Integer),
					new OleDbParameter("@Lft", OleDbType.Integer),
					new OleDbParameter("@Rgt", OleDbType.Integer),
					new OleDbParameter("@Sort", OleDbType.Integer),
					new OleDbParameter("@Isshow", OleDbType.Boolean,1),
					new OleDbParameter("@Name", OleDbType.VarChar,100),
                    new OleDbParameter("@LinkUrl", OleDbType.VarChar,200),
					new OleDbParameter("@IconUrl", OleDbType.VarChar,200),
					new OleDbParameter("@Title", OleDbType.VarChar,200),
					new OleDbParameter("@Meta_Description", OleDbType.VarChar,0),
					new OleDbParameter("@Meto_Keywords", OleDbType.VarChar,0),
					new OleDbParameter("@Description", OleDbType.VarChar,0),
					new OleDbParameter("@Content", OleDbType.VarChar,0),
                    new OleDbParameter("@info1", OleDbType.VarChar,200),
					new OleDbParameter("@Marketprice", OleDbType.VarChar,100),
					new OleDbParameter("@Saleprice", OleDbType.Double),
					new OleDbParameter("@opflag", OleDbType.Boolean,1),
                    new OleDbParameter("@ProductId", OleDbType.Integer),};

                    parameters3[0].Value = curcategores.Tables[0].Rows[0]["CategoryId"];
                    parameters3[1].Value = curcategores.Tables[0].Rows[0]["Lft"];
                    parameters3[2].Value = curcategores.Tables[0].Rows[0]["Rgt"];
                    parameters3[3].Value = sort + 1;
                    parameters3[4].Value = txisshow.Checked;
                    parameters3[5].Value = txname.Text.Trim();
                    parameters3[6].Value = txlinkurl.Text;
                    parameters3[7].Value = picshow1.Pics;
                    parameters3[8].Value = txtitle.Text.Trim();
                    parameters3[9].Value = txseodes.Text.Trim();
                    parameters3[10].Value = txseokey.Text.Trim();
                    parameters3[11].Value = TextBox1.Text;
                    parameters3[12].Value = kindeditor1.Text;
                    parameters3[13].Value = txinfo1.Text;
                    //parameters3[13].Value = Convert.ToDouble(txmarketprice.Text);
                    parameters3[14].Value = txmarketprice.Text; ;
                    //parameters3[14].Value = Convert.ToDouble(txsaleprice.Text);
                    parameters3[15].Value = 1;
                    parameters3[16].Value = false;
                    parameters3[17].Value = (int)Session["id"];
                    int rows = DbHelperOleDb.ExecuteSql(strSql3.ToString(), parameters3);

                    //对sort进行调整
                    DbHelperOleDb.ExecuteSql("update products set sort=sort-1 where CategoryId=" + oldcategoryid + " and sort>" + oldsort);
                    if (rows > 0)
                    {
                        Messageshow1.Msg = "产品<b>" + txname.Text.Trim() + "</b>修改成功";
                        Messageshow1.Infotype = "1";
                        Messageshow1.Visible = true;
                    }
                    else
                    {
                        Messageshow1.Msg = "产品修改失败";
                        Messageshow1.Infotype = "2";
                        Messageshow1.Visible = true;
                    }
                }
                else
                {
                    Messageshow1.Msg = "分类修改失败，请勿移动到父类中";
                    Messageshow1.Infotype = "2";
                    Messageshow1.Visible = true;
                }
            }
            else
            {
                StringBuilder strSql3 = new StringBuilder();
                strSql3.Append("update Products set ");
                strSql3.Append("sort=@sort,");
                strSql3.Append("Isshow=@Isshow,");
                strSql3.Append("Name=@Name,");
                strSql3.Append("LinkUrl=@LinkUrl,");
                strSql3.Append("IconUrl=@IconUrl,");
                strSql3.Append("Title=@Title,");
                strSql3.Append("Meta_Description=@Meta_Description,");
                strSql3.Append("Meto_Keywords=@Meto_Keywords,");
                strSql3.Append("Description=@Description,");
                strSql3.Append("Content=@Content,");
                strSql3.Append("info1=@info1,");
                strSql3.Append("Marketprice=@Marketprice,");
                strSql3.Append("Saleprice=@Saleprice,");
                strSql3.Append("opflag=@opflag");
                strSql3.Append(" where ProductId=@ProductId");
                OleDbParameter[] parameters3 = {
                    new OleDbParameter("@sort", OleDbType.Integer,4),
					new OleDbParameter("@Isshow", OleDbType.Boolean,1),
					new OleDbParameter("@Name", OleDbType.VarChar,100),
                    new OleDbParameter("@LinkUrl", OleDbType.VarChar,200),
					new OleDbParameter("@IconUrl", OleDbType.VarChar,200),
					new OleDbParameter("@Title", OleDbType.VarChar,200),
					new OleDbParameter("@Meta_Description", OleDbType.VarChar,0),
					new OleDbParameter("@Meto_Keywords", OleDbType.VarChar,0),
					new OleDbParameter("@Description", OleDbType.VarChar,0),
					new OleDbParameter("@Content", OleDbType.VarChar,0),
                    new OleDbParameter("@info1", OleDbType.VarChar,200),
					new OleDbParameter("@Marketprice", OleDbType.VarChar,100),
					new OleDbParameter("@Saleprice", OleDbType.Double),
					new OleDbParameter("@opflag", OleDbType.Boolean,1),
                    new OleDbParameter("@ProductId", OleDbType.Integer),};
                parameters3[0].Value = Convert.ToInt32(txsort.Text);
                parameters3[1].Value = txisshow.Checked;
                parameters3[2].Value = txname.Text.Trim();
                parameters3[3].Value = txlinkurl.Text.Trim();
                parameters3[4].Value = picshow1.Pics;
                parameters3[5].Value = txtitle.Text.Trim();
                parameters3[6].Value = txseodes.Text.Trim();
                parameters3[7].Value = txseokey.Text.Trim();
                parameters3[8].Value = TextBox1.Text;
                parameters3[9].Value = kindeditor1.Text;
                parameters3[10].Value = txinfo1.Text;
                //parameters3[11].Value = Convert.ToDouble(txmarketprice.Text);
                //parameters3[12].Value = Convert.ToDouble(txsaleprice.Text);
                parameters3[11].Value = txmarketprice.Text; ;
                parameters3[12].Value = 1;
                parameters3[13].Value = false;
                parameters3[14].Value = (int)Session["id"];
                int rows = DbHelperOleDb.ExecuteSql(strSql3.ToString(), parameters3);
                if (rows > 0 && updatecomment(sender, (int)Session["id"]))
                {
                    Messageshow1.Msg = "产品<b>" + txname.Text.Trim() + "</b>修改成功";
                    Messageshow1.Infotype = "1";
                    Messageshow1.Visible = true;
                }
                else
                {
                    Messageshow1.Msg = "产品修改失败";
                    Messageshow1.Infotype = "2";
                    Messageshow1.Visible = true;
                }
            }
        }
        catch
        {
            Messageshow1.Msg = "产品修改失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("products_manage.aspx");
    }

    #region  加载要修改产品的相关信息
    void init()
    {
        try
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select * from Products ");
            strSql.Append(" where ProductId=@ProductId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@ProductId", OleDbType.Integer,4)
			};
            parameters[0].Value = (int)Session["id"];
            showAttributes((int)Session["id"]);
            DataSet product = DbHelperOleDb.Query(strSql.ToString(), parameters);
            txname.Text = product.Tables[0].Rows[0]["Name"].ToString();
            picshow1.Pics = product.Tables[0].Rows[0]["IconUrl"].ToString();
            txtitle.Text = product.Tables[0].Rows[0]["Title"].ToString();
            txseodes.Text = product.Tables[0].Rows[0]["Meta_Description"].ToString();
            txseokey.Text = product.Tables[0].Rows[0]["Meto_Keywords"].ToString();
            TextBox1.Text = product.Tables[0].Rows[0]["Description"].ToString();
            txlinkurl.Text = product.Tables[0].Rows[0]["LinkUrl"].ToString();
            kindeditor1.Text = product.Tables[0].Rows[0]["Content"].ToString();
            txisshow.Checked = (bool)product.Tables[0].Rows[0]["Isshow"];
            txmarketprice.Text = product.Tables[0].Rows[0]["Marketprice"].ToString();
            txsaleprice.Text = product.Tables[0].Rows[0]["Saleprice"].ToString();
            txsort.Text = product.Tables[0].Rows[0]["Sort"].ToString();
            CategoriesDrop1.SelectedValue = product.Tables[0].Rows[0]["CategoryId"].ToString();
            txinfo1.Text = product.Tables[0].Rows[0]["info1"].ToString();
        }
        catch
        {
            Messageshow1.Msg = "产品信息加载失败,请不要执行修改操作！";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    #endregion
    #region 产品属性管理
    public void showAttributes(int ProductId)
    {
        Repeater1.DataSource = DbHelperOleDb.Query("select a.id,a.Name,b.Content from Product_Attributes a LEFT JOIN Product_Commend b on (a.ID=b.AttributeId and b.ProductId=" + ProductId + ") order by a.Sort");
        Repeater1.DataBind();
    }
    #endregion    
    protected bool updatecomment(object sender, int ProductId)
    {
        try
        {
            ArrayList sqllist = new ArrayList(Repeater1.Items.Count);
            foreach (RepeaterItem item in Repeater1.Items)
            {
                TextBox textBox1 = (TextBox)item.FindControl("comment1");
                Label id = (Label)item.FindControl("_id");
                bool obj = DbHelperOleDb.Exists("select count(1) from Product_Commend where AttributeId=" + id.Text + " and ProductId=" + ProductId);
                StringBuilder strSql = new StringBuilder();
                if (obj == false)
                {
                    sqllist.Add("insert into Product_Commend (AttributeId,ProductId,Content) values (" + id.Text + "," + ProductId + ",'" + textBox1.Text + "')");
                }
                else
                {
                    sqllist.Add("update Product_Commend set Content='" + textBox1.Text + "' where AttributeId=" + id.Text + " and ProductId=" + ProductId);
                }
            }
            if (DbHelperOleDb.ExecuteSqlTran(sqllist))
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        catch
        {
            return false;
        }
    }
    #region 类别管理
    public void Loaddata()
    {
        if (!Page.IsPostBack)
        {
            DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Categories order by Lft");
            ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
            CategoriesDrop1.Items.Add(topitem);
            foreach (DataRow c2 in categores.Tables[0].Rows)
            {
                ListItem item = new ListItem();
                StringBuilder blank = new StringBuilder();
                int i = 1;
                while (true)
                {
                    int num = i;
                    if (!(num <= (int)c2["Depart"] - 1))
                    {
                        break;
                    }
                    blank.Append("\u3000");
                    i++;
                }
                item.Text = blank.ToString() + c2["Name"].ToString().Trim();
                item.Value = c2["CategoryId"].ToString();
                CategoriesDrop1.Items.Add(item);
            }
        }
    }
    public void ReLoaddata()
    {
        int selitem = CategoriesDrop1.SelectedIndex;
        CategoriesDrop1.Items.Clear();
        DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Categories order by Lft");
        ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
        CategoriesDrop1.Items.Add(topitem);
        foreach (DataRow c2 in categores.Tables[0].Rows)
        {
            ListItem item = new ListItem();
            StringBuilder blank = new StringBuilder();
            int i = 1;
            while (true)
            {
                int num = i;
                if (!(num <= (int)c2["Depart"] - 1))
                {
                    break;
                }
                blank.Append("\u3000");
                i++;
            }
            item.Text = blank.ToString() + c2["Name"].ToString().Trim();
            item.Value = c2["CategoryId"].ToString();
            CategoriesDrop1.Items.Add(item);
        }
        CategoriesDrop1.SelectedIndex = selitem;
    }
    #endregion
}