﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="tags_products_manage.aspx.cs"
    Inherits="tags_products_manage" %>

<%@ Register Assembly="Controls" Namespace="Controls" TagPrefix="cc1" %>
<%@ Register Assembly="FredCK.FCKeditorV2" Namespace="FredCK.FCKeditorV2" TagPrefix="FCKeditorV2" %>
<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>相关产品选择</title>
    <link href="css/css1.css" rel="stylesheet" type="text/css" />
    <script src="js/jquery.js" type="text/javascript"></script>
    <script src="js/common.js" type="text/javascript"></script>
    <script language="javascript" type="text/javascript" src="../My97DatePicker/WdatePicker.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <table cellpadding="0" cellspacing="0" class="infomation">
            <tr>
                <td class="title">标记产品管理
                </td>
            </tr>
            <tr>
                <td class="area">对产品标记如&quot;新品,推荐&quot;等进行管理。
                </td>
            </tr>
        </table>
        <cc1:Messageshow ID="Messageshow1" runat="server" Cusstyle="margin:5px 0px 5px 0px;"
            Visible="False" />
        <fieldset class="searchgroup" style="margin-top: 5px;">
            <legend>添加标记产品</legend>
            <table cellpadding="5">
                <tr>
                    <td>产品标签:
                    </td>
                    <td>
                        <asp:DropDownList ID="txtags0" runat="server">
                        </asp:DropDownList>
                    </td>
                    <td>
                        <asp:Button ID="Button3" runat="server" OnClick="Button3_Click" Text="现在添加" />
                    </td>
                </tr>
            </table>
        </fieldset>
        <fieldset class="searchgroup" style="margin-top: 5px;">
            <legend>查询条件</legend>
            <table cellpadding="5">
                <tr>
                    <td>产品标签:
                    </td>
                    <td>
                        <asp:DropDownList ID="txtags" runat="server">
                        </asp:DropDownList>
                    </td>
                    <td>产品名称:
                    </td>
                    <td>
                        <asp:TextBox ID="txtitle" runat="server"></asp:TextBox>
                    </td>
                    <td>
                        <asp:Button ID="searchbut" runat="server" OnClick="searchbut_Click" Text="查找" />
                    </td>
                </tr>
            </table>
        </fieldset>
        <table style="width: 100%; margin-top: 5px;" cellpadding="0" cellspacing="0" class="tabletit">
            <tr>
                <td>
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td style="text-align: center; width: 30px;">
                                <img alt="" src="images/checkall.gif" />
                            </td>
                            <td>
                                <a href="javascript:void(0);" id="checkall">全选</a>
                            </td>
                            <td style="text-align: center; width: 30px;">
                                <img alt="" src="images/nocheck.gif" />
                            </td>
                            <td>
                                <a href="javascript:void(0);" id="uncheck">不选</a>
                            </td>
                            <td style="text-align: center; width: 30px;">
                                <img alt="" src="images/redo.gif" />
                            </td>
                            <td>
                                <a href="javascript:void(0);" id="recheck">返选</a>
                            </td>
                            <td style="text-align: center; width: 30px;">
                                <img alt="" src="images/x_blue.gif" />
                            </td>
                            <td>
                                <asp:LinkButton ID="txdel" runat="server" OnClick="txdel_Click" OnClientClick="return confirm('确定要删除吗?')">删除所选</asp:LinkButton>
                            </td>
                            <td>
                                <img src="images/refresh.png" width="20" /></td>
                            <td>
                                <asp:LinkButton ID="LinkButton1" runat="server" OnClick="LinkButton1_Click">刷新排序</asp:LinkButton></td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <table cellpadding="0" cellspacing="0" class="tabunderline" style="width: 100%;">
                    <tr>
                        <td>选择
                        </td>
                        <td>产品名称
                        </td>
                        <td>代表图片
                        </td>
                        <td>排序
                        </td>
                        <td>操作
                        </td>
                    </tr>
                    <asp:Repeater ID="Repeater1" runat="server">
                        <ItemTemplate>
                            <tr class="rowhover">
                                <td style="height: 40px;">
                                    <asp:CheckBox ID="CheckBox1" runat="server" Text='<%# Eval("Id") %>' />
                                </td>
                                <td>
                                    <%# Eval("Name")%>
                                </td>
                                <td>
                                    <%#Picindex.Piclist1(Eval("IconUrl").ToString(),"","/productimage/products/small/")%>
                                </td>
                                <td>
                                    <asp:TextBox ID="sort" runat="server" Text='<%#Eval("Sort") %>'></asp:TextBox>
                                </td>
                                <td>
                                    <asp:Button ID="Button2" runat="server" Text="删除" Style="margin-left: 5px;" CommandArgument='<%# Eval("Id") %>'
                                        OnClick="deloneformat" OnClientClick="return confirm('确定要删除吗?')" />
                                </td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
    </form>
</body>
</html>
