﻿using System;
using System.Web.UI.WebControls;
using System.Collections;
using System.Text;
using DBUtility;
using System.Data.OleDb;

public partial class tags_products_manage : RePage
{
    #region 搜索
    void search()
    {
        var val = DbHelperOleDb.Query("select a.id,a.sort,b.name,b.iconurl from Tagsproduct a,products b where a.TagId=" + txtags.SelectedValue + " and a.ProductId=b.ProductId order by a.TagId,a.Sort,a.id");
        Repeater1.DataSource = val;
        Repeater1.DataBind();
    }
    #endregion
    #region Tagsbind
    void Tagbind()
    {
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select Tagid,Name,Iconurl,Sort ");
        strSql.Append(" FROM Tags ");
        strSql.Append(" where 1=1 order by sort");
        var tags = DbHelperOleDb.Query(strSql.ToString()).Tables[0];
        txtags.DataSource = tags;
        txtags.DataTextField = "Name";
        txtags.DataValueField = "Tagid";
        txtags.DataBind();
        txtags0.DataSource = tags;
        txtags0.DataTextField = "Name";
        txtags0.DataValueField = "Tagid";
        txtags0.DataBind();
    }
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Tagbind();
            search();
        }
        if (Session["showflag"] != null)
        {
            txtags.SelectedIndex = txtags0.SelectedIndex;
            search();
            Session.Remove("showflag");
            Session.Remove("tagid");
        }
    }

    protected void searchbut_Click(object sender, EventArgs e)
    {
        search();
    }
    protected void thepager_PageChanged(object sender, EventArgs e)
    {
        search();
    }
    protected void txdel_Click(object sender, EventArgs e)
    {
        try
        {
            StringBuilder ids = new StringBuilder();

            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _ckbox = (CheckBox)item.FindControl("CheckBox1");
                if (_ckbox.Checked)
                {
                    ids.Append(_ckbox.Text + ",");
                }
            }
            if (ids.Length > 0)
            {
                StringBuilder strSql = new StringBuilder();
                strSql.Append("delete from Tagsproduct ");
                strSql.Append(" where Id in (" + StringHelper.Removestrright(ids.ToString(), 1) + ")  ");
                int rows = DbHelperOleDb.ExecuteSql(strSql.ToString());
                if (rows>0)
                {
                    search();
                    Messageshow1.Msg = "删除成功！";
                    Messageshow1.Infotype = "1";
                    Messageshow1.Visible = true;
                }
                else
                {
                    Messageshow1.Msg = "删除失败！";
                    Messageshow1.Infotype = "2";
                    Messageshow1.Visible = true;
                }
            }
        }
        catch
        {
            Messageshow1.Msg = "删除失败！";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    protected void deloneformat(object sender, EventArgs e)
    {
        try
        {
            int id = Convert.ToInt32(((Button)sender).CommandArgument);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from Tagsproduct ");
            strSql.Append(" where Id=@Id");
            OleDbParameter[] parameters = {
					new OleDbParameter("@Id", OleDbType.Integer)
			};
            parameters[0].Value = id;

            int rows = DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
            if (rows>0)
            {
                search();
                Messageshow1.Msg = "删除成功！";
                Messageshow1.Infotype = "1";
                Messageshow1.Visible = true;
            }
            else
            {
                Messageshow1.Msg = "删除失败！";
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
            }
        }
        catch
        {
            Messageshow1.Msg = "删除失败！";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    protected void Button3_Click(object sender, EventArgs e)
    {
        Session["tagid"] = Convert.ToInt32(txtags0.SelectedValue);
        MsShop.Common.Js.ShowWindow("tags_products_selector.aspx", "800", "600", Page);
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            ArrayList sqllist = new ArrayList();

            StringBuilder ids = new StringBuilder();

            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _ckbox = (CheckBox)item.FindControl("CheckBox1");
                TextBox _sort = (TextBox)item.FindControl("sort");
                sqllist.Add("update Tagsproduct set sort=" + _sort.Text + " where id=" + _ckbox.Text);
            }
            if (DbHelperOleDb.ExecuteSqlTran(sqllist))
            {
                Messageshow1.Msg = "执行刷新操作成功！";
                Messageshow1.Infotype = "1";
                Messageshow1.Visible = true;
                search();
            }
            else
            {
                Messageshow1.Msg = "执行刷新操作失败！";
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
            }
        }
        catch
        {
            Messageshow1.Msg = "系统错误！";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
}
