﻿using System;
using System.Web.UI.WebControls;
using System.Text;
using System.Collections;
using System.Data;
using System.Data.OleDb;
using DBUtility;

public partial class tags_products_selector : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            try
            {
                init();
                search(CategoriesDrop1.SelectedValue.Trim(), txtitle.Text.Trim());
            }
            catch
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Msg = "数据加载失败";
                Messageshow1.Visible = true;
            }
        }
    }
    #region init
    void init()
    {
        Loaddata();
    }
    #endregion
    #region search
    void search(string categores, string title)
    {
        StringBuilder strwhere = new StringBuilder("1=1");
        if (!string.IsNullOrEmpty(categores))
        {
            if (!categores.Trim().Equals("0"))
                strwhere.Append(" and b.CategoryId=" + categores);
        }
        if (!string.IsNullOrEmpty(title))
        {
            strwhere.Append(" and b.Title like \"%" + title + "%\"");
        }
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select count(1) FROM Products b");
        if (strwhere.ToString().Trim() != "")
        {
            strSql.Append(" where " + strwhere);
        }
        object obj = DbHelperOleDb.GetSingle(strSql.ToString());
        if (obj == null)
        {
            thepager.RecordCount = 0;
        }
        else
        {
            thepager.RecordCount = Convert.ToInt32(obj);
        }
        if (Session["curpage"] != null)
        { thepager.CurrentPageIndex = (int)Session["curpage"]; Session.Remove("curpage"); }
        if (thepager.CurrentPageIndex == 1)
        {
            Repeater1.DataSource = DbHelperOleDb.Query(string.Format("select top {0} a.Name as CName,b.* from Categories a,Products b where {1} and a.CategoryId=b.CategoryId order by {2} ", thepager.PageSize, strwhere, "b.lft,b.sort,b.ProductId"));
        }
        else
        {
            Repeater1.DataSource = DbHelperOleDb.Query(string.Format("select top {0} a.Name as CName,b.* from Categories a,Products b where {1} and a.CategoryId=b.CategoryId and b.Productid not in (select top  {3} ProductId from Products b where {1}  order by {2} )  order by {2} ", thepager.PageSize, strwhere, "b.lft,b.sort,b.ProductId", thepager.PageSize * (thepager.CurrentPageIndex - 1)));
        }
        Repeater1.DataBind();
    }
    #endregion
    #region 类别管理
    public void Loaddata()
    {
        if (!Page.IsPostBack)
        {
            DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Categories order by Lft");
            ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
            CategoriesDrop1.Items.Add(topitem);
            foreach (DataRow c2 in categores.Tables[0].Rows)
            {
                ListItem item = new ListItem();
                StringBuilder blank = new StringBuilder();
                int i = 1;
                while (true)
                {
                    int num = i;
                    if (!(num <= (int)c2["Depart"] - 1))
                    {
                        break;
                    }
                    blank.Append("\u3000");
                    i++;
                }
                item.Text = blank.ToString() + c2["Name"].ToString().Trim();
                item.Value = c2["CategoryId"].ToString();
                CategoriesDrop1.Items.Add(item);
            }
        }
    }
    public void ReLoaddata()
    {
        int selitem = CategoriesDrop1.SelectedIndex;
        CategoriesDrop1.Items.Clear();
        DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Categories order by Lft");
        ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
        CategoriesDrop1.Items.Add(topitem);
        foreach (DataRow c2 in categores.Tables[0].Rows)
        {
            ListItem item = new ListItem();
            StringBuilder blank = new StringBuilder();
            int i = 1;
            while (true)
            {
                int num = i;
                if (!(num <= (int)c2["Depart"] - 1))
                {
                    break;
                }
                blank.Append("\u3000");
                i++;
            }
            item.Text = blank.ToString() + c2["Name"].ToString().Trim();
            item.Value = c2["CategoryId"].ToString();
            CategoriesDrop1.Items.Add(item);
        }
        CategoriesDrop1.SelectedIndex = selitem;
    }
    #endregion
    protected void searchbut_Click(object sender, EventArgs e)
    {
        search(CategoriesDrop1.SelectedValue.Trim(), txtitle.Text.Trim());
    }

    protected void thepager_PageChanged(object sender, EventArgs e)
    {
        search(CategoriesDrop1.SelectedValue.Trim(), txtitle.Text.Trim());
    }
    protected string isok(string ProductId)
    {
        int tagid = (int)Session["tagid"];
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select count(1) from Tagsproduct");
        strSql.Append(" where TagId=@TagId and ProductId=@ProductId");
        OleDbParameter[] parameters = {
					new OleDbParameter("@TagId", DbType.Int32),
					new OleDbParameter("@ProductId", DbType.Int32)
			};
        parameters[0].Value = tagid;
        parameters[1].Value = ProductId;
        if (DbHelperOleDb.Exists(strSql.ToString(), parameters))
        {
            return "已选定";
        }
        else
        {
            return "";
        }
    }
    protected void Button4_Click(object sender, EventArgs e)
    {
        int tagid = (int)Session["tagid"];
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select count(1) FROM Tagsproduct a ");
        strSql.Append(" where TagId=" + tagid);
        object obj = DBUtility.DbHelperOleDb.GetSingle(strSql.ToString());
        int sort = Convert.ToInt32(obj) + 1;
        ArrayList sqllist = new ArrayList();
        foreach (RepeaterItem item in Repeater1.Items)
        {
            CheckBox _ckbox = (CheckBox)item.FindControl("CheckBox1");
            if (_ckbox.Checked)
            {
                int productid = Convert.ToInt32(_ckbox.Text);
                StringBuilder strSql1 = new StringBuilder();
                strSql1.Append("select count(1) from Tagsproduct");
                strSql1.Append(" where TagId=@TagId and ProductId=@ProductId");
                OleDbParameter[] parameters = {
					new OleDbParameter("@TagId", OleDbType.Integer),
					new OleDbParameter("@ProductId", OleDbType.Integer)
			};
                parameters[0].Value = tagid;
                parameters[1].Value = productid;
                if (!DbHelperOleDb.Exists(strSql1.ToString(), parameters))
                {
                    sqllist.Add(string.Format("insert into Tagsproduct (TagId,ProductId,Sort) values ({0},{1},{2})", tagid, productid, sort));
                    sort++;
                }
            }
        }
        DbHelperOleDb.ExecuteSqlTran(sqllist);
        Session["showflag"] = true;

        Messageshow1.Msg = "标记成功您可以继续或返回!";
        Messageshow1.Infotype = "1";
        Messageshow1.Visible = true;
    }
}
