﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="webconfig.aspx.cs" Inherits="webconfig" %>

<%@ Register Assembly="Controls" Namespace="Controls" TagPrefix="cc1" %>
<%@ Register Src="picshow.ascx" TagName="picshow" TagPrefix="uc1" %>
<%@ Register Src="picshow.ascx" TagPrefix="uc2" TagName="picshow" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>后台管理系统v2.0</title>
    <link href="css/css1.css" rel="stylesheet" type="text/css" />
    <script src="js/jquery-1.3.2.js" type="text/javascript"></script>
    <script src="js/common.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
        <table cellpadding="0" cellspacing="0" class="infomation">
            <tr>
                <td class="title">系统中心-网站配置</td>
            </tr>
            <tr>
                <td class="area">对网站整体的标题，关键字以及描述进行配置修改.</td>
            </tr>
        </table>
        <cc1:Messageshow ID="Messageshow1" runat="server"
            Cusstyle="margin:5px 0px 5px 0px;" Visible="False" />

        <table cellpadding="0" cellspacing="0" class="tabletit"
            style="margin-top: 5px;">
            <tr>
                <td style="text-align: center; width: 30px;">
                    <img alt="" src="images/edit2.png" /></td>
                <td>网站配置信息</td>
            </tr>
        </table>

        <table cellpadding="0" cellspacing="0" class="areanav">
            <tr>
                <td>
                    <table cellpadding="0" cellspacing="0" class="tableborder" style="width: 100%; border-top: 1px solid #cccccc;">
                        <tr>
                            <td align="right" style="font-size: 16px; font-weight: bold; color: #2e6cd2;">网站信息</td>
                            <td></td>
                        </tr>
                        <tr>
                            <td style="text-align: right;" width="200">网站标题(Title)：</td>
                            <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                <asp:TextBox ID="TextBox1" runat="server" Width="80%"></asp:TextBox>
                                <cc1:HelpCtrl ID="HelpCtrl1" runat="server" FontColor="red" Header="网站标题"
                                    ImageURL="images/help.gif" Text="请填写公司全称，简称。总计字数不得超过60" />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right;">网站关键词(Keys)：</td>
                            <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                <asp:TextBox ID="TextBox2" runat="server" Width="80%" TextMode="MultiLine" Height="60px"></asp:TextBox>

                                <cc1:HelpCtrl ID="HelpCtrl2" runat="server" FontColor="red" Header="网站关键字"
                                    ImageURL="images/help.gif"
                                    Text="建议填写公司全简称以及主打产品，多个词间用英方逗号分隔。关键词个数不得超过6个，总计字数不得超过100" />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right;">网站描述(Discription)：</td>
                            <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                <asp:TextBox ID="TextBox3" runat="server"
                                    TextMode="MultiLine" Width="80%" Height="80px"></asp:TextBox>
                                <cc1:HelpCtrl ID="HelpCtrl3" runat="server" FontColor="red" Header="网站描述"
                                    ImageURL="images/help.gif" Text="公司简单描述。总计字数不得超过200" />
                            </td>
                        </tr>

                        <tr style="display: none;">
                            <td style="text-align: right;">电子邮箱(E-mail)：</td>
                            <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                <asp:TextBox ID="TextBox4" runat="server" Width="300px"></asp:TextBox>
                                <cc1:HelpCtrl ID="HelpCtrl5" runat="server" FontColor="red" Header="网站描述"
                                    ImageURL="images/help.gif" Text="您的电子邮箱地址如xxx@163.com" />
                            </td>
                        </tr>
                        <tr style="display: none;">
                            <td style="text-align: right;">邮箱密码：</td>
                            <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                <asp:TextBox ID="TextBox5" runat="server" Width="300px"></asp:TextBox>
                                <cc1:HelpCtrl ID="HelpCtrl14" runat="server" FontColor="red" Header="网站描述"
                                    ImageURL="images/help.gif" Text="您邮箱的密码" />
                            </td>
                        </tr>
                        <tr style="display: none;">
                            <td style="text-align: right;">SMTP：</td>
                            <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                <asp:TextBox ID="TextBox6" runat="server" Width="300px"></asp:TextBox>
                                <cc1:HelpCtrl ID="HelpCtrl15" runat="server" FontColor="red" Header="网站描述"
                                    ImageURL="images/help.gif" Text="请咨询技术员" />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right;" width="200">公司名称：</td>
                            <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                <asp:TextBox ID="txtname" runat="server" Width="300px"></asp:TextBox>
                                <cc1:HelpCtrl ID="HelpCtrl8" runat="server" FontColor="red" Header="公司名称"
                                    ImageURL="images/help.gif" Text="请填写公司全称或简称" />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right;" width="200">网址：</td>
                            <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                <asp:TextBox ID="txtweburl" runat="server" Width="300px"></asp:TextBox>
                                <cc1:HelpCtrl ID="HelpCtrl13" runat="server" FontColor="red" Header="公司网址"
                                    ImageURL="images/help.gif" Text="您网站的网址，如www.qinhan.cc" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">&nbsp;</td>
                        </tr>
                    </table>
                    <asp:Panel ID="Panel1" Visible="false" runat="server">
                        <table cellpadding="0" cellspacing="0" class="tableborder" style="width: 100%; border-top: 1px solid #cccccc;">
                            <tr>
                                <td align="right" style="font-size: 16px; font-weight: bold; color: #2e6cd2;">公司信息</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td style="text-align: right;" width="200">地图坐标：</td>
                                <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                    <asp:TextBox ID="txtmapcode" runat="server" Width="150px"></asp:TextBox>
                                    百度地图坐标获取地址：<a target="_blank" href="http://api.map.baidu.com/lbsapi/getpoint/index.html">点此获取</a>
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right;" width="200">地图显示联系方式</td>
                                <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                    <asp:TextBox ID="txtmapcontact" runat="server" Width="500px" TextMode="MultiLine" Height="60px"></asp:TextBox>

                                    <cc1:HelpCtrl ID="HelpCtrl4" runat="server" FontColor="red" Header="网站关键字"
                                        ImageURL="images/help.gif"
                                        Text="建议填写公司全简称以及主打产品，多个词间用英方逗号分隔。关键词个数不得超过6个，总计字数不得超过100" />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right;" width="200">logo图片：（图片的大小：350×80px，图片格式为png图片）</td>
                                <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                    <uc2:picshow runat="server" ID="picshow" Issmall="false" Iswatermark="false" Path="/productimage/logo/" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">&nbsp;</td>
                            </tr>
                        </table>
                        <table cellpadding="0" cellspacing="0" class="tableborder" style="width: 100%; border-top: 1px solid #cccccc;">
                            <tr>
                                <td align="right" style="font-size: 16px; font-weight: bold; color: #2e6cd2;">网站布局信息</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td style="text-align: right;" width="200">产品每页产品个数：</td>
                                <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                    <asp:TextBox ID="TextBox7" runat="server" Width="60px"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right;" width="200">产品小图大小(长*宽)：</td>
                                <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                    <asp:TextBox ID="TextBox8" runat="server" Width="40px"></asp:TextBox>*<asp:TextBox ID="TextBox9" runat="server" Width="40px"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right;" width="200">新闻图片大小(长*宽)：</td>
                                <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                    <asp:TextBox ID="TextBox10" runat="server" Width="40px"></asp:TextBox>*<asp:TextBox ID="TextBox11" runat="server" Width="40px"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">&nbsp;</td>
                            </tr>
                        </table>
                    </asp:Panel>
                    <table cellpadding="0" cellspacing="0" class="tableborder" style="width: 100%; border-top: 1px solid #cccccc;">
                        <tr>
                            <td style="text-align: right;" width="200">更新信息后请点击确认保存</td>
                            <td style="padding-left: 5px; padding-top: 2px; padding-bottom: 2px;">
                                <asp:Button ID="Button6" runat="server" OnClick="Button6_Click" Text="确认" OnClientClick="return confirm('以上信息确认无误?')" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </form>
</body>
</html>
