﻿using System;
using System.Data;
using System.Data.OleDb;
using System.Text;
using DBUtility;
public partial class webconfig : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Request.QueryString["show"] == "all")
            {
                Panel1.Visible = true;
            }
            DataTable _config = DbHelperOleDb.Query("select * from siteconfig").Tables[0];
            if (_config.Rows.Count > 0)
            {
                //网站信息
                TextBox1.Text = _config.Rows[0]["title"].ToString().Trim();
                TextBox2.Text = _config.Rows[0]["keys"].ToString().Trim();
                TextBox3.Text = _config.Rows[0]["discription"].ToString().Trim();
                TextBox4.Text = _config.Rows[0]["emailname"].ToString().Trim();
                TextBox5.Text = _config.Rows[0]["emailpwd"].ToString().Trim();
                TextBox6.Text = _config.Rows[0]["emailsmtp"].ToString().Trim();
                //公司信息
                txtname.Text = _config.Rows[0]["name"].ToString().Trim();
                txtweburl.Text = _config.Rows[0]["weburl"].ToString().Trim();
                txtmapcode.Text = _config.Rows[0]["mapcode"].ToString().Trim();
                txtmapcontact.Text = _config.Rows[0]["mapcontact"].ToString().Trim();
                //网站布局
                TextBox7.Text = _config.Rows[0]["pagesize"].ToString().Trim();
                TextBox8.Text = _config.Rows[0]["smallpicwidth"].ToString().Trim();
                TextBox9.Text = _config.Rows[0]["smallpicheight"].ToString().Trim();
                TextBox10.Text = _config.Rows[0]["newspicwidth"].ToString().Trim();
                TextBox11.Text = _config.Rows[0]["newspicheight"].ToString().Trim();
                picshow.Pics = _config.Rows[0]["IconUrl"].ToString().Trim();
            }
        }
    }

    protected void Button6_Click(object sender, EventArgs e)
    {
        string strErr = "";
        if (this.TextBox1.Text.Trim().Length == 0)
        {
            strErr += "网站标题不能为空！ ";
        }
        if (this.TextBox2.Text.Trim().Length == 0)
        {
            strErr += "网站关键词不能为空！ ";
        }
        if (this.TextBox3.Text.Trim().Length == 0)
        {
            strErr += "网站描述不能为空！ ";
        }
        //if (this.TextBox4.Text.Trim().Length == 0)
        //{
        //    strErr += "电子邮箱不能为空！ ";
        //}
        //if (this.TextBox5.Text.Trim().Length == 0)
        //{
        //    strErr += "邮箱密码不能为空！ ";
        //}
        if (this.txtname.Text.Trim().Length == 0)
        {
            strErr += "公司名称不能为空！ ";
        }
        if (this.txtweburl.Text.Trim().Length == 0)
        {
            strErr += "网址不能为空！ ";
        }
        //if (this.txtmapcode.Text.Trim().Length == 0)
        //{
        //    txtmapcode.Text = "121.506255,31.245651";
        //}
        if (strErr != "")
        {
            Messageshow1.Msg = strErr;
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
            return;
        }
        StringBuilder strSql = new StringBuilder();
        strSql.Append("update siteconfig set ");
        strSql.Append("name=@name,");
        strSql.Append("weburl=@weburl,");
        strSql.Append("mapcode=@mapcode,");
        strSql.Append("mapcontact=@mapcontact,");
        strSql.Append("title=@title,");
        strSql.Append("keys=@keys,");
        strSql.Append("discription=@discription,");
        strSql.Append("emailname=@emailname,");
        strSql.Append("emailpwd=@emailpwd,");
        strSql.Append("emailsmtp=@emailsmtp,");
        strSql.Append("pagesize=@pagesize,");
        strSql.Append("smallpicwidth=@smallpicwidth,");
        strSql.Append("smallpicheight=@smallpicheight,");
        strSql.Append("newspicwidth=@newspicwidth,");
        strSql.Append("newspicheight=@newspicheight,");
        strSql.Append("IconUrl=@IconUrl");
        strSql.Append(" where id=@id");
        OleDbParameter[] parameters = {
					new OleDbParameter("@name", OleDbType.Char,255),
					new OleDbParameter("@weburl", OleDbType.Char,255),
					new OleDbParameter("@mapcode", OleDbType.Char,255),
					new OleDbParameter("@mapcontact", OleDbType.Char),
					new OleDbParameter("@title", OleDbType.Char,255),
					new OleDbParameter("@keys", OleDbType.Char,255),
                    new OleDbParameter("@discription", OleDbType.Char,255),
					new OleDbParameter("@emailname", OleDbType.Char,255),
					new OleDbParameter("@emailpwd", OleDbType.Char,255),
					new OleDbParameter("@emailsmtp", OleDbType.Char,255),
					new OleDbParameter("@pagesize", OleDbType.Char,255),
                    new OleDbParameter("@smallpicwidth", OleDbType.Char,255),
					new OleDbParameter("@smallpicheight", OleDbType.Char,255),
					new OleDbParameter("@newspicwidth", OleDbType.Char,255),
					new OleDbParameter("@newspicheight", OleDbType.Char,255),
                    new OleDbParameter("@IconUrl", OleDbType.Char,255),
					new OleDbParameter("@id", OleDbType.Integer)};
        parameters[0].Value = txtname.Text.Trim();
        parameters[1].Value = txtweburl.Text.Trim();
        parameters[2].Value = txtmapcode.Text.Trim();
        parameters[3].Value = txtmapcontact.Text.Trim();
        parameters[4].Value = TextBox1.Text.Trim();
        parameters[5].Value = TextBox2.Text.Trim();
        parameters[6].Value = TextBox3.Text.Trim();
        parameters[7].Value = TextBox4.Text.Trim();
        parameters[8].Value = TextBox5.Text.Trim();
        parameters[9].Value = TextBox6.Text.Trim();
        parameters[10].Value = TextBox7.Text.Trim();
        parameters[11].Value = TextBox8.Text.Trim();
        parameters[12].Value = TextBox9.Text.Trim();
        parameters[13].Value = TextBox10.Text.Trim();
        parameters[14].Value = TextBox11.Text.Trim();
        parameters[15].Value = picshow.Pics;
        parameters[16].Value = 1;
        int rows = DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
        if (rows > 0)
        {
            Messageshow1.Msg = "网站配置信息修改成功！";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
            seohelper.Title = TextBox1.Text.Trim();
            seohelper.Keys = TextBox2.Text.Trim();
            seohelper.Content = TextBox3.Text.Trim();
        }
        else
        {
            Messageshow1.Msg = "网站配置信息修改失败！";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
}

