﻿using System;
using System.Data.OleDb;
using System.Data;
using System.Web.UI.WebControls;


public partial class system_wokerinfo : RePage
{
    #region 初始化
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("update worker set isselect=false", con);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            ViewState["iscontact"] = false;
            ViewState["iscomefrom"] = false;
            ViewState["all"] = true;
            init(thepager.PageSize, 1);
        }
    }
    #endregion
    #region  所有应聘人员
    /// <summary>
    /// 分页反回所有应聘人员
    /// </summary>
    /// <param name="pagesize">每页务数</param>
    /// <param name="curpage">当前系几页</param>
    protected void init(int pagesize,int curpage)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd=new OleDbCommand();
        cmd.Connection=con;
        if (curpage == 1)
            cmd.CommandText = "select top " + pagesize + " id,thename,sex,gangweimc,tel,isselect,uptime from worker order by id desc";
        else
            cmd.CommandText = "select top " + pagesize + " id,thename,sex,gangweimc,tel,isselect,uptime from worker where id not in (select top " + pagesize * (curpage - 1) + " id from worker order by id desc) order by id desc";
        OleDbDataAdapter myda = new OleDbDataAdapter();
        myda.SelectCommand = cmd;
        DataSet myset = new DataSet();
        con.Open();
        myda.Fill(myset);
        DataList1.DataSource = myset.Tables[0];
        DataList1.DataBind();
        cmd.CommandText = "select count(id) as cnt from worker";
        OleDbDataReader reader = cmd.ExecuteReader();
        reader.Read();
        thepager.RecordCount = Convert.ToInt32(reader["cnt"].ToString());
        reader.Close();
        con.Close();
    }
    #endregion
    #region  带条件应聘人员
    /// <summary>
    /// 分页反回所有应聘人员
    /// </summary>
    /// <param name="pagesize">每页务数</param>
    /// <param name="curpage">当前系几页</param>
    /// <param name="iscontact">网站方是否联系应聘者</param>
    /// <param name="iscomefrom">应聘者是否来应聘</param>
    protected void init(int pagesize, int curpage,bool iscontact,bool iscomefrom)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand();
        cmd.Connection = con;
        if (curpage == 1)
            cmd.CommandText = "select top " + pagesize + " id,thename,sex,gangweimc,tel,isselect,uptime from worker where iscontact="+iscontact+" and iscomefrom="+iscomefrom+" order by id desc";
        else
            cmd.CommandText = "select top " + pagesize + " id,thename,sex,gangweimc,tel,isselect,uptime from worker where iscontact=" + iscontact + " and iscomefrom=" + iscomefrom + " and  id not in (select top " + pagesize * (curpage - 1) + " id from worker where iscontact=" + iscontact + " and iscomefrom=" + iscomefrom + " order by id desc) order by id desc";
        OleDbDataAdapter myda = new OleDbDataAdapter();
        myda.SelectCommand = cmd;
        DataSet myset = new DataSet();
        con.Open();
        myda.Fill(myset);
        DataList1.DataSource = myset.Tables[0];
        DataList1.DataBind();
        cmd.CommandText = "select count(id) as cnt from worker where iscontact=? and iscomefrom=?";
        cmd.Parameters.Add("iscontact", iscontact);
        cmd.Parameters.Add("iscomefrom", iscomefrom);
        OleDbDataReader reader = cmd.ExecuteReader();
        reader.Read();
        thepager.RecordCount = Convert.ToInt32(reader["cnt"].ToString());
        reader.Close();
        con.Close();
    }
    #endregion
    #region 调用分页
    protected void thepager_PageChanged(object sender, EventArgs e)
    {
        changeselstage();
        if ((bool)ViewState["all"])
            init(thepager.PageSize, thepager.CurrentPageIndex);
        else
            init(thepager.PageSize, thepager.CurrentPageIndex, (bool)ViewState["iscontact"], (bool)ViewState["iscomefrom"]);
    }
    #endregion
    #region  保存中状态
    protected void changeselstage()
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("update worker set isselect=? where id=?", con);
        con.Open();
        foreach (DataListItem item in DataList1.Items)
        {
            bool ck = ((CheckBox)item.FindControl("CheckBox1")).Checked;
            int id = Convert.ToInt32(((LinkButton)item.FindControl("LinkButton9")).CommandArgument);
            cmd.Parameters.Add("isselect", ck);
            cmd.Parameters.Add("id", id);
            cmd.ExecuteNonQuery();
            cmd.Parameters.Clear();
        }
        con.Close();
    }
    #endregion
    #region  各种条件并生成第一页
    protected void LinkButton3_Click(object sender, EventArgs e)
    {
        ViewState["all"] = true;
        init(thepager.PageSize, 1);
    }
    protected void LinkButton4_Click(object sender, EventArgs e)
    {
        ViewState["all"] = false;
        ViewState["iscontact"] = false;
        init(thepager.PageSize, 1, (bool)ViewState["iscontact"], (bool)ViewState["iscomefrom"]);
    }
    protected void LinkButton5_Click(object sender, EventArgs e)
    {
        ViewState["all"] = false;
        ViewState["iscontact"] = true;
        init(thepager.PageSize, 1, (bool)ViewState["iscontact"], (bool)ViewState["iscomefrom"]);
    }
    protected void LinkButton6_Click(object sender, EventArgs e)
    {
        ViewState["all"] = false;
        ViewState["iscomefrom"] = false;
        init(thepager.PageSize, 1, (bool)ViewState["iscontact"], (bool)ViewState["iscomefrom"]);
    }
    protected void LinkButton7_Click(object sender, EventArgs e)
    {
        ViewState["all"] = false;
        ViewState["iscomefrom"] = true;
        init(thepager.PageSize, 1, (bool)ViewState["iscontact"], (bool)ViewState["iscomefrom"]);
    }
    #endregion
    #region  删除已选
    protected void LinkButton8_Click(object sender, EventArgs e)
    {
        changeselstage();
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("delete from worker where isselect=true", con);
        con.Open();
        cmd.ExecuteNonQuery();
        con.Close();
        if ((bool)ViewState["all"])
            init(thepager.PageSize, thepager.CurrentPageIndex);
        else
            init(thepager.PageSize, thepager.CurrentPageIndex, (bool)ViewState["iscontact"], (bool)ViewState["iscomefrom"]);

    }
    #endregion
    #region  查看详细
    protected void LinkButton9_Click(object sender, EventArgs e)
    {
        Session["wkid"] = ((LinkButton)sender).CommandArgument;
        Session["curpage"] = thepager.CurrentPageIndex;
        Response.Redirect("workerinfodetail.aspx");
    }
    #endregion
}
