﻿using System.Collections;
using System.Data;
using DBUtility;
using System;

/// <summary>
/// Categories 的摘要说明
/// </summary>
public class Categories
{
    public Categories()
    {
    }
    #region    递归到非递归转换
    ArrayList cmds = new ArrayList();
    int lft = 1;
    int depart = 1;
    public bool process()
    {
        DataTable cats = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,IconUrl,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,sort,isshow,opflag FROM Categories where Parent_id = 0 and isshow=true order by Sort").Tables[0];
        foreach (DataRow r in cats.Rows)
        {
            if (process(Convert.ToInt32(r["CategoryId"])) == false)
                return false;
            lft++;
        }
        return DBUtility.DbHelperOleDb.ExecuteSqlTran(cmds);
    }
    public bool process(int CategoryId)
    {
        try
        {
            var subs = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,IconUrl,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,sort,isshow,opflag FROM Categories where Parent_id = " + CategoryId + " and isshow=true order by Sort").Tables[0];
            if (subs != null)
            {
                int tmplft = lft;
                depart++;
                foreach (DataRow item in subs.Rows)
                {
                    lft++;
                    process(Convert.ToInt32(item["CategoryId"]));
                }
                cmds.Add(string.Format("update Categories set lft={0},rgt={1},depart={2} where CategoryId={3}", tmplft, ++lft, --depart, CategoryId));
                cmds.Add(string.Format("update Products set lft={0},rgt={1} where CategoryId={2}", tmplft, lft, CategoryId));
            }
            else
            {
                cmds.Add(string.Format("update Categories set lft={0},rgt={1},depart={2} where CategoryId={3}", lft, ++lft, depart, CategoryId));
                cmds.Add(string.Format("update Products set lft={0},rgt={1} where CategoryId={2}", lft - 1, lft, CategoryId));
            }
            return true;
        }
        catch
        {
            return false;
        }
    }
    #endregion
    #region   获取树形列表
    public static string getTreeh(DataTable dtSource, string parentID, string urls, string cates, int flag)
    {
        string html = "";
        DataRow[] rows = dtSource.Select(string.Format("Parent_id={0}", parentID));
        flag++;
        foreach (DataRow row in rows)
        {
            if (cates.Contains(row["categoryId"].ToString() + ","))
            {
                html += "<li class=\"current\"><a class=\"selected\" href=\"" + urls + "?cid=" + row["CategoryId"].ToString() + "/\" >" + row["Name"].ToString() + "</a>";
                //html += "<li><a href=\"" + urls + row["LinkUrl"].ToString() + "/\" >" + row["Name"].ToString() + "</a>";
            }
            else
            {
                html += "<li><a href=\"" + urls + "?cid=" + row["CategoryId"].ToString() + "/\" >" + row["Name"].ToString() + "</a>";
            }
            html += getTreeh(dtSource, row["CategoryId"].ToString(), urls, cates, flag);
            dtSource.Rows.Remove(row);
            html = html + "</li>\n";
        }
        if (html != "")
        {
            html = "<ul>\n" + html + "</ul>\n";
        }
        return html;

    }
    #endregion
    #region   获取树形列表
    public static string getTreeh(DataTable dtSource, string parentID, string urls)
    {
        string html = "";
        DataRow[] rows = dtSource.Select(string.Format("Parent_id={0}", parentID));
        foreach (DataRow row in rows)
        {
            html += "<li><a href=\"" + urls + "?cid=" + row["CategoryId"].ToString() + "\" >" + row["Name"].ToString() + "</a>";
            html += getTreeh(dtSource, row["CategoryId"].ToString(), urls);
            dtSource.Rows.Remove(row);
            html = html + "</li>\n";
        }
        if (html != "")
        {
            html = "<ul>\n" + html + "</ul>\n";
        }
        return html;

    }
    #endregion
    #region   获取对应权限的产品类别集合
    public static string getCategories(int grade)
    {
        string str = "100000000,";
        DataSet ds = DbHelperOleDb.Query("select * from Gradecategories where grade=" + grade + " order by sort");
        foreach (DataRow dr in ds.Tables[0].Rows)
        {
            str = str + dr["CategoryId"].ToString() + ",";
        }
        if (str.Length > 0)
        {
            str = StringHelper.Removestrright(str.ToString(), 1);
        }
        return str;
    }
    #endregion
}
