﻿using System.Data;
using System.Data.OleDb;
using DBUtility;

/// <summary>
/// Part 的摘要说明
/// </summary>
public class Part
{
    #region   获取对应栏目datatable
    public static DataTable getpart_datatable(string CategoryId)
    {
        DataTable dt = DbHelperOleDb.Query("select * from part where CategoryId=" + CategoryId + " order by Lft").Tables[0];
        return dt;
    }
    #endregion    
    #region   获取对应子栏目集合（加sitePageId）
    public static string getparts(int Lft, int Rgt, string sitePageId)
    {
        string str = sitePageId + ",";
        DataSet ds = DbHelperOleDb.Query("select * from part where Lft>" + Lft + " and Rgt<" + Rgt + " order by Lft");
        foreach (DataRow dr in ds.Tables[0].Rows)
        {
            str = str + dr["CategoryId"].ToString() + ",";
        }
        if (str.Length > 0)
        {
            str = StringHelper.Removestrright(str.ToString(), 1);
        }
        return str;
    }
    #endregion
    #region   获取第一个子栏目id（加sitePageId）
    public static string gettop1partsid(int Lft, int Rgt, int Depart)
    {
        string categoryid="";
        Depart = Depart + 1;
        OleDbDataReader reader = DbHelperOleDb.ExecuteReader("select top 1 * from part where Lft>" + Lft + " and Rgt<" + Rgt + " and depart=" + Depart + " order by Lft");
        if (reader.HasRows)
        {
            reader.Read();
            categoryid = reader["CategoryId"].ToString();
            reader.Close();
        }
        return categoryid;
    }
    #endregion
    #region   获取对应父栏目集合（加sitePageId）
    public static string getpart_fateher(int Lft, int Rgt, string sitePageId)
    {
        string str = sitePageId + ",";
        DataSet ds = DbHelperOleDb.Query("select * from part where Lft<" + Lft + " and Rgt>" + Rgt + " order by Lft");
        foreach (DataRow dr in ds.Tables[0].Rows)
        {
            str = str + dr["CategoryId"].ToString() + ",";
        }
        if (str.Length > 0)
        {
            str = StringHelper.Removestrright(str.ToString(), 1);
        }
        return str;
    }
    #endregion
    #region   获取对应栏目id
    public static string getpartsid(DataTable part,string LinkUrl)
    {
        string id = "";
        DataRow[] rows = part.Select("LinkUrl='" + LinkUrl + "'", "Lft");
        if (rows.Length > 0)
        {
            id = rows[0]["CategoryId"].ToString();
        }
        return id;
    }
    public static string getpartsid(string LinkUrl)
    {
        string id = "";
        DataSet ds = DbHelperOleDb.Query("select top 1 * from part where LinkUrl='" + LinkUrl + "' order by Lft asc");
        if (ds.Tables[0].Rows.Count > 0)
        {
            id = ds.Tables[0].Rows[0]["CategoryId"].ToString();
        }
        return id;
    }
    #endregion
    #region   获取对应栏目id
    public static string getpartsid_desc(string LinkUrl)
    {
        string id = "";
        DataSet ds = DbHelperOleDb.Query("select top 1 * from part where LinkUrl='" + LinkUrl + "' order by Lft desc");
        if (ds.Tables[0].Rows.Count > 0)
        {
            id = ds.Tables[0].Rows[0]["CategoryId"].ToString();
        }
        return id;
    }
    #endregion
}