﻿using MsShop.Common;
using System.Collections.Generic;
using System.Linq;
using System.Text;
public class picindex
{
    string picnamefield;
    public string Picname
    {
        get { return picnamefield; }
        set { picnamefield = value; }
    }
    int theindexfield;

    public int Theindex
    {
        get { return theindexfield; }
        set { theindexfield = value; }
    }
}
public class Picindex
{
    public static List<picindex> CreateIndex(string picnames)
    {
        List<picindex> val = new List<picindex>();
        picnames = picnames.Trim();
        string[] temppics = picnames.Split('|');
        int i = 1;
        foreach (string temppic in temppics)
        {
            if (temppic.Length > 4)
            {
                picindex curpic = new picindex();
                curpic.Picname = temppic;

                curpic.Theindex = i;
                i++;
                val.Add(curpic);
            }
        }
        return val;
    }
    public static void DelPic(string picnames,string imgurl)
    {
        string[] temppics = picnames.Split('|');
        foreach (string temppic in temppics)
        {
            if (temppic.Length > 4)
            {
                EC.FileObj.FileDel(imgurl + temppic);
            }
        }
    }
    public static string CreateStr(List<picindex> picindexs)
    {
        string val = "";
        string[] picnames = (from pi in picindexs orderby pi.Theindex select pi.Picname).ToArray();
        foreach (string picname in picnames)
        {
            val += picname + "|";
        }
        return StringHelper.Removestrright(val, 1);
    }

    public static string GetFistPic(string picstr)
    {
        string[] temp;
        string val = "";
        if (!string.IsNullOrEmpty(picstr))
        {
            if (picstr.Contains("|"))
            {
                temp = picstr.Split('|');
                val = temp[0];
            }
            else
                val = picstr;
        }
        return val;
    }

    public static string GetFistPic(object picsobj)
    {
        string[] temp;
        string val = "";
        string picstr = picsobj.ToString();
        if (!string.IsNullOrEmpty(picstr))
        {
            if (picstr.Contains("|"))
            {
                temp = picstr.Split('|');
                val = temp[0];
            }
            else
                val = picstr;
            return val;
        }
        return val;
    }

    public static string Piclist1(string strpics, string cusstylefield, string strpath)
    {
        if (cusstylefield == "") 
        {
            cusstylefield = "picliststyle";
        }
        StringBuilder Val = new System.Text.StringBuilder();
        List<picindex> _picindex = Picindex.CreateIndex(strpics);
        Val.Append("<ul class=\"" + cusstylefield + "\">");
        if (_picindex.Count < 1)
        {
            Val.Append("<li>-</li>");
        }
        else
            foreach (picindex _item in _picindex)
            {
                Val.Append("<li><img src=\"");
                Val.Append(strpath);
                Val.Append(_item.Picname);
                Val.Append("\"></li>");
            }
        Val.Append("</ul>");
        return Val.ToString();
    }
}
