﻿using System.Web.UI.WebControls;
using System.Data.OleDb;

/// <summary>
///producttree 的摘要说明
/// </summary>
public class producttree
{
    public static void createtypetree(TreeView tree,bool autoopen)   //类型树无图片且自动展开
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("select thename,selfcode,smallpic from glasstype where parentcode='-1' order by theindex,selfcode", con);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            while (reader.Read())
            {
                TreeNode rootnode = new TreeNode(reader["thename"].ToString(), reader["selfcode"].ToString());
                tree.Nodes.Add(rootnode);
                if (autoopen)
                {
                    OleDbConnection autoopencon = new OleDbConnection(theconnectstring.constring);
                    OleDbCommand autoopencmd = new OleDbCommand("select top 1 selfcode from glasstype where parentcode='" + reader["selfcode"].ToString() + "'", autoopencon);
                    autoopencon.Open();
                    OleDbDataReader autoopenreader = autoopencmd.ExecuteReader();
                    if (autoopenreader.HasRows)
                    {
                        rootnode.SelectAction = TreeNodeSelectAction.Expand;
                    }
                    autoopenreader.Close();
                    autoopencon.Close();
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(),true);
                }
                else
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(),false);
            }
        }
        else
        {
            TreeNode nonode = new TreeNode("暂无数据", "-1");
            tree.Nodes.Add(nonode);
        }
        reader.Close();
        con.Close();
    }
    public static  void createtypetree(TreeView tree,string picpath,bool autoopen)   //类型树有根级图片 子类无图片
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("select thename,selfcode,smallpic from glasstype where parentcode='-1' order by theindex,selfcode", con);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            while (reader.Read())
            {
                TreeNode rootnode = new TreeNode(reader["thename"].ToString(), reader["selfcode"].ToString());
                rootnode.ImageUrl =picpath + reader["smallpic"].ToString();
                tree.Nodes.Add(rootnode);
                if (autoopen)
                {
                    OleDbConnection autoopencon = new OleDbConnection(theconnectstring.constring);
                    OleDbCommand autoopencmd = new OleDbCommand("select top 1 selfcode from glasstype where parentcode='" + reader["selfcode"].ToString() + "'", autoopencon);
                    autoopencon.Open();
                    OleDbDataReader autoopenreader = autoopencmd.ExecuteReader();
                    if (autoopenreader.HasRows)
                    {
                        rootnode.SelectAction = TreeNodeSelectAction.Expand;
                    }
                    autoopenreader.Close();
                    autoopencon.Close();
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(), true);
                }
                else
                    createtypesubnode(rootnode,reader["selfcode"].ToString().Trim(),false);
            }
        }
        else
        {
            TreeNode nonode = new TreeNode("暂无数据", "-1");
            tree.Nodes.Add(nonode);
        }
        reader.Close();
        con.Close();
    }
    public static void createtypetree(TreeView tree,string picpath,string picpath1,bool autoopen)   //类型树有图片子类有图片
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("select thename,selfcode,smallpic from glasstype where parentcode='-1' order by theindex,selfcode", con);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            while (reader.Read())
            {
                TreeNode rootnode = new TreeNode(reader["thename"].ToString(), reader["selfcode"].ToString());
                rootnode.ImageUrl = picpath + reader["smallpic"].ToString();
                tree.Nodes.Add(rootnode);
                if (autoopen)
                {
                    OleDbConnection autoopencon = new OleDbConnection(theconnectstring.constring);
                    OleDbCommand autoopencmd = new OleDbCommand("select top 1 selfcode from glasstype where parentcode='" + reader["selfcode"].ToString() + "'", autoopencon);
                    autoopencon.Open();
                    OleDbDataReader autoopenreader = autoopencmd.ExecuteReader();
                    if (autoopenreader.HasRows)
                    {
                        rootnode.SelectAction = TreeNodeSelectAction.Expand;
                    }
                    autoopenreader.Close();
                    autoopencon.Close();
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(), true);
                }
                else
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(),picpath1,false);
            }
        }
        else
        {
            TreeNode nonode = new TreeNode("暂无数据", "-1");
            tree.Nodes.Add(nonode);
        }
        reader.Close();
        con.Close();
    }
    protected static void createtypesubnode(TreeNode fathernade, string  parentcode,bool autoopen)    //类型树子节点无图片
    {
        OleDbConnection mycon = new OleDbConnection(theconnectstring.constring);
        OleDbCommand mycmd = new OleDbCommand("select thename,selfcode,smallpic from glasstype where parentcode=? order by theindex,selfcode", mycon);
        mycmd.Parameters.Add("@parentcode", parentcode);
        mycon.Open();
        OleDbDataReader submenu = mycmd.ExecuteReader();
        if (submenu.HasRows)
        {
            while (submenu.Read())
            {
                TreeNode tempnode = new TreeNode(submenu["thename"].ToString(), submenu["selfcode"].ToString());
                //tempnode.ImageUrl = "../productimage/" + submenu["smallpic"].ToString();
                fathernade.ChildNodes.Add(tempnode);
                if (autoopen)
                {
                    OleDbConnection autoopencon = new OleDbConnection(theconnectstring.constring);
                    OleDbCommand autoopencmd = new OleDbCommand("select top 1 selfcode from glasstype where parentcode='" + submenu["selfcode"].ToString() + "'", autoopencon);
                    autoopencon.Open();
                    OleDbDataReader autoopenreader = autoopencmd.ExecuteReader();
                    if (autoopenreader.HasRows)
                    {
                        tempnode.SelectAction = TreeNodeSelectAction.Expand;
                    }
                    autoopenreader.Close();
                    autoopencon.Close();
                    createtypesubnode(tempnode, submenu["selfcode"].ToString().Trim(), true);
                }
                else
                    createtypesubnode(tempnode,submenu["selfcode"].ToString().Trim(),false);
            }
        }
        submenu.Close();
        mycon.Close();
    }
    protected  static void createtypesubnode(TreeNode fathernade, string parentcode,string picpath,bool autoopen)    //类型树子节点有图片
    {
        OleDbConnection mycon = new OleDbConnection(theconnectstring.constring);
        OleDbCommand mycmd = new OleDbCommand("select thename,selfcode,smallpic from glasstype where parentcode=?", mycon);
        mycmd.Parameters.Add("@parentcode", parentcode);
        mycon.Open();
        OleDbDataReader submenu = mycmd.ExecuteReader();
        if (submenu.HasRows)
        {
            while (submenu.Read())
            {
                TreeNode tempnode = new TreeNode(submenu["thename"].ToString(), submenu["selfcode"].ToString());
                tempnode.ImageUrl =picpath +submenu["smallpic"].ToString();
                fathernade.ChildNodes.Add(tempnode);
                if (autoopen)
                {
                    OleDbConnection autoopencon = new OleDbConnection(theconnectstring.constring);
                    OleDbCommand autoopencmd = new OleDbCommand("select top 1 selfcode from glasstype where parentcode='" + submenu["selfcode"].ToString() + "'", autoopencon);
                    autoopencon.Open();
                    OleDbDataReader autoopenreader = autoopencmd.ExecuteReader();
                    if (autoopenreader.HasRows)
                    {
                        tempnode.SelectAction = TreeNodeSelectAction.Expand;
                    }
                    autoopenreader.Close();
                    autoopencon.Close();
                    createtypesubnode(tempnode, submenu["selfcode"].ToString().Trim(), true);
                }
                else
                    createtypesubnode(tempnode, submenu["selfcode"].ToString().Trim(),false);
            }
        }
        submenu.Close();
        mycon.Close();
    }
}

public class enproducttree
{
    public static void createtypetree(TreeView tree, bool autoopen)   //类型树无图片且自动展开
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.enconstring);
        OleDbCommand cmd = new OleDbCommand("select thename,selfcode,smallpic from glasstype where parentcode='-1' order by theindex,selfcode", con);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            while (reader.Read())
            {
                TreeNode rootnode = new TreeNode(reader["thename"].ToString(), reader["selfcode"].ToString());
                tree.Nodes.Add(rootnode);
                if (autoopen)
                {
                    OleDbConnection autoopencon = new OleDbConnection(theconnectstring.enconstring);
                    OleDbCommand autoopencmd = new OleDbCommand("select top 1 selfcode from glasstype where parentcode='" + reader["selfcode"].ToString() + "'", autoopencon);
                    autoopencon.Open();
                    OleDbDataReader autoopenreader = autoopencmd.ExecuteReader();
                    if (autoopenreader.HasRows)
                    {
                        rootnode.SelectAction = TreeNodeSelectAction.Expand;
                    }
                    autoopenreader.Close();
                    autoopencon.Close();
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(), true);
                }
                else
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(), false);
            }
        }
        else
        {
            TreeNode nonode = new TreeNode("暂无数据", "-1");
            tree.Nodes.Add(nonode);
        }
        reader.Close();
        con.Close();
    }
    public static void createtypetree(TreeView tree, string picpath, bool autoopen)   //类型树有根级图片 子类无图片
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.enconstring);
        OleDbCommand cmd = new OleDbCommand("select thename,selfcode,smallpic from glasstype where parentcode='-1' order by theindex,selfcode", con);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            while (reader.Read())
            {
                TreeNode rootnode = new TreeNode(reader["thename"].ToString(), reader["selfcode"].ToString());
                rootnode.ImageUrl = picpath + reader["smallpic"].ToString();
                tree.Nodes.Add(rootnode);
                if (autoopen)
                {
                    OleDbConnection autoopencon = new OleDbConnection(theconnectstring.enconstring);
                    OleDbCommand autoopencmd = new OleDbCommand("select top 1 selfcode from glasstype where parentcode='" + reader["selfcode"].ToString() + "'", autoopencon);
                    autoopencon.Open();
                    OleDbDataReader autoopenreader = autoopencmd.ExecuteReader();
                    if (autoopenreader.HasRows)
                    {
                        rootnode.SelectAction = TreeNodeSelectAction.Expand;
                    }
                    autoopenreader.Close();
                    autoopencon.Close();
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(), true);
                }
                else
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(), false);
            }
        }
        else
        {
            TreeNode nonode = new TreeNode("暂无数据", "-1");
            tree.Nodes.Add(nonode);
        }
        reader.Close();
        con.Close();
    }
    public static void createtypetree(TreeView tree, string picpath, string picpath1, bool autoopen)   //类型树有图片子类有图片
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.enconstring);
        OleDbCommand cmd = new OleDbCommand("select thename,selfcode,smallpic from glasstype where parentcode='-1' order by theindex,selfcode", con);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            while (reader.Read())
            {
                TreeNode rootnode = new TreeNode(reader["thename"].ToString(), reader["selfcode"].ToString());
                rootnode.ImageUrl = picpath + reader["smallpic"].ToString();
                tree.Nodes.Add(rootnode);
                if (autoopen)
                {
                    OleDbConnection autoopencon = new OleDbConnection(theconnectstring.enconstring);
                    OleDbCommand autoopencmd = new OleDbCommand("select top 1 selfcode from glasstype where parentcode='" + reader["selfcode"].ToString() + "'", autoopencon);
                    autoopencon.Open();
                    OleDbDataReader autoopenreader = autoopencmd.ExecuteReader();
                    if (autoopenreader.HasRows)
                    {
                        rootnode.SelectAction = TreeNodeSelectAction.Expand;
                    }
                    autoopenreader.Close();
                    autoopencon.Close();
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(), true);
                }
                else
                    createtypesubnode(rootnode, reader["selfcode"].ToString().Trim(), picpath1, false);
            }
        }
        else
        {
            TreeNode nonode = new TreeNode("暂无数据", "-1");
            tree.Nodes.Add(nonode);
        }
        reader.Close();
        con.Close();
    }
    protected static void createtypesubnode(TreeNode fathernade, string parentcode, bool autoopen)    //类型树子节点无图片
    {
        OleDbConnection mycon = new OleDbConnection(theconnectstring.enconstring);
        OleDbCommand mycmd = new OleDbCommand("select thename,selfcode,smallpic from glasstype where parentcode=? order by theindex,selfcode", mycon);
        mycmd.Parameters.Add("@parentcode", parentcode);
        mycon.Open();
        OleDbDataReader submenu = mycmd.ExecuteReader();
        if (submenu.HasRows)
        {
            while (submenu.Read())
            {
                TreeNode tempnode = new TreeNode(submenu["thename"].ToString(), submenu["selfcode"].ToString());
                //tempnode.ImageUrl = "../productimage/" + submenu["smallpic"].ToString();
                fathernade.ChildNodes.Add(tempnode);
                if (autoopen)
                {
                    OleDbConnection autoopencon = new OleDbConnection(theconnectstring.enconstring);
                    OleDbCommand autoopencmd = new OleDbCommand("select top 1 selfcode from glasstype where parentcode='" + submenu["selfcode"].ToString() + "'", autoopencon);
                    autoopencon.Open();
                    OleDbDataReader autoopenreader = autoopencmd.ExecuteReader();
                    if (autoopenreader.HasRows)
                    {
                        tempnode.SelectAction = TreeNodeSelectAction.Expand;
                    }
                    autoopenreader.Close();
                    autoopencon.Close();
                    createtypesubnode(tempnode, submenu["selfcode"].ToString().Trim(), true);
                }
                else
                    createtypesubnode(tempnode, submenu["selfcode"].ToString().Trim(), false);
            }
        }
        submenu.Close();
        mycon.Close();
    }
    protected static void createtypesubnode(TreeNode fathernade, string parentcode, string picpath, bool autoopen)    //类型树子节点有图片
    {
        OleDbConnection mycon = new OleDbConnection(theconnectstring.enconstring);
        OleDbCommand mycmd = new OleDbCommand("select thename,selfcode,smallpic from glasstype where parentcode=?", mycon);
        mycmd.Parameters.Add("@parentcode", parentcode);
        mycon.Open();
        OleDbDataReader submenu = mycmd.ExecuteReader();
        if (submenu.HasRows)
        {
            while (submenu.Read())
            {
                TreeNode tempnode = new TreeNode(submenu["thename"].ToString(), submenu["selfcode"].ToString());
                tempnode.ImageUrl = picpath + submenu["smallpic"].ToString();
                fathernade.ChildNodes.Add(tempnode);
                if (autoopen)
                {
                    OleDbConnection autoopencon = new OleDbConnection(theconnectstring.enconstring);
                    OleDbCommand autoopencmd = new OleDbCommand("select top 1 selfcode from glasstype where parentcode='" + submenu["selfcode"].ToString() + "'", autoopencon);
                    autoopencon.Open();
                    OleDbDataReader autoopenreader = autoopencmd.ExecuteReader();
                    if (autoopenreader.HasRows)
                    {
                        tempnode.SelectAction = TreeNodeSelectAction.Expand;
                    }
                    autoopenreader.Close();
                    autoopencon.Close();
                    createtypesubnode(tempnode, submenu["selfcode"].ToString().Trim(), true);
                }
                else
                    createtypesubnode(tempnode, submenu["selfcode"].ToString().Trim(), false);
            }
        }
        submenu.Close();
        mycon.Close();
    }
}