﻿using System.Data.OleDb;
using System.Text;
using System.Data;
using DBUtility;

/// <summary>
/// seohelper 的摘要说明
/// </summary>
public static class seohelper
{
    public static string Title = "";
    public static string Keys = "";
    public static string Content = "";

    static seohelper()
    {
        OleDbDataReader reader = DbHelperOleDb.ExecuteReader("select * from SiteConfig");
        if (reader.HasRows)
        {
            reader.Read();
            Title = reader["title"].ToString();
            Keys = reader["keys"].ToString();
            Content = reader["discription"].ToString();
            reader.Close();
        }
    }

    static public void Reinit()
    {
        OleDbDataReader reader = DbHelperOleDb.ExecuteReader("select * from SiteConfig");
        if (reader.HasRows)
        {
            reader.Read();
            Title = reader["title"].ToString();
            Keys = reader["keys"].ToString();
            Content = reader["discription"].ToString();
            reader.Close();
        }
    }

    public static string Seo()
    {
        StringBuilder val = new StringBuilder();
        val.Append("<title>");
        val.Append(Title);
        val.Append("</title>\n");
        val.Append("<meta name=\"keywords\" content=\"");
        val.Append(Keys);
        val.Append("\">\n");
        val.Append("<meta name=\"description\" content=\"");
        val.Append(Content);
        val.Append("\">");
        return val.ToString();
    }
    public static string Seo(string sitePageid)
    {
        string title = "";
        string keys = "";
        string content = "";
        OleDbDataReader reader = DbHelperOleDb.ExecuteReader("select * from part where CategoryId=" + sitePageid);
        if (reader.HasRows)
        {
            reader.Read();
            title = reader["Title"].ToString();
            keys = reader["Meta_Description"].ToString();
            content = reader["Meta_Keywords"].ToString();
            reader.Close();
        }
        if (title != "")
        {
            return Seo(title, keys, content);
        }
        else 
        {
            return Seo();
        }
    }
    public static string Seo(string title, string keys, string content)
    {
        StringBuilder val = new StringBuilder();
        val.Append("<title>");
        val.Append(title + "_" + Title);
        val.Append("</title>\n");
        val.Append("<meta name=\"keywords\" content=\"");
        val.Append(keys + "," + Keys);
        val.Append("\">\n");
        val.Append("<meta name=\"description\" content=\"");
        val.Append(content + "的详细介绍," + Content);
        val.Append("\">");
        return val.ToString();
    }
}