﻿using System.Data;
using DBUtility;

/// <summary>
/// 网站基本配置
/// </summary>
public class siteconfig
{
    /// <summary>
    /// 邮件账户
    /// </summary>
    public static string emailname = "";
    /// <summary>
    /// 邮件密码
    /// </summary>
    public static string emailpwd = "";
    /// <summary>
    /// 邮件smtp
    /// </summary>
    public static string emailsmtp = "";
    /// <summary>
    /// 公司名称
    /// </summary>
    public static string name = "";
    /// <summary>
    /// 网址网址
    /// </summary>
    public static string weburl = "";
    /// <summary>
    /// 百度地图坐标
    /// </summary>
    public static string mapcode = "";
    /// <summary>
    /// 百度地图上联系方式
    /// </summary>
    public static string mapcontact = "";
    /// <summary>
    /// 产品每页产品个数
    /// </summary>
    public static string pagesize = "12";
    /// <summary>
    /// 产品小图大小-宽
    /// </summary>
    public static string smallpicwidth = "160";
    /// <summary>
    /// 产品小图大小-高
    /// </summary>
    public static string smallpicheight = "120";
    /// <summary>
    /// 新闻代表图片大小-宽
    /// </summary>
    public static string newspicwidth = "180";
    /// <summary>
    /// 新闻代表图片大小-高
    /// </summary>
    public static string newspicheight = "135";
    /// <summary>
    /// logo
    /// </summary>
    public static string IconUrl = "";
    static siteconfig()
    {
        DataTable _config = DbHelperOleDb.Query("select * from siteconfig").Tables[0];
        if (_config.Rows.Count > 0)
        {
            //网站信息
            emailname = _config.Rows[0]["emailname"].ToString().Trim();
            emailpwd = _config.Rows[0]["emailpwd"].ToString().Trim();
            emailsmtp = _config.Rows[0]["emailsmtp"].ToString().Trim();
            //公司信息
            name = _config.Rows[0]["name"].ToString().Trim();
            weburl = _config.Rows[0]["weburl"].ToString().Trim();
            mapcode = _config.Rows[0]["mapcode"].ToString().Trim();
            mapcontact = _config.Rows[0]["mapcontact"].ToString().Trim();
            //网站布局
            pagesize = _config.Rows[0]["pagesize"].ToString().Trim();
            smallpicwidth = _config.Rows[0]["smallpicwidth"].ToString().Trim();
            smallpicheight = _config.Rows[0]["smallpicheight"].ToString().Trim();
            newspicwidth = _config.Rows[0]["newspicwidth"].ToString().Trim();
            newspicheight = _config.Rows[0]["newspicheight"].ToString().Trim();
            IconUrl = _config.Rows[0]["IconUrl"].ToString().Trim();
        }
    }
    static public void Reinit()
    {
        DataTable _config = DbHelperOleDb.Query("select * from siteconfig").Tables[0];
        if (_config.Rows.Count > 0)
        {
            //网站信息
            emailname = _config.Rows[0]["emailname"].ToString().Trim();
            emailpwd = _config.Rows[0]["emailpwd"].ToString().Trim();
            emailsmtp = _config.Rows[0]["emailsmtp"].ToString().Trim();
            //公司信息
            name = _config.Rows[0]["name"].ToString().Trim();
            weburl = _config.Rows[0]["weburl"].ToString().Trim();
            mapcode = _config.Rows[0]["mapcode"].ToString().Trim();
            mapcontact = _config.Rows[0]["mapcontact"].ToString().Trim();
            //网站布局
            pagesize = _config.Rows[0]["pagesize"].ToString().Trim();
            smallpicwidth = _config.Rows[0]["smallpicwidth"].ToString().Trim();
            smallpicheight = _config.Rows[0]["smallpicheight"].ToString().Trim();
            newspicwidth = _config.Rows[0]["newspicwidth"].ToString().Trim();
            newspicheight = _config.Rows[0]["newspicheight"].ToString().Trim();
            IconUrl = _config.Rows[0]["IconUrl"].ToString().Trim();
        }
    }
}