﻿using System.Linq;
using System.Text;
using System.Web.UI.WebControls;
using System;
using System.Collections.Generic;
using System.Collections;
using System.Data;
using System.Data.OleDb;
using DBUtility;

public partial class ad : System.Web.UI.UserControl
{
    private class randad
    {
        public int id;
        public int weight0;
        public int weight1;
    }

    private int advpositionid;
    public int Advpositionid
    {
        get
        {
            return advpositionid;
        }
        set
        {
            advpositionid = value;
        }
    }

    public string css = "";
    public string Css
    {
        get
        {
            return css;
        }
        set
        {
            css = value;
        }
    }
    public int picwidth, picheight = 0;
    protected void Page_Load(object sender, System.EventArgs e)
    {
        try
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select AdvPositionId,AdvPositionName,ShowType,RepeatColumns,Width,Height,AdvHtml from AdvPositions ");
            strSql.Append(" where AdvPositionId=@AdvPositionId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@AdvPositionId", DbType.Int32)
			};
            parameters[0].Value = advpositionid;
            DataSet _advposition = DbHelperOleDb.Query(strSql.ToString(), parameters);

            switch (int.Parse(_advposition.Tables[0].Rows[0]["ShowType"].ToString()))
            {
                case 1://纵向平铺广告位
                    {
                        if (!string.IsNullOrEmpty(css))
                        {
                            ad1.CssClass = css;
                        }
                        picwidth = (int)_advposition.Tables[0].Rows[0]["Width"];
                        picheight = (int)_advposition.Tables[0].Rows[0]["Height"];
                        ad1.RepeatDirection = RepeatDirection.Vertical;
                        StringBuilder strSql1 = new StringBuilder();
                        strSql1.Append("select AdvertisementId,AdvPositionId,AdvertisementName,ImageUrl,AlternateText,NavigateUrl,Weight ");
                        strSql1.Append(" FROM Advertisements ");
                        strSql1.Append(" where AdvPositionId=" + advpositionid + " order by weight desc,AdvertisementId desc");
                        ad1.DataSource = DbHelperOleDb.Query(strSql1.ToString());
                        ad1.DataBind();
                        break;
                    }
                case 2://横向平铺广告位
                    {
                        if (!string.IsNullOrEmpty(css))
                        {
                            ad1.CssClass = css;
                        }
                        picwidth = (int)_advposition.Tables[0].Rows[0]["Width"];
                        picheight = (int)_advposition.Tables[0].Rows[0]["Height"];
                        ad1.RepeatDirection = RepeatDirection.Horizontal;
                        ad1.RepeatColumns = (int)_advposition.Tables[0].Rows[0]["RepeatColumns"];
                        StringBuilder strSql1 = new StringBuilder();
                        strSql1.Append("select AdvertisementId,AdvPositionId,AdvertisementName,ImageUrl,AlternateText,NavigateUrl,Weight ");
                        strSql1.Append(" FROM Advertisements ");
                        strSql1.Append(" where AdvPositionId=" + advpositionid + " order by weight desc,AdvertisementId desc");
                        ad1.DataSource = DbHelperOleDb.Query(strSql1.ToString());
                        ad1.DataBind();
                        break;
                    }
                case 3: //自定义广告位
                    {
                        customad.Text = _advposition.Tables[0].Rows[0]["AdvHtml"].ToString();
                        break;
                    }
                case 4: //li
                    {
                        picwidth = (int)_advposition.Tables[0].Rows[0]["Width"];
                        picheight = (int)_advposition.Tables[0].Rows[0]["Height"];
                        StringBuilder strSql1 = new StringBuilder();
                        strSql1.Append("select AdvertisementId,AdvPositionId,AdvertisementName,ImageUrl,AlternateText,NavigateUrl,Weight ");
                        strSql1.Append(" FROM Advertisements ");
                        strSql1.Append(" where AdvPositionId=" + advpositionid + " order by weight desc,AdvertisementId desc");
                        ad2.DataSource = DbHelperOleDb.Query(strSql1.ToString());
                        ad2.DataBind();
                        break;
                    }
                case 5: //轮换
                    {
                        DataSet _adcontents = DbHelperOleDb.Query("select * from Advertisements where AdvPositionId=" + advpositionid + " order by weight desc,AdvertisementId desc");
                        if (_adcontents.Tables[0].Rows.Count > 0)
                        {
                            StringBuilder files = new StringBuilder();
                            StringBuilder links = new StringBuilder();

                            foreach (DataRow item in _adcontents.Tables[0].Rows)
                            {
                                files.AppendFormat("/productimage/ads/big/{0}|", Picindex.GetFistPic(item["ImageUrl"]));
                                links.AppendFormat("{0}|", item["NavigateUrl"]);
                            }
                            StringBuilder val = new StringBuilder("");
                            val.Append("<script type=\"text/javascript\">\n");
                            val.Append("var focus_width = " + _advposition.Tables[0].Rows[0]["Width"] + "\n");
                            val.Append("var focus_height = " + _advposition.Tables[0].Rows[0]["Height"] + "\n");
                            val.Append("var text_height = 0\n");
                            val.Append("var swf_height = focus_height + text_height\n");
                            val.Append("var pics = '" + StringHelper.Removestrright(files.ToString(), 1) + "'\n");
                            val.Append("var links = '" + StringHelper.Removestrright(links.ToString(), 1) + "'\n");
                            val.Append("var texts= ''\n");
                            val.Append("var logjpg = ''\n");
                            val.Append("document.write('<object classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" codebase=\"http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\" width=\"' + focus_width + '\" height=\"' + swf_height + '\">');\n");
                            val.Append("document.write('<param name=\"allowScriptAccess\" value=\"always\"><param name=\"movie\" value=\"controls/flash/focus_notitle.swf\"> <param name=\"quality\" value=\"high\"><param name=\"bgcolor\" value=\"#ffffff\">');\n");
                            val.Append("document.write('<param name=\"menu\" value=\"false\"><param name=wmode value=\"transparent\">');\n");
                            val.Append("document.write('<param name=\"FlashVars\" value=\"pics=' + pics + '&links=' + links + '&texts=' + texts + '&logjpg=' + logjpg + '&borderwidth=' + focus_width + '&borderheight=' + focus_height + '&textheight=' + text_height + '\">');\n");
                            val.Append("document.write('<embed src=\"controls/flash/focus_notitle.swf\" wmode=\"opaque\" FlashVars=\"pics=' + pics + '&links=' + links + '&texts=' + texts + '&logjpg=' + logjpg + '&borderwidth=' + focus_width + '&borderheight=' + focus_height + '&textheight=' + text_height + '\" menu=\"false\" bgcolor=\"#ffffff\" quality=\"high\" width=\"' + focus_width + '\" height=\"' + swf_height + '\" allowScriptAccess=\"always\" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\" />'); document.write('</object>'); \n");
                            val.Append("</script>\n");
                            //val.Append("</script>\n");
                            foucusad.Text = val.ToString();
                        }
                        else
                        {
                            foucusad.Text = "无广告信息";
                        }
                        break;
                    }
                case 6: //li
                    {
                        picwidth = (int)_advposition.Tables[0].Rows[0]["Width"];
                        picheight = (int)_advposition.Tables[0].Rows[0]["Height"];
                        StringBuilder strSql1 = new StringBuilder();
                        strSql1.Append("select AdvertisementId,AdvPositionId,AdvertisementName,ImageUrl,AlternateText,NavigateUrl,Weight ");
                        strSql1.Append(" FROM Advertisements ");
                        strSql1.Append(" where AdvPositionId=" + advpositionid + " order by weight desc,AdvertisementId desc");
                        ad3.DataSource = DbHelperOleDb.Query(strSql1.ToString());
                        ad3.DataBind();
                        break;
                    }
            }
        }
        catch
        {
            sysinfo.Text = "没有找到此广告位";
        }
    }
}

