﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="network.ascx.cs" Inherits="controls_network" %>

<asp:DataList ID="DataList1" runat="server" RepeatDirection="Horizontal" ShowFooter="False"
    Width="100%" RepeatColumns="2" CssClass="networkborder" CellPadding="0">
    <HeaderTemplate>
        <div class="networktitle">
            <%= Request.QueryString["zonee"]%>营销网络信息
        </div>
    </HeaderTemplate>
    <ItemTemplate>
        <table class="networkarea" cellpadding="0" cellspacing="0">
            <tr <%# string.IsNullOrEmpty(Eval("company").ToString()) ? "style='display:none;'" : "" %>>
                <td width="60" align="right">公司名称：
                </td>
                <td>
                    <asp:Literal ID="Literal2" runat="server" Text='<%# Eval("company") %>'></asp:Literal>
                </td>
            </tr>
            <tr <%# string.IsNullOrEmpty(Eval("conpepole").ToString()) ? "style='display:none;'" : "" %>>
                <td align="right">联系人：
                </td>
                <td>
                    <asp:Literal ID="Literal3" runat="server" Text='<%# Eval("conpepole") %>'></asp:Literal>
                </td>
            </tr>
            <tr <%# string.IsNullOrEmpty(Eval("contype").ToString()) ? "style='display:none;'" : "" %>>
                <td align="right">手机：
                </td>
                <td>
                    <asp:Literal ID="Literal4" runat="server" Text='<%# Eval("contype") %>'></asp:Literal>
                </td>
            </tr>
            <tr <%# string.IsNullOrEmpty(Eval("contel").ToString()) ? "style='display:none;'" : "" %>>
                <td align="right">电话：
                </td>
                <td>
                    <asp:Literal ID="Literal1" runat="server" Text='<%# Eval("contel") %>'></asp:Literal>
                </td>
            </tr>
            <tr <%# string.IsNullOrEmpty(Eval("confax").ToString()) ? "style='display:none;'" : "" %>>
                <td align="right">传真：
                </td>
                <td>
                    <asp:Literal ID="Literal7" runat="server" Text='<%# Eval("confax") %>'></asp:Literal>
                </td>
            </tr>
            <tr <%# string.IsNullOrEmpty(Eval("conaddr").ToString()) ? "style='display:none;'" : "" %>>
                <td align="right">地址：
                </td>
                <td>
                    <asp:Literal ID="Literal5" runat="server" Text='<%# Eval("conaddr") %>'></asp:Literal>
                </td>
            </tr>
            <tr valign="top" <%# string.IsNullOrEmpty(Eval("thearea").ToString()) ? "style='display:none;'" : "" %>>
                <td align="right">备注：
                </td>
                <td>
                    <asp:Literal ID="Literal6" runat="server" Text='<%# Eval("thearea").ToString().Trim() %>'></asp:Literal>
                </td>
            </tr>
        </table>
    </ItemTemplate>
</asp:DataList>
<table style="border: 1px solid #eeeeee; width: 100%;" cellpadding="0" cellspacing="0">
    <tr>
        <td colspan="2" class="networktitle" style="border-bottom: 1px solid #dddddd;">请选择相应省市查询详细信息</td>
    </tr>
    <tr>
        <td width="400">
            <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0"
                height="325" width="400">
                <param name="movie" value="/controls/flash/maps.swf" />
                <param name="quality" value="high" />
                <param name="wmode" value="transparent" />
                <embed src="/controls/flash/maps.swf" quality="high" wmode="opaque" pluginspage="http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash"
                    type="application/x-shockwave-flash" width="400" height="325"></embed>
            </object>
        </td>
        <td id="Td1">
            <ul id="thecity">
                <asp:Repeater ID="Repeater1" runat="server">
                    <ItemTemplate>
                        <li><span>■</span><a href="?zonee=<%# System.Web.HttpUtility.UrlEncode(Eval("city_name").ToString().Trim())%>"><%# Eval("city_name").ToString().Trim() %></a></li>
                    </ItemTemplate>
                </asp:Repeater>
            </ul>
        </td>
    </tr>
</table>

<div style="clear: both"></div>
