﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.OleDb;
using System.Text;
using System.Text.RegularExpressions;

public partial class controls_productsearch : System.Web.UI.UserControl
{
    #region 属性
    public int i = 0;
    protected int cols;
    protected int count;
    /// <summary>
    /// 一行有几列
    /// </summary>
    public int Cols
    {
        get
        {
            return cols;
        }
        set
        {
            cols = value;
        }
    }

    /// <summary>
    /// 一页几个产品
    /// </summary>
    public int Count
    {
        get
        {
            return count;
        }
        set
        {
            count = value;
        }
    }
    #endregion
    #region 检索指定关键字产品
    protected void search(int pagesize, int curpage, string key)
    {
        string strsql = "select a.news_title,a.news_id,b.LinkUrl,b.Name,a.AddedDate,a.Times from news a Left Join Part b on (a.news_title like '%" + key + "%' and a.news_group=b.CategoryId) order by a.AddedDate desc,a.news_id desc";
        DataTable dt = DBUtility.DbHelperOleDb.Query(strsql).Tables[0];
        thepager.RecordCount = dt.Rows.Count;
        SortPags sp = new SortPags(dt);
        Repeater1.DataSource = sp.GetCurrentPageSortByFieldName("AddedDate", SortPags.SortType.DESC, pagesize, curpage);
        Repeater1.DataBind();

    }//检索所有产品中key条件产品
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["searchkey"] != null)
        {
            Session["searchkey"] = Request.QueryString["searchkey"];
            thepager.PageSize = count;
            if (Request.QueryString["pg"] != null)
            {
                search(count, Convert.ToInt32(Request.QueryString["pg"]), Session["searchkey"].ToString());
            }
            else
            {
                search(count, 1, Session["searchkey"].ToString());
            }

        }
    }
    protected string HighLightKeyWord(string str)
    {
        string keyword = Session["searchkey"].ToString();
        int index;
        int startIndex = 0;
        string highlightBegin = "<font color=#ff0000>";
        string highlightEnd = "</font>";
        int length = highlightBegin.Length + keyword.Length;
        int lengthHighlight = length + highlightEnd.Length;

        while ((index = str.IndexOf(keyword, startIndex, StringComparison.CurrentCultureIgnoreCase)) > -1)
        {
            str = str.Insert(index, highlightBegin).Insert(index + length, highlightEnd);
            startIndex = index + lengthHighlight;
        }

        return str;
    }
}

