﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="order.ascx.cs" Inherits="controls_order" %>

<script type="text/javascript">
    sfFocus = function () {
        var sfEls = document.getElementsByTagName("INPUT");
        for (var i = 0; i < sfEls.length; i++) {
            sfEls[i].onfocus = function () {
                this.className = "focusinput";
            }
            sfEls[i].onblur = function () {
                this.className = "focusoutput";
            }
        }
    }
    if (window.attachEvent) window.attachEvent("onload", sfFocus);
</script>

<div id="ordernav">
    <div id="dis" style="background: #f5f5f5; border: 1px solid #eeeeee; padding: 10px;">
        在下列表单中填写相应信息，我们将会在最短的时间内联系您。带*为必填项。<br />
        （注：请认真填写您的姓名、联系电话、E-mail等相关信息，以保证我们能正确的联系到您。）
    </div>
    <div id="connav" style="margin-top: 15px;">
        <table cellpadding="0" cellspacing="0" style="width: 100%;" class="bordertable">
            <tr>
                <td colspan="2" class="order_title">基本信息填写：
                </td>
            </tr>
            <tr>
                <td class="ordertext">联系人：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="conpepole" runat="server"></asp:TextBox>
                    *
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="*"
                        ControlToValidate="conpepole"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="ordertext">电话：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="tel" runat="server"></asp:TextBox>
                    *
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="*"
                        ControlToValidate="tel"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="ordertext">传真：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="fax" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="ordertext">E-mail：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="email" runat="server"></asp:TextBox>
                    *
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ErrorMessage="*"
                        ControlToValidate="email"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="email"
                        ErrorMessage="格式错" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td class="ordertext">地址：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="addr" runat="server" Columns="40"></asp:TextBox>
                </td>
            </tr>
        </table>
    </div>
    <div id="pronav" style="margin-top: 15px;">
        <table cellpadding="0" cellspacing="0" style="width: 100%;" class="bordertable">
            <tr>
                <td class="order_title" colspan="2">待发货产品信息填写：
                </td>
            </tr>
            <tr>
                <td style="width: 120px;" class="ordertext">产品名称：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="proname" runat="server"></asp:TextBox>
                    *
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="*"
                        ControlToValidate="proname"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="ordertext">产品型号：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="proxinhao" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="ordertext">产品数量：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="pronum" runat="server">1</asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="ordertext">交货日期：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="protime" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="ordertext">付款方式：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="profkfs" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="ordertext">备注信息：
                </td>
                <td class="ordertext1">
                    <asp:TextBox ID="pronote" runat="server" Rows="8" TextMode="MultiLine" Width="80%"
                        Style="margin-top: 5px; margin-bottom: 5px;"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="ordertext">验证码：
                </td>
                <td class="ordertext1">
                    <div style="float: left;">
                        <asp:TextBox ID="yzcode" runat="server"></asp:TextBox>
                    </div>
                    <div style="float: left;">
                        <img onclick="this.src='/yzcode.aspx?abc='+Math.random()" src="/yzcode.aspx" style="cursor: pointer; height: 21px;" />
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div style="background: #f5f5f5; border: 1px solid #eeeeee; padding: 10px; text-align: center; margin-top: 15px;">
        <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="images/submit.gif" OnClick="ImageButton1_Click" />
    </div>
</div>
<div style="clear: both">
</div>
<script src="js/sendmail.js" type="text/javascript"></script>
<script type="text/javascript"><asp:Literal ID="js" runat="server"></asp:Literal></script>

