﻿using DBUtility;
using System;
using System.Data;

public partial class controls_part_menu : System.Web.UI.UserControl
{
    #region 属性
    public string sitePageId = "1";
    /// <summary>
    /// 显示前几个
    /// </summary>
    public string SitePageId
    {
        get
        {
            return sitePageId;
        }
        set
        {
            sitePageId = value;
        }
    }
    protected int topn = -1;
    /// <summary>
    /// 显示前几个
    /// </summary>
    public int Topn
    {
        get
        {
            return topn;
        }
        set
        {
            topn = value;
        }
    }
    #endregion
    protected DataTable dt
    {
        get;
        set;
    }
    protected DataTable products
    {
        get;
        set;
    }
    public int i = 0;
    protected void Page_Load(object sender, EventArgs e)
    {
        products = DbHelperOleDb.Query("select LinkUrl,ProductId,Name,Lft,Rgt from products where isshow=true").Tables[0];
        dt = DbHelperOleDb.Query("select CategoryId,LinkUrl,Name,Title,Rgt,Lft,Depart,IconUrl,sum(rgt-lft) as flag from part where isshow=true group by CategoryId,LinkUrl,Name,Depart,Rgt,isshowsort,Title,IconUrl,Lft order by isshowsort,Lft").Tables[0];
        DataRow[] rows = dt.Select("Depart=1");
        if (topn != -1)
        {
            if (rows.Length > topn)
            {
                DataTable part1 = new DataTable();
                part1 = dt.Clone();
                for (int i = 0; i < topn; i++)
                {
                    part1.Rows.Add(rows[i].ItemArray);
                }
                rows = part1.Select();
            }
        }
        Repeater1.DataSource = rows;
        Repeater1.DataBind();
        //Repeater3.DataSource = DbHelperOleDb.Query("select top 7 * from Categories where isshow=true and Depart=1 order by Lft").Tables[0];
        //Repeater3.DataBind();
    }
    protected DataTable showprolist(int i)
    {
        DataTable pdt = DbHelperOleDb.Query("select * from Categories where isshow=true and Depart=1 order by Lft").Tables[0];
        DataTable dt2 = pdt.Clone();
        if (i == int.Parse(Part.getpartsid("product.aspx")))
        {
            return pdt;
        }
        else
        {
            return dt2;
        }
    }
    public DataRow[] getProduct(string Lft, string Rgt)
    {
        DataTable pdt = new DataTable();
        pdt = products.Clone();
        DataRow[] drs = products.Select(String.Format("Lft>={0} and Rgt<={1}", Lft, Rgt));
        if (drs.Length > 5)
        {
            for (int i = 0; i < 5; i++)
            {
                pdt.Rows.Add(drs[i].ItemArray);
            }
            return pdt.Select();
        }
        else
        {
            return drs;
        }
    }
}