﻿using System;
using System.Data;
using System.Data.OleDb;
using System.Text;
using DBUtility;
public partial class controls_topproducts : System.Web.UI.UserControl
{
    #region 属性
    public int i = 0;
    protected int cols;
    protected int count;
    protected string categoryId;
    protected bool autogo = false;
    protected string gopage = "";
    /// <summary>
    /// 一行有几列
    /// </summary>
    public int Cols
    {
        get
        {
            return cols;
        }
        set
        {
            cols = value;
        }
    }
    /// <summary>
    /// 产品类别
    /// </summary>
    public string CategoryId
    {
        get
        {
            return categoryId;
        }
        set
        {
            categoryId = value;
        }
    }

    /// <summary>
    /// 一页几个产品
    /// </summary>
    public int Count
    {
        get
        {
            return count;
        }
        set
        {
            count = value;
        }
    }

    /// <summary>
    /// 只有唯一产品时是否自动跳转
    /// </summary>
    public bool Autogo
    {
        get
        {
            return autogo;
        }
        set
        {
            autogo = value;
        }
    }


    /// <summary>
    /// 产品列表跳转页面
    /// </summary>
    public string Gopage
    {
        get
        {
            return gopage;
        }
        set
        {
            gopage = value;
        }
    }



    #endregion
    #region  分页展示产品
    protected void init(int pagesize, int curpage, string CategoryId)
    {
        DataTable dt = DbHelperOleDb.Query("select * from Products where CategoryId=" + CategoryId + " and Isshow=true").Tables[0];
        int recordcount = dt.Rows.Count;
        thepager.RecordCount = recordcount;

        if (recordcount > 0)
        {
            if (autogo)
            {
                if (recordcount == 1)
                {
                    Response.Redirect("product_info.aspx?pid=" + dt.Rows[0]["ProductId"].ToString() + "&cid=" + dt.Rows[0]["CategoryId"].ToString());
                }
            }
            SortPags sp = new SortPags(dt);
            Repeater1.DataSource = sp.GetCurrentPageSortByFieldName("sort", SortPags.SortType.ASC, pagesize, curpage);
            Repeater1.DataBind();
        }
    }
    #endregion
    #region 调用
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["cid"] != null)
        {
            thepager.PageSize = count;
            if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
            {
                init(count, Convert.ToInt32(Request.QueryString["pg"]), Request.QueryString["cid"]);
            }
            else
            {
                init(count, 1, Request.QueryString["cid"]);
            }
        }
    }
    #endregion
}