﻿using DBUtility;
using System;
using System.Data;
using System.Data.OleDb;
using System.Text;
public partial class controls_topproducts : System.Web.UI.UserControl
{
    #region 属性
    protected int cols;
    protected int count;
    protected string categoryId;
    protected bool autogo = false;
    protected string gopage = "";
    /// <summary>
    /// 一行有几列
    /// </summary>
    public int Cols
    {
        get
        {
            return cols;
        }
        set
        {
            cols = value;
        }
    }
    /// <summary>
    /// 产品类别
    /// </summary>
    public string CategoryId
    {
        get
        {
            return categoryId;
        }
        set
        {
            categoryId = value;
        }
    }

    /// <summary>
    /// 一页几个产品
    /// </summary>
    public int Count
    {
        get
        {
            return count;
        }
        set
        {
            count = value;
        }
    }

    /// <summary>
    /// 只有唯一产品时是否自动跳转
    /// </summary>
    public bool Autogo
    {
        get
        {
            return autogo;
        }
        set
        {
            autogo = value;
        }
    }


    /// <summary>
    /// 产品列表跳转页面
    /// </summary>
    public string Gopage
    {
        get
        {
            return gopage;
        }
        set
        {
            gopage = value;
        }
    }



    #endregion
    #region  分页展示产品
    protected void init(int pagesize, string CategoryId)
    {
        DataSet ds = DbHelperOleDb.Query("select * from Products where CategoryId=" + CategoryId + " and Isshow=true");
        Typeinfo(CategoryId);
        pronum.Text = ds.Tables[0].Rows.Count.ToString();
        #region 有产品
        if (ds.Tables[0].Rows.Count > 0)
        {
            #region 自动跳转
            if (autogo)
            {
                if (Request.QueryString["type"] == "return")
                {
                    Response.Redirect("/Product/?type=return");
                }
                else
                {
                    Response.Redirect("/Catalogue/" + StringHelper.GetShortPinyin(ds.Tables[0].Rows[0]["LinkUrl"].ToString()) + "_ID" + ds.Tables[0].Rows[0]["ProductId"].ToString() + ".html");
                }
            }
            #endregion
            Repeater1.DataSource = ds.Tables[0];
            Repeater1.DataBind();
        }
        #endregion
    }
    #endregion
    protected void Typeinfo(string CategoryId)
    {
        DataSet part1 = DbHelperOleDb.Query("select * from Categories where CategoryId=" + CategoryId + " and isshow=true");
        string lft = part1.Tables[0].Rows[0]["Lft"].ToString();
        string rgt = part1.Tables[0].Rows[0]["Rgt"].ToString();
        typeimg.Text = "<img src=\"/productimage/products/small/" + Picindex.GetFistPic(part1.Tables[0].Rows[0]["IconUrl"].ToString()) + "\" border=\"0\">";
        //DataSet part2 = DbHelperOleDb.Query("select * from Categories where Lft<" + lft + " and Rgt>" + rgt + " and isshow=true order by Lft");
        //string sum = "";
        //string flag = " &gt; ";
        //foreach (DataRow row in part2.Tables[0].Rows)
        //{
        //    sum += "<a href=\"product.aspx?cid=" + row["CategoryId"].ToString() + "\"/>" + row["Name"].ToString() + "</a>" + flag;
        //}
        typename1.Text = part1.Tables[0].Rows[0]["Name"].ToString();
        area.Text = part1.Tables[0].Rows[0]["Content"].ToString();

    }
    #region 调用
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["cid"] != null)
        {
            init(count, Request.QueryString["cid"]);
            gettype_id(Request.QueryString["cid"]);
        }
        else if (Request.QueryString["url"] != null)
        {

            init(count, categoryId);
            _gettype_id(categoryId);
        }
    }
    #endregion
    protected void gettype_id(string CategoryId)
    {
        DataSet ds = DbHelperOleDb.Query("select Parent_id from Categories where CategoryId=" + CategoryId + " and isshow=true");
        if (ds.Tables[0].Rows.Count > 0)
        {
            up_btn.Text = "<a href='product.aspx?cid=" + ds.Tables[0].Rows[0]["Parent_id"].ToString() + "&sitePageId=" + Part.getpartsid("product.aspx") + "'><img src=\"controls/images/btn_back.gif\" width=\"80\" height=\"21\" border=\"0\" align=\"absmiddle\"></a>";
        }
    }
    protected void _gettype_id(string CategoryId)
    {
        string Parent_id = "";
        DataSet ds = DbHelperOleDb.Query("select * from Categories where CategoryId=" + CategoryId + " and isshow=true");
        if (ds.Tables[0].Rows.Count > 0)
        {
            Parent_id = ds.Tables[0].Rows[0]["Parent_id"].ToString();
        }
        if (Parent_id == "0")
        {
            up_btn.Text = "<a href=\"/Product/\" title=\"返回查看其他分类产品！\">返回上级</a>";
        }
        else
        {
            DataSet ds1 = DbHelperOleDb.Query("select * from Categories where CategoryId=" + Parent_id + " and isshow=true");
            if (ds1.Tables[0].Rows.Count > 0)
            {
                up_btn.Text = "<a href='/Product/" + ds1.Tables[0].Rows[0]["LinkUrl"].ToString() + "/'>返回上级</a>";
            }
        }
    }
}