﻿using System;
using System.Data;
using System.Text;
using DBUtility;

public partial class controls_productlist_all : System.Web.UI.UserControl
{
    #region 属性
    protected int cols;
    public int i = 0;
    protected int count;
    protected string categoryId;
    protected bool autogo = true;
    protected string gopage = "";
    /// <summary>
    /// 一行有几列
    /// </summary>
    public int Cols
    {
        get
        {
            return cols;
        }
        set
        {
            cols = value;
        }
    }
    /// <summary>
    /// 产品类别
    /// </summary>
    public string CategoryId
    {
        get
        {
            return categoryId;
        }
        set
        {
            categoryId = value;
        }
    }
    /// <summary>
    /// 一页几个产品
    /// </summary>
    public int Count
    {
        get
        {
            return count;
        }
        set
        {
            count = value;
        }
    }

    /// <summary>
    /// 只有唯一子分类时是否自动跳转
    /// </summary>
    public bool Autogo
    {
        get
        {
            return autogo;
        }
        set
        {
            autogo = value;
        }
    }


    /// <summary>
    /// 产品列表跳转页面Parent_id
    /// </summary>
    public string Gopage
    {
        get
        {
            return gopage;
        }
        set
        {
            gopage = value;
        }
    }
    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (categoryId != null)
            {
                thepager.PageSize = count;
                if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
                {
                    init1(count, Convert.ToInt32(Request.QueryString["pg"]), categoryId);
                }
                else
                {
                    init1(count, 1, categoryId);
                }
            }
            else
            {
                thepager.PageSize = count;
                if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
                {
                    init1(count, Convert.ToInt32(Request.QueryString["pg"]), "0");
                }
                else
                {
                    init1(count, 1, "0");
                }
            }
        }
    }
    #region  分页展示产品根类型
    protected void init1(int pagesize, int curpage, string Parent_id)
    {
        StringBuilder x = new StringBuilder("");
        if (Parent_id != "0")
        {
            string[] lftrgt = Parent_id.Split('|');
            int categoryid = int.Parse(lftrgt[0]);
            int lft = int.Parse(lftrgt[1]);
            int rgt = int.Parse(lftrgt[2]);
            string strsql = "select * from products where  lft>=" + lft + " and Rgt<=" + rgt + " and isshow=true order by Lft,Sort";
            DataTable dt = DBUtility.DbHelperOleDb.Query(strsql).Tables[0];
            //int recordcount = (rgt - lft - 1) / 2;
            int recordcount = dt.Rows.Count;
            thepager.RecordCount = recordcount;
            //thepager.RecordCount = recordcount;
            if (recordcount > 0)
            {

                if (autogo)
                {
                    if (recordcount == 1)
                    {
                        Response.Redirect("product_info.aspx?pid=" + dt.Rows[0]["ProductId"].ToString() + "&cid=" + dt.Rows[0]["CategoryId"].ToString());
                    }
                }
                SortPags sp = new SortPags(dt);
                Repeater1.DataSource = sp.GetCurrentPageSortByFieldName("lft,sort", SortPags.SortType.ASC, pagesize, curpage);
                Repeater1.DataBind();
            }
        }
        else
        {
            string strsql = "select * from products where isshow=true order by Lft,Sort";
            DataTable dt = DBUtility.DbHelperOleDb.Query(strsql).Tables[0];
            SortPags sp = new SortPags(dt);
            int recordcount = dt.Rows.Count;
            thepager.RecordCount = recordcount;
            Repeater1.DataSource = sp.GetCurrentPageSortByFieldName("lft,sort", SortPags.SortType.ASC, pagesize, curpage);
            Repeater1.DataBind();
        }
    }
    #endregion
}