﻿using System;
using System.Data.OleDb;
using System.Text.RegularExpressions;
using System.Data;
using System.Collections.Generic;
using DBUtility;

public partial class controls_productshow : System.Web.UI.UserControl
{
    public string[] content;
    public string bigpicture = "";
    public string productname = "";
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["pid"] != null)
        {
            if (Request.QueryString["ppg"] != null)
            {
                init(Request.QueryString["pid"], Convert.ToInt32(Request.QueryString["ppg"]));
            }
            else
            {
                init(Request.QueryString["pid"], 1);
            }
        }
        click();
    }

    #region 显示产品或货品图片
    protected void showproductpics(string picstrs)
    {
        List<picindex> pics = Picindex.CreateIndex(picstrs);
        curbig.Text = pics[0].Picname;
        cursmall.Text = pics[0].Picname;
        picslist.DataSource = pics;
        picslist.DataBind();
    }
    #endregion
    #region  数据查询及显示
    protected void init(string ProductId, int curpage)
    {
        string CategoryId = "";
		string LinkUrl = "";
        showAttributes(int.Parse(ProductId));
        DataSet ds = DbHelperOleDb.Query("select * from Products where ProductId=" + ProductId);
        if (ds.Tables[0].Rows.Count>0)
        {
            CategoryId = ds.Tables[0].Rows[0]["CategoryId"].ToString();
            content = Regex.Split(ds.Tables[0].Rows[0]["Content"].ToString(), "<hr style=\"page-break-after:always;\" class=\"ke-pagebreak\" />");
            productname = ds.Tables[0].Rows[0]["Name"].ToString();
            proname.Text = ds.Tables[0].Rows[0]["Name"].ToString();
			LinkUrl = ds.Tables[0].Rows[0]["LinkUrl"].ToString();
            //heat.Text = ds.Tables[0].Rows[0]["heat"].ToString();
            //info1.Text = ds.Tables[0].Rows[0]["info1"].ToString();
            price.Text = ds.Tables[0].Rows[0]["Marketprice"].ToString();
            if (ds.Tables[0].Rows[0]["IconUrl"].ToString().Length > 4)
            {
                showproductpics(ds.Tables[0].Rows[0]["IconUrl"].ToString());
            }
        }
        if (curpage == 1)
            area.Text = content[0];
        else
            area.Text = content[curpage - 1];
        thepager.RecordCount = content.Length;
        DataTable dt = DbHelperOleDb.Query("select * from Products where CategoryId=" + CategoryId + " and Isshow=true").Tables[0];
        Repeater1.DataSource = dt;
        Repeater1.DataBind();
        DataTable dt1 = DbHelperOleDb.Query("select * from Categories where CategoryId=" + CategoryId + " and Isshow=true").Tables[0];
        //"<a href=\"\">" + DbHelperOleDb.Query("select * from Products where CategoryId=" + CategoryId + " and Isshow=true").Tables[0] + "</a>";
        typename.Text = "<a href=\"product.aspx?cid=" + dt1.Rows[0]["CategoryId"].ToString() + "\">" + dt1.Rows[0]["Name"].ToString() + "</a>";
        //upbtn.Text = "<a href='javascript:history.go(-1);'><img src=\"controls/images/btn_fh.gif\" alt=\"Return\" width=\"88\" height=\"22\" border=\"0\" onmouseover=\"this.src='controls/images/btn_fh_2.gif';\" onmouseout=\"this.src='controls/images/btn_fh.gif';\"></a>";
        //upbtn.Text = "<a href='/Product/productlist.aspx?cid=" + CategoryId + "&type=return'><img src=\"/controls/images/btn_fh.gif\" alt=\"Return\" width=\"88\" height=\"22\" border=\"0\" onmouseover=\"this.src='/controls/images/btn_fh_2.gif';\" onmouseout=\"this.src='/controls/images/btn_fh.gif';\"></a>";
    }
    #endregion
    #region 产品属性管理
    public void showAttributes(int ProductId)
    {
        Repeater2.DataSource = DbHelperOleDb.Query("select a.id,a.Name,b.Content from Product_Attributes a LEFT JOIN Product_Commend b on (a.ID=b.AttributeId and b.ProductId=" + ProductId + ") order by a.Sort");
        Repeater2.DataBind();
    }
    #endregion
    #region 产品点击次数
    protected void click()
    {
        if (Session["hits"] == null)
        {
            Session["hits"] = "";
        }
        else
        {
            if (!Session["hits"].ToString().Contains(Request.QueryString["pid"] + "|"))
            {
                Session["hits"] = Session["hits"].ToString() + Request.QueryString["pid"] + "|";
                OleDbConnection con = new OleDbConnection(theconnectstring.constring);
                OleDbCommand cmd = new OleDbCommand("update products set heat=heat+1 where ProductId=?", con);
                cmd.Parameters.Add("ProductId", Request.QueryString["pid"]);
                con.Open();
                cmd.ExecuteNonQuery();
                con.Close();
            }
        }
    }
    #endregion
}