﻿using DBUtility;
using System;
using System.Data;
using System.Data.OleDb;
using System.Text;
public partial class controls_topproducts : System.Web.UI.UserControl
{
    #region 属性
    protected int cols;
    protected int count;
    protected string categoryId;
    protected bool autogo = true;
    protected string gopage = "";
    /// <summary>
    /// 一行有几列
    /// </summary>
    public int Cols
    {
        get { return cols; }
        set { cols = value; }
    }
    /// <summary>
    /// 产品类别
    /// </summary>
    public string CategoryId
    {
        get { return categoryId; }
        set { categoryId = value; }
    }
    /// <summary>
    /// 一页几个产品
    /// </summary>
    public int Count
    {
        get { return count; }
        set { count = value; }
    }

    /// <summary>
    /// 只有唯一子分类时是否自动跳转
    /// </summary>
    public bool Autogo
    {
        get { return autogo; }
        set { autogo = value; }
    }


    /// <summary>
    /// 产品列表跳转页面Parent_id
    /// </summary>
    public string Gopage
    {
        get { return gopage; }
        set { gopage = value; }
    }
    #endregion
    protected DataTable categories { get; set; }
    protected DataTable products { get; set; }
    #region  分页展示产品根类型
    protected void init(int pagesize, int curpage, string Parent_id)
    {
        Typeinfo(Parent_id);
        DataRow[] dr = categories.Select(String.Format("Parent_id={0}", Parent_id));
        StringBuilder x = new StringBuilder("");
        int recordcount = dr.Length;
        thepager.RecordCount = recordcount;
        #region  无子类
        if (recordcount < 1)
        {
            if (Request.QueryString["type"] == "return")
            {
                Response.Redirect("product.aspx");
            }
            else
            {
                Response.Redirect("productlist.aspx?cid=" + Parent_id);
            }

        }
        #endregion
        #region 有子类
        else
        {
            if (autogo)
            {
                if (recordcount == 1)
                {
                    string tempcode = dr[0]["CategoryId"].ToString();
                    Response.Redirect("product.aspx?cid=" + tempcode);
                }
            }

            if (curpage == 1)
            {
                x.Append("select top ");
                x.Append(pagesize);
                x.Append(" Name,IconUrl,CategoryId,Lft,Rgt,LinkUrl,sum(Rgt-Lft) as flag from Categories where Parent_id=" + Parent_id + " and isshow=true group by IconUrl,CategoryId,Name,Rgt,Lft,Parent_id,LinkUrl,sort order by sort,CategoryId");
            }
            else
            {
                x.Append("select top ");
                x.Append(pagesize);
                x.Append(" Name,IconUrl,CategoryId,Lft,Rgt,LinkUrl,sum(Rgt-Lft) as flag from Categories where Parent_id=" + Parent_id + " and isshow=true and CategoryId not in (select top ");
                x.Append(pagesize * (curpage - 1));
                x.Append(" CategoryId from Categories where Parent_id=" + Parent_id + " and isshow=true order by sort,CategoryId) group by IconUrl,CategoryId,Name,Rgt,Lft,Parent_id,LinkUrl,sort order by sort,CategoryId");
            }
            Repeater1.DataSource = DBUtility.DbHelperOleDb.Query(x.ToString()).Tables[0];
            Repeater1.DataBind();
        }
        #endregion
    }
    #endregion
    protected void Typeinfo(string Parent_id)
    {
        DataSet part1 = DbHelperOleDb.Query("select * from Categories where Parent_id=" + Parent_id + " and isshow=true");
        pronum.Text = part1.Tables[0].Rows.Count.ToString();
        othertype.DataSource = part1;
        othertype.DataBind();
        if (Parent_id != "0")
        {
            DataSet part2 = DbHelperOleDb.Query("select * from Categories where CategoryId=" + Parent_id + " and isshow=true");
            typename.Text = part2.Tables[0].Rows[0]["Name"].ToString();
        }
        else
        {

            typename.Text = "顶级分类";
        }
    }
    #region 调用
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            categories = DBUtility.DbHelperOleDb.Query("select CategoryId,Parent_id,Name,Rgt,Lft,sum(Rgt-Lft) as flag from Categories where isshow=true group by CategoryId,Name,Rgt,Lft,Parent_id,sort order by sort,CategoryId ").Tables[0];
            products = DBUtility.DbHelperOleDb.Query("select * from Products where isshow=true order by sort,ProductId").Tables[0];
            if (Request.QueryString["cid"] != null)
            {
                thepager.PageSize = count;
                if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
                {
                    init(count, Convert.ToInt32(Request.QueryString["pg"]), Request.QueryString["cid"]);
                }
                else
                {
                    init(count, 1, Request.QueryString["cid"]);
                }
            }
            else if (categoryId != null)
            {
                thepager.PageSize = count;
                if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
                {
                    init(count, Convert.ToInt32(Request.QueryString["pg"]), categoryId);
                }
                else
                {
                    init(count, 1, categoryId);
                }
            }
            else
            {
                thepager.PageSize = count;
                if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
                {
                    init(count, Convert.ToInt32(Request.QueryString["pg"]), "0");
                }
                else
                {
                    init(count, 1, "0");
                }
            }
        }
    }
    #endregion
    public DataRow[] getategory(string Lft, string Rgt)
    {
        return categories.Select(String.Format("Lft>{0} and Rgt<{1}", Lft, Rgt));
    }
    public DataRow[] getProduct(string Lft, string Rgt)
    {
        DataRow[] drs = products.Select(String.Format("Lft>={0} and Rgt<={1}", Lft, Rgt), "sort");
        //if (drs.Length > 5)
        //{
        //    DataTable dt = new DataTable();
        //    dt = products.Clone();
        //    for (int i = 0; i < 5; i++)
        //    {
        //        dt.Rows.Add(drs[i].ItemArray);
        //    }
        //    return dt.Select();
        //}
        //else
        //{
            return drs;
        //}
    }
}