﻿using System;
using System.Data;
using System.Data.OleDb;
using System.Text;

public partial class controls_prolist : System.Web.UI.UserControl
{
    protected string selfcode = "";
    public string Selfcode
    {
        get
        {
            return selfcode;
        }
        set
        {
            selfcode = value;
        }
    }
    protected string parent_id = "0";
    public string Parent_id
    {
        get
        {
            return parent_id;
        }
        set
        {
            parent_id = value;
        }
    }
    protected int topn = -1;
    public int Topn
    {
        get
        {
            return topn;
        }
        set
        {
            topn = value;
        }
    }
    protected DataTable categories
    {
        get;
        set;
    }
    protected DataTable products
    {
        get;
        set;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            categories = DBUtility.DbHelperOleDb.Query("select CategoryId,Parent_id,Name,LinkUrl,Rgt,Lft,sum(Rgt-Lft) as flag,IconUrl,Depart,Description from Categories where isshow=true group by CategoryId,Name,Rgt,Lft,LinkUrl,Parent_id,Depart,sort,IconUrl,Description order by sort,CategoryId ").Tables[0];
            products = DBUtility.DbHelperOleDb.Query("select * from Products where isshow=true order by sort,ProductId").Tables[0];
            DataRow[] drs = categories.Select(String.Format("Parent_id={0}", parent_id));
            if (drs.Length == 0 && Request.QueryString["url"] != null && Request.QueryString["url"] != "")
            {
                Response.Redirect("/Product/" + Request.QueryString["url"] + ".html");
            }
            if (topn != -1)
            {
                if (drs.Length > topn)
                {
                    DataTable dt = new DataTable();
                    dt = categories.Clone();
                    for (int i = 0; i < topn; i++)
                    {
                        dt.Rows.Add(drs[i].ItemArray);
                    }
                    drs = dt.Select();
                }
            }
            Repeater1.DataSource = drs;
            Repeater1.DataBind();
        }
    }
    public DataRow[] getategory(string Lft, string Rgt, string Depart)
    {
        DataRow[] drs = categories.Select(String.Format("Lft>{0} and Rgt<{1} and Depart={2}", Lft, Rgt, int.Parse(Depart) + 1));
        if (drs.Length > 8)
        {
            DataTable dt = new DataTable();
            dt = categories.Clone();
            for (int i = 0; i < 8; i++)
            {
                dt.Rows.Add(drs[i].ItemArray);
            }
            return dt.Select();
        }
        else
        {
            return drs;
        }
    }
    public DataRow[] getProduct(string Lft, string Rgt)
    {
        DataTable dt = new DataTable();
        dt = products.Clone();
        if (int.Parse(Lft) + 1 == int.Parse(Rgt))
        {
            DataRow[] drs = products.Select(String.Format("Lft>={0} and Rgt<={1}", Lft, Rgt));
            if (drs.Length > 8)
            {
                for (int i = 0; i < 8; i++)
                {
                    dt.Rows.Add(drs[i].ItemArray);
                }
                return dt.Select();
            }
            else
            {
                return drs;
            }
        }
        else
        {
            return dt.Select();
        }
    }
}