﻿using System;
using System.Data;
using System.Data.OleDb;
using System.Text;

public partial class controls_prolist : System.Web.UI.UserControl
{
    protected string cid = "";
    public string Cid
    {
        get
        {
            return cid;
        }
        set
        {
            cid = value;
        }
    }

    protected int topn = -1;
    public int Topn
    {
        get
        {
            return topn;
        }
        set
        {
            topn = value;
        }
    }
    protected DataTable categories
    {
        get;
        set;
    }
    protected DataTable products
    {
        get;
        set;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            categories = DBUtility.DbHelperOleDb.Query("select CategoryId,Parent_id,Name,Rgt,Lft,sum(Rgt-Lft) as flag,IconUrl,Depart,LinkUrl,IconUrl from Categories where isshow=true group by CategoryId,Name,IconUrl,Rgt,Lft,Parent_id,sort,Depart,LinkUrl,IconUrl order by sort,CategoryId ").Tables[0];
            products = DBUtility.DbHelperOleDb.Query("select * from Products where isshow=true order by sort,ProductId").Tables[0];
            DataRow[] drs = categories.Select(String.Format("Parent_id={0}", "0"));
            if (topn != -1)
            {
                if (drs.Length > topn)
                {
                    DataTable dt = new DataTable();
                    dt = categories.Clone();
                    for (int i = 0; i < topn; i++)
                    {
                        dt.Rows.Add(drs[i].ItemArray);
                    }
                    drs = dt.Select();
                }
            }
            Repeater1.DataSource = drs;
            Repeater1.DataBind();
        }
    }
}