﻿using System;
using System.Data;
using System.Data.OleDb;
using System.Text;

public partial class controls_prolist : System.Web.UI.UserControl
{
    protected string cid = "";
    public string Cid
    {
        get
        {
            return cid;
        }
        set
        {
            cid = value;
        }
    }
    protected int topn = -1;
    public int Topn
    {
        get
        {
            return topn;
        }
        set
        {
            topn = value;
        }
    }
    protected DataTable categories
    {
        get;
        set;
    }
    protected DataTable products
    {
        get;
        set;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            categories = DBUtility.DbHelperOleDb.Query("select CategoryId,Parent_id,Name,Rgt,Lft,sum(Rgt-Lft) as flag,IconUrl,Depart,LinkUrl from Categories where isshow=true group by CategoryId,Name,Rgt,Lft,Parent_id,sort,IconUrl,Depart,LinkUrl order by sort,CategoryId ").Tables[0];
            products = DBUtility.DbHelperOleDb.Query("select * from Products where isshow=true order by sort,ProductId").Tables[0];
            DataRow[] drs = categories.Select(String.Format("Parent_id={0}", "0"));
            if (topn != -1)
            {
                if (drs.Length > topn)
                {
                    DataTable dt = new DataTable();
                    dt = categories.Clone();
                    for (int i = 0; i < topn; i++)
                    {
                        dt.Rows.Add(drs[i].ItemArray);
                    }
                    drs = dt.Select();
                }
            }
           Repeater1.DataSource = drs;
           Repeater1.DataBind();
        }
    }
    public DataRow[] getategory(string Lft, string Rgt, string Depart)
    {
        int depart = int.Parse(Depart) + 1;
        DataRow[] drs = categories.Select(String.Format("Lft>{0} and Rgt<{1} and Depart={2}", Lft, Rgt, depart));
        //if (drs.Length > 5)
        //{
        //    DataTable dt = new DataTable();
        //    dt = categories.Clone();
        //    for (int i = 0; i < 5; i++)
        //    {
        //        dt.Rows.Add(drs[i].ItemArray);
        //    }
        //    return dt.Select();
        //}
        //else
        //{
        return drs;
        //}
    }
    public DataRow[] getProduct(string Lft, string Rgt)
    {
        DataTable dt = new DataTable();
        dt = products.Clone();
        if (int.Parse(Lft) + 1 == int.Parse(Rgt))
        {
            DataRow[] drs = products.Select(String.Format("Lft>={0} and Rgt<={1}", Lft, Rgt));
            //if (drs.Length > 5)
            //{
            //    for (int i = 0; i < 5; i++)
            //    {
            //        dt.Rows.Add(drs[i].ItemArray);
            //    }
            //    return dt.Select();
            //}
            //else
            //{
            return drs;
            //}
        }
        else
        {
            return dt.Select();
        }
    }
}