﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="m_Default" %>

<%@ Register Src="~/m/top.ascx" TagPrefix="uc1" TagName="top" %>
<%@ Register Src="~/m/usercontrols/tag_products_list.ascx" TagPrefix="uc1" TagName="tag_products_list" %>
<%@ Register Src="~/m/usercontrols/prolist.ascx" TagPrefix="uc1" TagName="prolist" %>
<%@ Register Src="~/m/usercontrols/one_part_content.ascx" TagPrefix="uc1" TagName="one_part_content" %>
<%@ Register Src="~/m/usercontrols/newslist.ascx" TagPrefix="uc1" TagName="newslist" %>
<%@ Register Src="~/m/footer.ascx" TagPrefix="uc1" TagName="footer" %>
<%@ Register Src="~/m/usercontrols/search.ascx" TagPrefix="uc1" TagName="search" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta content="IE=10.000" http-equiv="X-UA-Compatible">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <asp:Literal ID="header" runat="server"></asp:Literal>
    <link href="css/reset.css" type="text/css" rel="stylesheet" />
    <link href="css/layout.css" type="text/css" rel="stylesheet" />
    <script type="text/javascript" src="js/WapCircleImg.js"></script>
    <script type="text/javascript" src="js/publishAptJS.js"></script>
    <script type="text/javascript" src="js/lj.js"></script>
</head>
<body>
    <uc1:top runat="server" ID="top" />
    <!--banner start-->
    <div class="banner_box">
        <div id="Cimgf0d5c2216b8cbscroller_imglist" class="roll_img_mb_01" style="overflow: hidden; visibility: visible; list-style: none; position: relative;">
            <div class="img_box">
                <ul style="position: relative; -webkit-transition: left 600ms ease-out; transition: left 600ms ease-out; width: 4800px; left: -3200px;">
                    <asp:Repeater ID="Repeater1" runat="server">
                        <ItemTemplate>
                            <li style="display: table-cell; padding: 0px; margin: 0px; float: left; vertical-align: top;">
                                <img src="<%# Picindex.GetFistPic(Eval("ImageUrl","/productimage/ads/big/{0}")) %>" alt="<%# Eval("AlternateText") %>" />
                            </li>
                        </ItemTemplate>
                    </asp:Repeater>
                </ul>
            </div>
            <div class="nav_box">
                <ul id="li_on_name">
                    <asp:Literal ID="lishow" runat="server"></asp:Literal>
                </ul>
            </div>
        </div>
        <script type="text/javascript">WapCircleImg_01("Cimgf0d5c2216b8cbscroller_imglist", 3, true);</script>
    </div>
    <!--banner end-->
    <uc1:search runat="server" ID="search" />
<%--    <!--pro_img start-->
    <div class="content">
        <div class="tit">
            <h2>New Products</h2>
            <span><a href="products.aspx?tq=3">more >></a></span>
        </div>
        <div class="con">
            <div class="case">
                <uc1:tag_products_list runat="server" ID="tag_products_list" Topn="6" Tagid="1" />
            </div>
        </div>
    </div>
    <!--pro_img start-->--%>
    <!--pro_type start-->
    <div class="content">
        <div class="tit">
            <h2>Products</h2>
            <span><a href="products.aspx?tq=3">More >></a></span>
        </div>
        <div class="con">
            <div class="pro_type">
                <uc1:prolist runat="server" ID="prolist" />
            </div>
        </div>
    </div>
    <!--pro_type end-->
    <!--about start-->
    <div class="content">
        <div class="tit">
            <h2>About Us</h2>
            <span><a href="info.aspx?tq=2">more >></a></span>
        </div>
        <div class="con">
            <div class="about">
                <img src="images/about_home.jpg" />
                <p>
                    <uc1:one_part_content runat="server" ID="one_part_content" CategoryId="8" Encode="true" Length="240" />
                </p>
            </div>
        </div>
    </div>
    <!--about end-->
<%--    <!--news start-->
    <div class="content">
        <div class="tit">
            <h2>新闻资讯</h2>
            <span><a href="new.aspx?tq=3">更多 >></a></span>
        </div>
        <div class="con">
            <div class="news">
                <uc1:newslist runat="server" ID="newslist" News_group="3" Topn="5" />
            </div>
        </div>
    </div>
    <!--news end-->--%>
    <uc1:footer runat="server" ID="footer" />
</body>
</html>
