﻿using System;
using System.Data;
using DBUtility;

public partial class usercontrols_new_sub : System.Web.UI.UserControl
{
    #region 属性
    protected int pagesize = 10;
    /// <summary>
    /// 一页几行
    /// </summary>
    public int Pagesize
    {
        get
        {
            return pagesize;
        }
        set
        {
            pagesize = value;
        }
    }
    protected bool showone = false;
    /// <summary>
    /// 一页几行
    /// </summary>
    public bool Showone
    {
        get
        {
            return showone;
        }
        set
        {
            showone = value;
        }
    }
    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["tq"] != null)
        {
            string news_groups = Request.QueryString["tq"];
            int depart = 0;
            DataTable dt = DBUtility.DbHelperOleDb.Query("select * from part where CategoryId=" + Request.QueryString["tq"]).Tables[0];
            if (dt.Rows.Count > 0)
            {
                depart = int.Parse(dt.Rows[0]["Depart"].ToString());
            }
            if (depart == 1)
            {
                news_groups = Part.getparts((int)dt.Rows[0]["Lft"], (int)dt.Rows[0]["Rgt"], Request.QueryString["tq"]);
            }

            if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
            {
                initnewsinfo(news_groups, Convert.ToInt32(Request.QueryString["pg"]));
            }
            else
            {
                initnewsinfo(news_groups, 1);
            }
        }
    }
    #region 新闻列表
    protected void initnewsinfo(string id, int pg)
    {
        thepager.PageSize = pagesize;
        string strsql = "select * from news where news_group in (" + id + " )  order by AddedDate desc,news_id desc";
        DataTable dt = DBUtility.DbHelperOleDb.Query(strsql).Tables[0];
        thepager.RecordCount = dt.Rows.Count;
        SortPags sp = new SortPags(dt);
        Repeater1.DataSource = sp.GetCurrentPageSortByFieldName("AddedDate", SortPags.SortType.DESC, pagesize, pg);
        Repeater1.DataBind();
    }
    #endregion
}