﻿using System;
using System.Data;
using System.Data.OleDb;
using System.Text;
public partial class usercontrols_productlist : System.Web.UI.UserControl
{
    #region 属性
    public int i = 0;
    protected int cols;
    protected int count;
    protected string categoryId;
    protected bool autogo = false;
    protected string gopage = "";
    /// <summary>
    /// 一行有几列
    /// </summary>
    public int Cols
    {
        get
        {
            return cols;
        }
        set
        {
            cols = value;
        }
    }
    /// <summary>
    /// 产品类别
    /// </summary>
    public string CategoryId
    {
        get
        {
            return categoryId;
        }
        set
        {
            categoryId = value;
        }
    }

    /// <summary>
    /// 一页几个产品
    /// </summary>
    public int Count
    {
        get
        {
            return count;
        }
        set
        {
            count = value;
        }
    }

    /// <summary>
    /// 只有唯一产品时是否自动跳转
    /// </summary>
    public bool Autogo
    {
        get
        {
            return autogo;
        }
        set
        {
            autogo = value;
        }
    }


    /// <summary>
    /// 产品列表跳转页面
    /// </summary>
    public string Gopage
    {
        get
        {
            return gopage;
        }
        set
        {
            gopage = value;
        }
    }



    #endregion
    #region  分页展示产品
    protected void init(int pagesize, int curpage, string CategoryId)
    {
        StringBuilder x = new StringBuilder("");
        int recordcount = countvalue(CategoryId);
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        thepager.RecordCount = recordcount;
        #region 有产品
        if (recordcount > 0)
        {
            #region 自动跳转
            if (autogo)
            {
                if (recordcount == 1)
                {
                    string tempLinkUrl = "";
                    OleDbCommand cmd = new OleDbCommand("select Parent_id,LinkUrl from Categories where CategoryId=" + CategoryId + " and Isshow=true", con);
                    con.Open();
                    OleDbDataReader reader = cmd.ExecuteReader();
                    reader.Read();
                    string tempCategoryId = reader["Parent_id"].ToString();
                    reader.Close();
                    con.Close();
                    if (tempCategoryId != "0")
                    {
                        OleDbCommand cmd2 = new OleDbCommand("select LinkUrl from Categories where CategoryId=" + tempCategoryId + " and Isshow=true", con);
                        con.Open();
                        OleDbDataReader reader2 = cmd2.ExecuteReader();
                        reader2.Read();
                        tempLinkUrl = reader2["LinkUrl"].ToString();
                        reader2.Close();
                        con.Close();
                    }
                    OleDbCommand cmd1 = new OleDbCommand("select ProductId,CategoryId,LinkUrl from Products  where CategoryId=" + CategoryId + " and Isshow=true", con);
                    con.Open();
                    OleDbDataReader reader1 = cmd1.ExecuteReader();
                    reader1.Read();
                    string LinkUrl = reader1["LinkUrl"].ToString();
                    string productId = reader1["ProductId"].ToString();
                    reader1.Close();
                    con.Close();
                    if (Request.QueryString["type"] == "return")
                    {
                        Response.Redirect("products.aspx?cateid=" + tempCategoryId + "&type=return");
                    }
                    else
                    {
                        Response.Redirect("productshow.aspx?pid=" + productId + "&cateid=" + CategoryId);
                    }
                }
            }
            #endregion

            if (curpage == 1)
            {
                x.Append("select top ");
                x.Append(pagesize);
                x.Append(" * from Products where CategoryId=" + CategoryId + " and Isshow=true order by sort,ProductId");
            }
            else
            {
                x.Append("select top ");
                x.Append(pagesize);
                x.Append(" * from Products where CategoryId=" + CategoryId + " and Isshow=true and ProductId not in (select top ");
                x.Append(pagesize * (curpage - 1));
                x.Append(" ProductId from Products where CategoryId=" + CategoryId + " and Isshow=true order by sort,ProductId) order by sort,ProductId");
            }
            OleDbDataAdapter myda = new OleDbDataAdapter(x.ToString(), con);
            DataSet myset = new DataSet();
            con.Open();
            myda.Fill(myset);
            con.Close();
            Repeater1.DataSource = myset.Tables[0];
            Repeater1.DataBind();
        }
        #endregion
    }
    #endregion
    #region 统计产品个数
    /// <summary>
    /// 判断是否有子类,如果为0则没有，反之有子类个数
    /// </summary>
    /// <param name="CategoryId">类型编号</param>
    /// <returns></returns>
    protected int countvalue(string CategoryId)
    {
        int count = 0;
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("select count(ProductId) as cnt from Products where CategoryId=" + CategoryId + " and Isshow=true", con);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        reader.Read();
        count = Convert.ToInt32(reader["cnt"].ToString());
        reader.Close();
        con.Close();
        return count;
    }
    #endregion
    #region 调用
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["cateid"] != null)
        {
            thepager.PageSize = count;
            if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
            {
                init(count, Convert.ToInt32(Request.QueryString["pg"]), Request.QueryString["cateid"]);
            }
            else
            {
                init(count, 1, Request.QueryString["cateid"]);
            }
        }
        else if (Request.QueryString["url"] != null)
        {
            thepager.PageSize = count;
            if (Request.QueryString["pg"] != null && Request.QueryString["pg"] != "")
            {
                init(count, Convert.ToInt32(Request.QueryString["pg"]), categoryId);
            }
            else
            {
                init(count, 1, categoryId);
            }
        }
    }
    #endregion
}