﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="advert_content_edit.aspx.cs"
    Inherits="advert_content_edit" %>

<%@ Register Assembly="Controls" Namespace="Controls" TagPrefix="cc1" %>
<%@ Register src="picshow.ascx" tagname="picshow" tagprefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>后台管理系统v5.5</title>
    <link href="css/css1.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <table cellpadding="0" cellspacing="0" class="infomation">
        <tr>
            <td class="title">
                广告管理
            </td>
        </tr>
        <tr>
            <td class="area">
                管理店铺的广告位和广告内容，一个广告位可以设置多个广告
            </td>
        </tr>
    </table>
    <cc1:Messageshow ID="Messageshow1" runat="server" 
        Cusstyle="margin:5px 0px 5px 0px;" 
        Msg="请确保唯一的广告图片,<span style='color:red'>如果您上传上多张广告图片，系统默认只取第一张</span>" 
        Visible="False" />
    <table cellpadding="0" cellspacing="0" class="tabletit" style="margin-top: 5px;">
        <tr>
            <td>
                当前广告位：<asp:Label 
                    ID="adpositon" runat="server" Font-Bold="True" ForeColor="Red"></asp:Label>
            </td>
        </tr>
    </table>
    <table cellpadding="0" cellspacing="0" class="tabletit" style="margin-top: 5px;">
        <tr>
            <td style="text-align: center; width: 30px;">
                <img alt="" src="images/edit2.png" />
            </td>
            <td>
                修改广告内容</td>
        </tr>
    </table>
    <table cellpadding="0" cellspacing="0" class="areanav">
        <tr>
            <td style="line-height: 30px;">
                <table cellpadding="0" cellspacing="0" style="width: 100%;">
                    <tr>
                        <td style="text-align: right; width: 120px;">
                            广告名称：
                        </td>
                        <td>
                            <asp:TextBox ID="txadname" runat="server" Width="300px"></asp:TextBox>
                            <cc1:HelpCtrl ID="HelpCtrl1" runat="server" FontColor="red" Header="广告名称" 
                                ImageURL="images/help.gif" Text="您自定义内容，只是便于管理使用" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right;">
                            广告语：
                        </td>
                        <td>
                            <asp:TextBox ID="txadalttext" runat="server" Width="300px"></asp:TextBox>
                            <cc1:HelpCtrl ID="HelpCtrl2" runat="server" FontColor="red" Header="广告语" 
                                ImageURL="images/help.gif" Text="当鼠标指向此广告时的提示信息" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right;">
                            广告链接：
                        </td>
                        <td>
                            <asp:TextBox ID="txadlink" runat="server" Width="300px"></asp:TextBox>
                            <cc1:HelpCtrl ID="HelpCtrl3" runat="server" FontColor="red" Header="广告链接" 
                                ImageURL="images/help.gif" Text="当用户点击此广告时将被引导到的页面" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right;">
                            广告权重：
                        </td>
                        <td>
                            <asp:TextBox ID="txadweight" runat="server"></asp:TextBox>
                            <cc1:HelpCtrl ID="HelpCtrl4" runat="server" FontColor="red" Header="广告权重" 
                                ImageURL="images/help.gif" Text="当一个广告位有多个广告内容时，广告内容显示的几率，数值越大几率越高" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" 
                                ControlToValidate="txadweight" Display="Dynamic" ErrorMessage="必填选项"></asp:RequiredFieldValidator>
                            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                                ControlToValidate="txadweight" Display="Dynamic" ErrorMessage="1-10" 
                                ValidationExpression="(10)|([1-9]{1})"></asp:RegularExpressionValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right;">
                            广告图片：<br />
                            <asp:Label ID="pics" runat="server" Font-Bold="True" ForeColor="Red"></asp:Label></td>
                        <td>
                            <uc1:picshow ID="picshow1" runat="server" Issmall="False" Iswatermark="False" 
                                Path="/productimage/ads/" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right;">
                            &nbsp;</td>
                        <td>
                            <asp:Button ID="Button1" runat="server"  Text="保存修改" 
                                onclick="Button1_Click"  />
                            &nbsp;<asp:Button ID="Button2" runat="server"  Text="返回" 
                                CausesValidation="False" onclick="Button2_Click" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </form>
</body>
</html>
