﻿using System;
using System.Text;
using System.Data;
using System.Data.OleDb;
using DBUtility;

public partial class advert_content_edit : RePage
{
    int id, cid;
    void initid()
    {
        id = Convert.ToInt32(Request.QueryString["id"]);
        cid = Convert.ToInt32(Request.QueryString["cid"]);
    }
    void init()
    {
        try
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select AdvPositionId,AdvPositionName,ShowType,RepeatColumns,Width,Height,AdvHtml from AdvPositions ");
            strSql.Append(" where AdvPositionId=@AdvPositionId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@AdvPositionId", OleDbType.Integer)
			};
            parameters[0].Value = id;
            DataSet position = DbHelperOleDb.Query(strSql.ToString(), parameters);
            if (position.Tables[0].Rows.Count > 0)
            {
                adpositon.Text = position.Tables[0].Rows[0]["AdvPositionName"].ToString().Trim();
                if (!string.IsNullOrEmpty(position.Tables[0].Rows[0]["Width"].ToString()))
                {
                    pics.Text = "(" + position.Tables[0].Rows[0]["Width"].ToString() + "*" + position.Tables[0].Rows[0]["Height"].ToString() + ")px";
                }
            }
            StringBuilder strSql1 = new StringBuilder();
            strSql1.Append("select AdvertisementId,AdvPositionId,AdvertisementName,ImageUrl,AlternateText,NavigateUrl,Weight from Advertisements ");
            strSql1.Append(" where AdvertisementId=@AdvertisementId");
            OleDbParameter[] parameters1 = {
					new OleDbParameter("@AdvertisementId", OleDbType.Integer)
			};
            parameters1[0].Value = cid;
            DataSet adcontent = DbHelperOleDb.Query(strSql1.ToString(), parameters1);
            if (adcontent.Tables[0].Rows.Count > 0)
            {

                txadname.Text = adcontent.Tables[0].Rows[0]["AdvertisementName"].ToString();
                txadalttext.Text = adcontent.Tables[0].Rows[0]["AlternateText"].ToString();
                txadlink.Text = adcontent.Tables[0].Rows[0]["NavigateUrl"].ToString();
                txadweight.Text = adcontent.Tables[0].Rows[0]["Weight"].ToString();
                picshow1.Pics = adcontent.Tables[0].Rows[0]["ImageUrl"].ToString();                
            }
        }
        catch
        {
            Messageshow1.Msg = "数据加载失败，请不要执行广告修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            initid();
            if (!IsPostBack)
            {
                init();
            }
        }
        catch
        {
            Messageshow1.Msg = "调用参数错误，请不要执行广告修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            string strErr = "";
            if (this.txadname.Text.Trim().Length == 0)
            {
                strErr += "广告名称不能为空！\\n";
            }
            if (this.txadalttext.Text.Trim().Length == 0)
            {
                strErr += "广告语不能为空！\\n";
            }
            if (this.txadlink.Text.Trim().Length == 0)
            {
                strErr += "广告链接不能为空！\\n";
            }

            if (strErr != "")
            {
                Messageshow1.Msg = strErr;
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
                return;
            }



            StringBuilder strSql = new StringBuilder();
            strSql.Append("update Advertisements set ");
            strSql.Append("AdvPositionId=@AdvPositionId,");
            strSql.Append("AdvertisementName=@AdvertisementName,");
            strSql.Append("ImageUrl=@ImageUrl,");
            strSql.Append("AlternateText=@AlternateText,");
            strSql.Append("NavigateUrl=@NavigateUrl,");
            strSql.Append("Weight=@Weight");
            strSql.Append(" where AdvertisementId=@AdvertisementId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@AdvPositionId", OleDbType.Integer),
					new OleDbParameter("@AdvertisementName", OleDbType.Char,100),
					new OleDbParameter("@ImageUrl", OleDbType.Char,100),
					new OleDbParameter("@AlternateText", OleDbType.Char,100),
					new OleDbParameter("@NavigateUrl", OleDbType.Char,100),
					new OleDbParameter("@Weight", OleDbType.Integer),
					new OleDbParameter("@AdvertisementId", OleDbType.Integer)};
            parameters[0].Value = id;
            parameters[1].Value = txadname.Text.Trim();
            parameters[2].Value = picshow1.Pics;
            parameters[3].Value = txadalttext.Text.Trim();
            parameters[4].Value = txadlink.Text.Trim();
            parameters[5].Value = Convert.ToInt32(txadweight.Text);
            parameters[6].Value = cid;

            int rows = DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                Messageshow1.Msg = "广告内容修改成功！";
                Messageshow1.Infotype = "1";
                Messageshow1.Visible = true;
            }
            else
            {
                Messageshow1.Msg = "广告内容修改失败";
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
            }
        }
        catch
        {
            Messageshow1.Msg = "广告内容修改失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("advert_content_manage.aspx?id=" + id);
    }
}