﻿using System;
using System.Web.UI.WebControls;
using System.Text;
using System.Data;
using System.Data.OleDb;

public partial class advert_content_manage : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            bind();
        }
    }
    #region bind
    protected void bind()
    {
        //try
        //{
            int id = Convert.ToInt32(Request.QueryString["id"]);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select AdvertisementId,AdvPositionId,AdvertisementName,ImageUrl,AlternateText,NavigateUrl,Weight ");
            strSql.Append(" FROM Advertisements ");
            strSql.Append(" where AdvPositionId=" + id);
            Repeater1.DataSource = DBUtility.DbHelperOleDb.Query(strSql.ToString());
            Repeater1.DataBind();
            StringBuilder strSql1 = new StringBuilder();
            strSql1.Append("select AdvPositionId,AdvPositionName,ShowType,RepeatColumns,Width,Height,AdvHtml from AdvPositions ");
            strSql1.Append(" where AdvPositionId=@AdvPositionId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@AdvPositionId", DbType.Int32)
			};
            parameters[0].Value = id;
            DataSet ds = DBUtility.DbHelperOleDb.Query(strSql1.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                adposition.Text = ds.Tables[0].Rows[0]["AdvPositionName"].ToString();
            }
        //}
        //catch
        //{
        //    Messageshow1.Infotype = "2";
        //    Messageshow1.Msg = "加载广告数据失败";
        //    Messageshow1.Visible = true;
        //}
    }
    #endregion

    protected void edit(object sender, EventArgs e)
    {
        int cid, id;
        cid = Convert.ToInt32(((Button)sender).CommandArgument);
        try
        {
            id = Convert.ToInt32(Request.QueryString["id"]);
        }
        catch
        {
            id = -1;
        }
        Response.Redirect("advert_content_edit.aspx?cid=" + cid + "&id=" + id);
    }

    protected void delete(object sender, EventArgs e)
    {
        try
        {
            int id = Convert.ToInt32(((Button)sender).CommandArgument);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from Advertisements ");
            strSql.Append(" where AdvertisementId=@AdvertisementId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@AdvertisementId", DbType.Int32)
			};
            parameters[0].Value = id;
            int rows = DBUtility.DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                bind();
                Messageshow1.Infotype = "1";
                Messageshow1.Msg = "删除成功";
                Messageshow1.Visible = true;
            }
            else
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Msg = "删除失败";
                Messageshow1.Visible = true;
            }
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void txdel_Click(object sender, EventArgs e)
    {
        StringBuilder ids = new StringBuilder();
        foreach (RepeaterItem item in Repeater1.Items)
        {
            CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
            if (_checkbox.Checked)
            {
                ids.Append(_checkbox.Text);
                ids.Append(",");
            }
        }
        if (ids.Length > 0)
        {
            string idsstr = StringHelper.Removestrright(ids.ToString(), 1);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from Advertisements ");
            strSql.Append(" where AdvertisementId in (" + idsstr + ")  ");
            int rows = DBUtility.DbHelperOleDb.ExecuteSql(strSql.ToString());
            if (rows > 0)
            {
                bind();
                Messageshow1.Infotype = "1";
                Messageshow1.Msg = "删除成功";
                Messageshow1.Visible = true;
            }
            else
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Msg = "删除失败!";
                Messageshow1.Visible = true;
            }
        }
        else
        {
            Messageshow1.Infotype = "0";
            Messageshow1.Msg = "未选择任何内容!";
            Messageshow1.Visible = true;
        }
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            bind();
            Messageshow1.Infotype = "0";
            Messageshow1.Msg = "执行刷新操作成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "执行刷新操作失败";
            Messageshow1.Visible = true;
        }
    }
}
