﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;
using System.Text;
using DBUtility;
using System.Data;

public partial class system_Default2 : RePage
{
    int id; 
    #region  系统初始化
    void initid()
    {
        id = Convert.ToInt32(Request.QueryString["id"]);
    }
    void init()
    {
        try
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select * from [newsgroup] ");
            strSql.Append(" where id=@id");
            OleDbParameter[] parameters = {
					new OleDbParameter("@id", OleDbType.Integer,4)
			};
            parameters[0].Value = id;
            DataSet curnewsgroup = DbHelperOleDb.Query(strSql.ToString(), parameters);
            if (curnewsgroup.Tables[0].Rows.Count > 0)
            {
                StringBuilder parent_strSql = new StringBuilder();
                txadname.Text = curnewsgroup.Tables[0].Rows[0]["thename"].ToString().Trim();
                txsort.Text = curnewsgroup.Tables[0].Rows[0]["theindex"].ToString().Trim();
                txisimg.Checked = Convert.ToBoolean(curnewsgroup.Tables[0].Rows[0]["isimg"]);
            }
        }
        catch
        {
            Messageshow1.Msg = "数据加载失败，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    #endregion    
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            initid();
            if (!IsPostBack)
            {
                init();
            }
        }
        catch
        {
            Messageshow1.Msg = "调用参数错误";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            StringBuilder strSql1 = new StringBuilder();
            strSql1.Append("update [newsgroup]");
            strSql1.Append("set thename=?,theindex=?)");
            strSql1.Append(" values (");
            strSql1.Append("@thename,@theindex,@isimg)");
            OleDbParameter[] parameters1 = {
					new OleDbParameter("@thename", OleDbType.VarChar),
					new OleDbParameter("@theindex", OleDbType.Integer,4),
					new OleDbParameter("@isimg", OleDbType.Boolean)};
            parameters1[0].Value = txadname.Text;
            parameters1[1].Value = txsort.Text;
            parameters1[2].Value = txisimg.Checked;
            object obj = DbHelperOleDb.GetSingle(strSql1.ToString(), parameters1);
            init();
            Messageshow1.Msg = "资讯分类修改成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "资讯分类修改失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("articlecategores_manage.aspx");
    }
}