﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;
using System.Data;
using DBUtility;
using System.Text;
using System.Collections;

public partial class system_articlecategores_manage : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            bind();
        }
    }
    #region bind
    protected void bind()
    {
        try
        {
            Repeater1.DataSource = DbHelperOleDb.Query("select * from newsgroup order by theindex").Tables[0];
            Repeater1.DataBind();
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "加载文章分类数据失败";
            Messageshow1.Visible = true;
        }
    }
    #endregion



    protected void edit(object sender, EventArgs e)
    {
        int id;
        id = Convert.ToInt32(((Button)sender).CommandArgument);
        Response.Redirect("articlecategores_edit.aspx?id=" + id);
    }

    protected void addarticles(object sender, EventArgs e)
    {
        int id;
        id = Convert.ToInt32(((Button)sender).CommandArgument);
        Response.Redirect("articles_add.aspx?id=" + id);
    }

    protected void delete(object sender, EventArgs e)
    {
        try
        {
            int id;
            id = Convert.ToInt32(((Button)sender).CommandArgument);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from [newsgroup] ");
            strSql.Append(" where id=@id");
            OleDbParameter[] parameters = {
					new OleDbParameter("@id", OleDbType.Integer)
			};
            parameters[0].Value = id;
            int rows = DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                bind();
                Messageshow1.Infotype = "1";
                Messageshow1.Msg = "删除成功";
                Messageshow1.Visible = true;
            }
            else
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Msg = "删除失败";
                Messageshow1.Visible = true;
            }
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void txdel_Click(object sender, EventArgs e)
    {
        try
        {
            StringBuilder ids = new StringBuilder();
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                if (_checkbox.Checked)
                {
                    ids.Append(_checkbox.Text);
                    ids.Append(",");
                }
            }
            if (ids.Length > 0)
            {
                string idsstr = StringHelper.Removestrright(ids.ToString(), 1);
                StringBuilder strSql = new StringBuilder();
                strSql.Append("delete from [newsgroup] ");
                strSql.Append(" where id in (" + idsstr + ")  ");
                int rows = DbHelperOleDb.ExecuteSql(strSql.ToString());
                if (rows > 0)
                {
                    bind();
                    Messageshow1.Infotype = "1";
                    Messageshow1.Msg = "删除成功";
                    Messageshow1.Visible = true;
                }
                else
                {
                    Messageshow1.Infotype = "2";
                    Messageshow1.Msg = "删除失败!";
                    Messageshow1.Visible = true;
                }
            }
            else
            {
                Messageshow1.Infotype = "0";
                Messageshow1.Msg = "未选择任何数据!";
                Messageshow1.Visible = true;
            }
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            ArrayList sqllist = new ArrayList(Repeater1.Items.Count);
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                TextBox _sort = (TextBox)item.FindControl("sort");
                sqllist.Add("update [newsgroup] set theindex=" + _sort.Text + " where id=" + _checkbox.Text);
            }
            if (DBUtility.DbHelperOleDb.ExecuteSqlTran(sqllist))
            {
                bind();
                Messageshow1.Infotype = "1";
                Messageshow1.Msg = "执行刷新操作成功";
                Messageshow1.Visible = true;
            }
            else
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Msg = "执行刷新操作失败";
                Messageshow1.Visible = true;
            }
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "执行刷新操作失败";
            Messageshow1.Visible = true;
        }
    }
}