﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.UI.WebControls;
using IMMENSITY.SWFUploadAPI;
using System.IO;
using System.Runtime.Serialization.Json;
using System.Data.OleDb;
using System.Data;

public partial class system_articles_edit :RePage
{
    int id;
    void initid()
    {
        id = (int)Session["id"];
    }
    void init()
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("select * from [news] where news_id=?", con);
            cmd.Parameters.Add("news_id", id);
            con.Open();
            OleDbDataReader reader = cmd.ExecuteReader();
            string newsgroup = "";
            if (reader.HasRows)
            {
                reader.Read();
                txtitle.Text = reader["news_title"].ToString().Trim();
                txtime.Value = reader["AddedDate"].ToString();
                txseokey.Text = reader["Meta_Keywords"].ToString();
                txseodes.Text = reader["Meta_Description"].ToString();
                txdiscription.Text = reader["Description"].ToString();
                FCKeditor1.Text = reader["content"].ToString().Trim();
                newsgroup = reader["news_group"].ToString();
                picshow.Pics = reader["IconUrl"].ToString();                
            }
            reader.Close();
            con.Close();
            OleDbDataAdapter myda = new OleDbDataAdapter("select * from part order by lft", con);
            DataSet myset = new DataSet();
            con.Open();
            myda.Fill(myset);
            con.Close();
            txcategores.DataSource = myset.Tables[0];
            txcategores.DataTextField = "Name";
            txcategores.DataValueField = "CategoryId";
            txcategores.DataBind();
            txcategores.ClearSelection();
            for (int i = 0; i < txcategores.Items.Count; i++)
            {
                if (txcategores.Items[i].Value == newsgroup)
                {
                    txcategores.SelectedIndex = i;
                    break;
                }
            }
            DataSet ds = DBUtility.DbHelperOleDb.Query("select * from part where CategoryId=" + newsgroup);
            if (ds.Tables[0].Rows.Count > 0)
            {
                try
                {
                    picshow.Smallheight = Convert.ToInt32(ds.Tables[0].Rows[0]["picheight"].ToString());
                    picshow.Smallwidth = Convert.ToInt32(ds.Tables[0].Rows[0]["picwidth"].ToString());
                    isshow1.Text = ds.Tables[0].Rows[0]["picwidth"].ToString() + "*" + ds.Tables[0].Rows[0]["picheight"].ToString();
                }
                catch
                {
                    isshow.Text = "style='display:none'";
                }
            }
        }
        catch
        {
            Messageshow1.Msg = "数据加载失败，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    } 
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            initid();            
            if (!IsPostBack)
            {
                init();
            }
        }
        catch
        {
            Messageshow1.Msg = "调用参数错误，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("update [news] set news_group=?,news_title=?,Meta_Description=?,Meta_Keywords=?,IconUrl=?,Description=?,Content=?,AddedDate=? where news_id=?", con);
            cmd.Parameters.Add("news_group", Convert.ToInt32(txcategores.SelectedValue));
            cmd.Parameters.Add("news_title", txtitle.Text.Trim());
            cmd.Parameters.Add("Meta_Description", txseodes.Text.Trim());
            cmd.Parameters.Add("Meta_Keywords", txseokey.Text.Trim());
            cmd.Parameters.Add("IconUrl", picshow.Pics);
            cmd.Parameters.Add("Description", txdiscription.Text.Trim());
            cmd.Parameters.Add("Content", FCKeditor1.Text);
            cmd.Parameters.Add("AddedDate", Convert.ToDateTime(txtime.Value));
            cmd.Parameters.Add("news_id", id);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            init();
            Messageshow1.Msg = "文章发布成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "文章发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("articles_manage.aspx?id=" + Request.QueryString["id"]);
    }
}