﻿using DBUtility;
using System;
using System.Collections;
using System.Data;
using System.Data.OleDb;
using System.Text;
using System.Web.UI.WebControls;

public partial class ensystem_categores_manage : RePage
{
    #region 删除
    protected void delete(object sender, EventArgs e)
    {
        try
        {
            int id = Convert.ToInt32(((Button)sender).CommandArgument);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,IconUrl,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,sort,isshow,opflag from Categories ");
            strSql.Append(" where CategoryId=@CategoryId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@CategoryId", OleDbType.Integer,4)
			};
            parameters[0].Value = id;
            DataSet ds = DbHelperOleDb.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                DataTable dt = DbHelperOleDb.Query("select * from Products where Lft>=" + (int)ds.Tables[0].Rows[0]["lft"] + " and Rgt<=" + (int)ds.Tables[0].Rows[0]["Rgt"]).Tables[0];
                if (dt.Rows.Count > 0)
                {
                    StringBuilder iconurls = new StringBuilder();
                    foreach (DataRow dr in dt.Rows)
                    {
                        if (dr["IconUrl"].ToString().Length > 4)
                        {
                            iconurls.Append(dr["IconUrl"].ToString());
                            iconurls.Append("|");
                        }
                    }
                    if (iconurls.Length > 0)
                    {
                        string iconurlsstr = StringHelper.Removestrright(iconurls.ToString(), 1);
                        Picindex.DelPic(iconurlsstr, "/productimage/products/big/");
                        Picindex.DelPic(iconurlsstr, "/productimage/products/small/");
                    }
                }
                if (ds.Tables[0].Rows[0]["IconUrl"].ToString().Length > 0)
                {
                    Picindex.DelPic(ds.Tables[0].Rows[0]["IconUrl"].ToString(), "/productimage/categories/small/");
                }
                int curset = DbHelperOleDb.ExecuteSql(string.Concat(new object[] { "delete from Categories where Lft>=", (int)ds.Tables[0].Rows[0]["lft"], " and Rgt<=", (int)ds.Tables[0].Rows[0]["Rgt"] }));
                int? subnum = ((int)ds.Tables[0].Rows[0]["Rgt"] - (int)ds.Tables[0].Rows[0]["lft"]) + 1;
                DbHelperOleDb.ExecuteSql(string.Concat(new object[] { "update Categories set Lft=Lft-", subnum, " where Lft>", (int)ds.Tables[0].Rows[0]["lft"] }));
                DbHelperOleDb.ExecuteSql(string.Concat(new object[] { "update Categories set Rgt=Rgt-", subnum, " where Rgt>", (int)ds.Tables[0].Rows[0]["Rgt"] }));
                init();
            }
            Messageshow1.Msg = "删除成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "删除失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    #endregion
    #region 修改
    protected void edit(object sender, EventArgs e)
    {
        int id = Convert.ToInt32(((Button)sender).CommandArgument);
        Session["id"] = id;
        Response.Redirect("categores_edit.aspx");
    }
    #endregion
    #region 绑定
    private void init()
    {
        Repeater1.DataSource = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,IconUrl,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,sort,isshow,opflag FROM Categories where 1=1 order by isshow,Lft");
        Repeater1.DataBind();
    }
    #endregion
    #region 刷新排序
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        //try
        //{
            ArrayList sqllist = new ArrayList(Repeater1.Items.Count);
            foreach (RepeaterItem item in Repeater1.Items)
            {
                Button _botton = (Button)item.FindControl("Button3");
                TextBox _sort = (TextBox)item.FindControl("sort");
                sqllist.Add("update Categories set sort=" + _sort.Text + " where CategoryId=" + _botton.CommandArgument);
            }
            if (DBUtility.DbHelperOleDb.ExecuteSqlTran(sqllist))
            {
                if (new Categories().process())
                {
                    init();
                    Messageshow1.Infotype = "1";
                    Messageshow1.Msg = "执行刷新操作成功";
                    Messageshow1.Visible = true;
                }
                else
                {
                    Messageshow1.Infotype = "2";
                    Messageshow1.Msg = "执行刷新操作失败";
                    Messageshow1.Visible = true;
                }
            }
            else
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Msg = "执行刷新操作失败";
                Messageshow1.Visible = true;
            }
        //}
        //catch
        //{
        //    Messageshow1.Infotype = "2";
        //    Messageshow1.Msg = "系统错误";
        //    Messageshow1.Visible = true;
        //}
    }
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            init();
        }
    }
}