﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.OleDb;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class system_downloads_add : RePage
{
    #region 初始化资料类型
    void initarticlecategores()
    {
        DataSet myset = DBUtility.DbHelperOleDb.Query("select * from part order by lft");
        txcategores.DataSource = myset.Tables[0];
        txcategores.DataTextField = "Name";
        txcategores.DataValueField = "CategoryId";
        txcategores.DataBind();
        if (Request.QueryString["id"] != null)
        {
            txcategores.ClearSelection();
            for (int i = 0; i < txcategores.Items.Count; i++)
            {
                if (txcategores.Items[i].Value.Trim() == Request.QueryString["id"])
                {
                    txcategores.SelectedIndex = i;
                    break;
                }
            }
        }
    }
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            initarticlecategores();
        }

    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("insert into Downloads (CategoryId,Title,Meta_Description,Meta_Keywords,AddedDate,InfoFilename,Description,Content) values (?,?,?,?,?,?,?,?)", con);
            cmd.Parameters.Add("CategoryId", Convert.ToInt32(txcategores.SelectedValue));
            cmd.Parameters.Add("Title", txtTitle.Text.Trim());
            cmd.Parameters.Add("Meta_Description", txseodes.Text.Trim());
            cmd.Parameters.Add("Meta_Keywords", txseokey.Text.Trim());
            cmd.Parameters.Add("AddedDate", Convert.ToDateTime(txtAddedDate.Value));
            cmd.Parameters.Add("InfoFilename", fileshow1.Pics);
            cmd.Parameters.Add("Description", txdiscription.Text.Trim());
            cmd.Parameters.Add("content", FCKeditor1.Value);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            Messageshow1.Msg = "资料发布成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
            MsShop.Common.Js.ConfirmAndRedirect("添加成功，是否继续?", "downloads_add.aspx?id=" + Request.QueryString["id"] + "", "downloads_manage.aspx?id=" + Request.QueryString["id"] + "", Page);
        }
        catch
        {
            Messageshow1.Msg = "资料发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("downloads_manage.aspx?id=" + Request.QueryString["id"]);
    }
}