﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.OleDb;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class system_downloads_edit : RePage
{
    int id;
    void initid()
    {
        id = (int)Session["id"];
    }
    void init()
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("select * from [Downloads] where DownloadId=?", con);
            cmd.Parameters.Add("DownloadId", id);
            con.Open();
            OleDbDataReader reader = cmd.ExecuteReader();
            string newsgroup = "";
            if (reader.HasRows)
            {
                reader.Read();
                txtitle.Text = reader["Title"].ToString().Trim();
                txtime.Value = string.Format("{0:yyyy-MM-dd}", reader["AddedDate"]);
                txseokey.Text = reader["Meta_Keywords"].ToString();
                txseodes.Text = reader["Meta_Description"].ToString();
                txdiscription.Text = reader["Description"].ToString();
                FCKeditor1.Value = reader["content"].ToString().Trim();
                newsgroup = reader["CategoryId"].ToString();
                fileshow1.Pics = reader["InfoFilename"].ToString();                
            }
            reader.Close();
            con.Close();
            OleDbDataAdapter myda = new OleDbDataAdapter("select * from part order by lft", con);
            DataSet myset = new DataSet();
            con.Open();
            myda.Fill(myset);
            con.Close();
            txcategores.DataSource = myset.Tables[0];
            txcategores.DataTextField = "Name";
            txcategores.DataValueField = "CategoryId";
            txcategores.DataBind();
            txcategores.ClearSelection();
            for (int i = 0; i < txcategores.Items.Count; i++)
            {
                if (txcategores.Items[i].Value == newsgroup)
                {
                    txcategores.SelectedIndex = i;
                    break;
                }
            }
        }
        catch
        {
            Messageshow1.Msg = "数据加载失败，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }  
    
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            initid();
            if (!IsPostBack)
            {
                init();
            }
        }
        catch
        {
            Messageshow1.Msg = "调用参数错误，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("update [Downloads] set CategoryId=?,Title=?,Meta_Description=?,Meta_Keywords=?,InfoFilename=?,Description=?,Content=?,AddedDate=? where DownloadId=?", con);
            cmd.Parameters.Add("CategoryId", Convert.ToInt32(txcategores.SelectedValue));
            cmd.Parameters.Add("Title", txtitle.Text.Trim());
            cmd.Parameters.Add("Meta_Description", txseodes.Text.Trim());
            cmd.Parameters.Add("Meta_Keywords", txseokey.Text.Trim());
            cmd.Parameters.Add("InfoFilename", fileshow1.Pics);
            cmd.Parameters.Add("Description", txdiscription.Text.Trim());
            cmd.Parameters.Add("Content", FCKeditor1.Value);
            cmd.Parameters.Add("AddedDate", Convert.ToDateTime(txtime.Value));
            cmd.Parameters.Add("DownloadId", id);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            init();
            Messageshow1.Msg = "资料发布成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "资料发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("downloads_manage.aspx?id=" + Request.QueryString["id"]);
    }
}