﻿using System;
using System.Web.UI.WebControls;
using System.Text;
using System.Data;
using DBUtility;
using System.Collections.Generic;
using System.Linq;
using System.Collections;
using System.Web.UI;

public partial class downloads_selector : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            try
            {
                init();
                search(CategoriesDrop1.SelectedValue.Trim(), txtitle.Text.Trim());
            }
            catch
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Msg = "数据加载失败";
                Messageshow1.Visible = true;
            }
        }
    }
    #region init
    void init()
    {
        Loaddata();
    }
    #endregion
    #region search
    void search(string categores, string title)
    {
        StringBuilder strwhere = new StringBuilder("1=1");
        if (!string.IsNullOrEmpty(categores))
        {
            if (!categores.Trim().Equals("0"))
                strwhere.Append(" and b.CategoryId=" + categores);
        }
        if (!string.IsNullOrEmpty(title))
        {
            strwhere.Append(" and b.Title like \"%" + title + "%\"");
        }
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select count(1) FROM Downloads b");
        if (strwhere.ToString().Trim() != "")
        {
            strSql.Append(" where " + strwhere);
        }
        object obj = DbHelperOleDb.GetSingle(strSql.ToString());
        if (obj == null)
        {
            thepager.RecordCount = 0;
        }
        else
        {
            thepager.RecordCount = Convert.ToInt32(obj);
        }
        if (Session["curpage"] != null)
        {
            thepager.CurrentPageIndex = (int)Session["curpage"];
            Session.Remove("curpage");
        }
        if (thepager.CurrentPageIndex == 1)
        {
            Repeater1.DataSource = DbHelperOleDb.Query(string.Format("select top {0} a.Name as CName,b.* from part a,downloads b where {1} and a.CategoryId=b.CategoryId order by {2} ", thepager.PageSize, strwhere, "b.AddedDate desc,b.DownloadId desc"));
        }
        else
        {
            Repeater1.DataSource = DbHelperOleDb.Query(string.Format("select top {0} a.Name as CName,b.* from part a,downloads b where {1} and a.CategoryId=b.CategoryId and b.DownloadId not in (select top  {3} DownloadId from Downloads b where {1}  order by {2} )  order by {2} ", thepager.PageSize, strwhere, "b.AddedDate desc,b.DownloadId desc", thepager.PageSize * (thepager.CurrentPageIndex - 1)));
        }
        Repeater1.DataBind();
    }
    #endregion
    #region 类别管理
    public void Loaddata()
    {
        if (!Page.IsPostBack)
        {
            DataSet categores = DbHelperOleDb.Query("select * from Part where linkurl='download.aspx' order by Lft");
            ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
            CategoriesDrop1.Items.Add(topitem);
            foreach (DataRow c2 in categores.Tables[0].Rows)
            {
                ListItem item = new ListItem();
                StringBuilder blank = new StringBuilder();
                item.Text = c2["Name"].ToString().Trim();
                item.Value = c2["CategoryId"].ToString();
                CategoriesDrop1.Items.Add(item);
            }
        }
    }
    #endregion
    protected void searchbut_Click(object sender, EventArgs e)
    {
        search(CategoriesDrop1.SelectedValue.Trim(), txtitle.Text.Trim());
    }

    protected void thepager_PageChanged(object sender, EventArgs e)
    {
        search(CategoriesDrop1.SelectedValue.Trim(), txtitle.Text.Trim());
    }
    protected string isok(string ProductId)
    {
        if (Session["relatedDownloads"] != null)
        {
            string ids = Picindex.CreateStr((List<picindex>)Session["relatedDownloads"]);
            string[] did = ids.Split('|');
            bool IsExist = false;
            for (int i = 0; i < did.Length; i++)
            {
                if (did[i].ToString() == ProductId)
                {
                    IsExist = true;
                    break;
                }
            }
            if (IsExist)
            {
                return "已选定";
            }
            else
            {
                return "";
            }
        }
        else
        {
            return "";
        }
    }
    protected void Button4_Click(object sender, EventArgs e)
    {
        List<picindex> oldvalue = (List<picindex>)Session["relatedDownloads"];
        StringBuilder profilestr = new StringBuilder();
        foreach (picindex _item in oldvalue)
        {
            profilestr.Append(_item.Picname + "|");
        }
        foreach (RepeaterItem item in Repeater1.Items)
        {
            CheckBox _ckbox = (CheckBox)item.FindControl("CheckBox1");
            if (_ckbox.Checked)
            {

                profilestr.Append(_ckbox.Text + "|");
            }
        }
        string value = StringHelper.Removestrright(profilestr.ToString(), 1);
        string[] result = value.Split('|').Distinct<string>().ToArray();
        StringBuilder newprofilestr = new StringBuilder();
        foreach (string item in result)
        {
            newprofilestr.Append(item + "|");
        }
        value = StringHelper.Removestrright(newprofilestr.ToString(), 1);
        Session["relatedDownloads"] = Picindex.CreateIndex(value);
        Session["relatedDownloadsflag"] = 1;
        Messageshow1.Msg = "标记成功您可以继续或返回!";
        Messageshow1.Infotype = "1";
        Messageshow1.Visible = true;
    }
}
