﻿using System;
using System.Web.UI;
using System.Data.OleDb;

public partial class system_edithr : RePage
{
    #region  调用初始化
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            init();
        }
    }
    #endregion
    #region  初始化
    protected void init()
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("select * from hrinfo where id=?", con);
        cmd.Parameters.Add("id", Convert.ToInt32(Session["wkid"].ToString()));
        con.Open();
        OleDbDataReader reader=cmd.ExecuteReader();
        if(reader.HasRows)
        {
            reader.Read();
            TextBox1.Text = reader["jobname"].ToString().Trim();
            TextBox2.Text = reader["jobleixin"].ToString().Trim();
            TextBox3.Text = reader["jobaddr"].ToString().Trim();
            TextBox4.Text = reader["zhaopingnum"].ToString().Trim();
            TextBox5.Text = reader["xueli"].ToString().Trim();
            TextBox6.Text = reader["age"].ToString().Trim();
            TextBox7.Text = reader["sex"].ToString().Trim();
            TextBox8.Text = reader["jingyan"].ToString().Trim();
            TextBox9.Text = reader["daiyu"].ToString().Trim();
            TextBox10.Text = reader["gangwei"].ToString().Trim();
            TextBox11.Text = reader["other"].ToString().Trim();
            Text12.Value = reader["starttime"].ToString().Trim();
            Text13.Value = reader["endtime"].ToString().Trim();
            mianshiyaoqiou.Value = reader["mianshiyaoqiou"].ToString().Trim();
        }
        reader.Close();
        con.Close();
    }
    #endregion
    #region 修改招聘信息
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("update hrinfo set jobname=?,jobleixin=?,jobaddr=?,zhaopingnum=?,xueli=?,age=?,sex=?,jingyan=?,daiyu=?,gangwei=?,other=?,starttime=?,endtime=?,mianshiyaoqiou=? where id=?", con);
        cmd.Parameters.Add("jobname", TextBox1.Text);
        cmd.Parameters.Add("jobleixin", TextBox2.Text);
        cmd.Parameters.Add("jobaddr", TextBox3.Text);
        cmd.Parameters.Add("zhaopingnum", TextBox4.Text);
        cmd.Parameters.Add("xueli", TextBox5.Text);
        cmd.Parameters.Add("age", TextBox6.Text);
        cmd.Parameters.Add("sex", TextBox7.Text);
        cmd.Parameters.Add("jingyan", TextBox8.Text);
        cmd.Parameters.Add("daiyu", TextBox9.Text);
        cmd.Parameters.Add("gangwei", TextBox10.Text);
        cmd.Parameters.Add("other", TextBox11.Text);
        cmd.Parameters.Add("starttime", Text12.Value);
        cmd.Parameters.Add("endtime", Text13.Value);
        cmd.Parameters.Add("mianshiyaoqiou", mianshiyaoqiou.Value);
        cmd.Parameters.Add("id", Convert.ToInt32(Session["wkid"].ToString()));
        con.Open();
        cmd.ExecuteNonQuery();
        con.Close();
        js.Text = "<script src=\"js/jquery.js\" type=\"text/javascript\"></script><script type=\"text/javascript\">$(function(){$(\"#msgx\").fadeIn(100); $(\"#msgx\").fadeOut(3000);});</script>";

    }
    #endregion

    protected void LinkButton2_Click(object sender, EventArgs e)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("delete from hrinfo where id=?", con);
        cmd.Parameters.Add("id", Convert.ToInt32(Session["wkid"].ToString()));
        con.Open();
        cmd.ExecuteNonQuery();
        con.Close();
        Response.Redirect("jobmanage.aspx?curpage="+Request.QueryString["curpage"]);
    }
    protected void LinkButton3_Click(object sender, EventArgs e)
    {
        Response.Redirect("jobmanage.aspx?curpage=" + Request.QueryString["curpage"]);
    }
}