﻿using System;
using System.Web.UI.WebControls;
using System.Text;
using System.Collections;
using DBUtility;
using System.Data.OleDb;


public partial class faq_manage : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            bind();
        }
    }

    #region bind
    protected void bind()
    {
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select *");
        strSql.Append(" FROM FAQ ");
        strSql.Append(" where 1=1 order by sort");
        Repeater1.DataSource = DbHelperOleDb.Query(strSql.ToString()).Tables[0];
        Repeater1.DataBind();
    }
    #endregion

    protected void editformat(object sender, EventArgs e)
    {
        Session["id"] = Convert.ToInt32(((Button)sender).CommandArgument);
        Response.Redirect("faq_edit.aspx");
    }

    protected void deloneformat(object sender, EventArgs e)
    {
        int id = Convert.ToInt32(((Button)sender).CommandArgument);
        StringBuilder strSql = new StringBuilder();
        strSql.Append("delete from faq ");
        strSql.Append(" where Id=@Id");
        OleDbParameter[] parameters = {
					new OleDbParameter("@Id", OleDbType.Integer)
			};
        parameters[0].Value = id;

        int rows = DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
        if (rows > 0)
        {
            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "删除成功";
            Messageshow1.Visible = true;
            bind();
        }
        else
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void txdel_Click(object sender, EventArgs e)
    {
        try
        {
            StringBuilder ids = new StringBuilder();
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                if (_checkbox.Checked)
                {
                    ids.Append(_checkbox.Text);
                    ids.Append(",");
                }
            }
            if (ids.Length > 0)
            {
                string idsstr = StringHelper.Removestrright(ids.ToString(), 1);
                StringBuilder strSql = new StringBuilder();
                strSql.Append("delete from faq ");
                strSql.Append(" where Id in (" + idsstr + ")  ");
                int rows = DbHelperOleDb.ExecuteSql(strSql.ToString());
                if (rows > 0)
                {
                    Messageshow1.Infotype = "1";
                    Messageshow1.Msg = "删除成功";
                    Messageshow1.Visible = true;
                    bind();
                }
                else
                {
                    Messageshow1.Infotype = "2";
                    Messageshow1.Msg = "删除失败";
                    Messageshow1.Visible = true;
                }
            }
            else
            {
                Messageshow1.Infotype = "0";
                Messageshow1.Msg = "未选择任何内容!";
                Messageshow1.Visible = true;
            }

        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            ArrayList sqllist = new ArrayList(Repeater1.Items.Count);
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                TextBox _sort = (TextBox)item.FindControl("sort");
                sqllist.Add("update faq set sort=" + _sort.Text + " where Id=" + _checkbox.Text);
            }
            if (DbHelperOleDb.ExecuteSqlTran(sqllist))
            {
                bind();
                Messageshow1.Infotype = "1";
                Messageshow1.Msg = "执行刷新操作成功";
                Messageshow1.Visible = true;
            }
            else
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Msg = "执行刷新操作失败";
                Messageshow1.Visible = true;
            }
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "系统错误";
            Messageshow1.Visible = true;
        }
    }
}
