﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.OleDb;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class system_feedback_detail : RePage
{
    int id;
    void initid()
    {
        id = (int)Session["id"];
    }
    void init()
    {
        //try
        //{
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("select * from [feedback] where id=?", con);
        cmd.Parameters.Add("id", id);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        string newsgroup = "";
        if (reader.HasRows)
        {
            reader.Read();
            txname.Text = reader["name"].ToString();
            txintime.Text = reader["intime"].ToString();
            txaddress.Text = reader["address"].ToString();
            txisshow.Checked = Convert.ToBoolean(reader["isshow"]);
            txtel.Text = reader["tel"].ToString();
            txarea.Text = reader["area"].ToString();
            newsgroup = reader["CategoryId"].ToString();
            txtopic.Text = reader["topic"].ToString();
            txreparea.Text = reader["reparea"].ToString();
        }
        reader.Close();
        con.Close();
        OleDbDataAdapter myda = new OleDbDataAdapter("select * from part where LinkUrl='feedback.aspx' order by lft", con);
        DataSet myset = new DataSet();
        con.Open();
        myda.Fill(myset);
        con.Close();
        txcategores.DataSource = myset.Tables[0];
        txcategores.DataTextField = "Name";
        txcategores.DataValueField = "CategoryId";
        txcategores.DataBind();
        txcategores.ClearSelection();
        for (int i = 0; i < txcategores.Items.Count; i++)
        {
            if (txcategores.Items[i].Value == newsgroup)
            {
                txcategores.SelectedIndex = i;
                break;
            }
        }
        DBUtility.DbHelperOleDb.ExecuteSql("update feedback set isnew=false where id="+id);
        //}
        //catch
        //{
        //    Messageshow1.Msg = "数据加载失败，请不要执行修改操作";
        //    Messageshow1.Infotype = "2";
        //    Messageshow1.Visible = true;
        //}
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        //try
        //{
        initid();
        if (!IsPostBack)
        {
            init();
        }
        //}
        //catch
        //{
        //    Messageshow1.Msg = "调用参数错误，请不要执行修改操作";
        //    Messageshow1.Infotype = "2";
        //    Messageshow1.Visible = true;
        //}
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("update [feedback] set isshow=?,reparea=?,reptime=? where id=?", con);
            cmd.Parameters.Add("isshow", txisshow.Checked);
            cmd.Parameters.Add("reparea", txreparea.Text.Trim());
            cmd.Parameters.Add("reptime", DateTime.Now.ToString());
            cmd.Parameters.Add("id", id);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            init();
            Messageshow1.Msg = "资料发布成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "资料发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("feedback_manage.aspx?id=" + Request.QueryString["id"]);
    }
}