﻿using System;
using System.Web.UI.WebControls;
using System.Data.OleDb;

public partial class system_honortype_manage : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            bind();
        }
    }
    #region bind
    protected void bind()
    {
        try
        {
            Repeater1.DataSource = DBUtility.DbHelperOleDb.Query("select * from honortype order by theindex").Tables[0];
            Repeater1.DataBind();
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "加载荣誉证书分类数据失败";
            Messageshow1.Visible = true;
        }
    }
    #endregion



    protected void edit(object sender, EventArgs e)
    {
        int id;
        id = Convert.ToInt32(((Button)sender).CommandArgument);
        Response.Redirect("honortype_edit.aspx?id=" + id);
    }

    protected void addarticles(object sender, EventArgs e)
    {
        int id;
        id = Convert.ToInt32(((Button)sender).CommandArgument);
        Response.Redirect("honor_add.aspx?id=" + id);
    }

    protected void delete(object sender, EventArgs e)
    {
        try
        {
            int id;
            id = Convert.ToInt32(((Button)sender).CommandArgument);
            DBUtility.DbHelperOleDb.ExecuteSql("delete from [honortype] where id=" + id);
            bind();
            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "删除成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void txdel_Click(object sender, EventArgs e)
    {
        try
        {
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                if (_checkbox.Checked)
                {
                    int id;
                    id = Convert.ToInt32(_checkbox.Text);
                    DBUtility.DbHelperOleDb.ExecuteSql("delete from [honortype] where id=" + id);
                }
            }
            bind();
            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "删除成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                TextBox _sort = (TextBox)item.FindControl("sort");
                int id;
                id = Convert.ToInt32(_checkbox.Text);
                DBUtility.DbHelperOleDb.ExecuteSql("update [honortype] set theindex=" + Convert.ToInt32(_sort.Text) + "  where id=" + id);
            }
            bind();
            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "执行刷新操作成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "执行刷新操作失败";
            Messageshow1.Visible = true;
        }
    }
}