﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using IMMENSITY.SWFUploadAPI;
using System.Runtime.Serialization.Json;
using System.Data.OleDb;
using System.Data;
using System.IO;

public partial class system_link_add : RePage
{
    #region 初始化文章类型
    void initcategores()
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbDataAdapter myda = new OleDbDataAdapter("select * from linktype order by theindex", con);
        DataSet myset = new DataSet();
        con.Open();
        myda.Fill(myset);
        con.Close();
        txcategores.DataSource = myset.Tables[0];
        txcategores.DataTextField = "thename";
        txcategores.DataValueField = "id";
        txcategores.DataBind();
        if (Request.QueryString["id"] != null)
        {
            txcategores.ClearSelection();
            for (int i = 0; i < txcategores.Items.Count; i++)
            {
                if (txcategores.Items[i].Value.Trim() == Request.QueryString["id"])
                {
                    txcategores.SelectedIndex = i;
                    break;
                }
            }

        }
    }
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        ViewState["newspic"] = "noimage.gif";
        initcategores();
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("insert into link (type,bigpic,thetitle,thepage,theindex) values (?,?,?,?,?)", con);
            cmd.Parameters.Add("type", Convert.ToInt32(txcategores.SelectedValue));
            cmd.Parameters.Add("bigpic", (string)ViewState["newspic"]);
            cmd.Parameters.Add("thetitle", txtitle.Text.Trim());
            cmd.Parameters.Add("thepage", txlink.Text.Trim());
            cmd.Parameters.Add("theindex", txsort.Text.Trim());
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            Messageshow1.Msg = "友情链接发布成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "友情链接发布失败，请按要求填写，图片必须上传";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("link_manage.aspx");
    }

    protected void Button3_Click(object sender, EventArgs e)
    {
        Response.Redirect("linktype_manage.aspx");
    }
    protected void Button4_Click(object sender, EventArgs e)
    {
        FileUpload up = FileUpload1;
        string uptype = "image/x-pngimage/pjpegimage/gifimage/bmpimage/jpeg";
        string savepath = "../productimage/adpic/";
        string picwidth = "100";
        string picheight = "50";
        string filename = StringHelper.createbianhao();
        if (up.FileName.Equals(""))
            Response.Write("<script language='javascript'>alert('选择要上传的文件');</script>");
        else
        {
            if (!uptype.Equals(""))
            {
                uptype = uptype.ToUpper();
                if (uptype.Contains(up.PostedFile.ContentType.ToUpper()))
                {
                    if (!savepath.Equals(""))
                    {
                        string tempfilename = up.FileName;
                        tempfilename = tempfilename.Substring(tempfilename.LastIndexOf("."), tempfilename.Length - tempfilename.LastIndexOf("."));
                        filename = filename + tempfilename;
                        string adpicpath = Server.MapPath(savepath) + filename;
                        smallpic.MakeThumbnail(up.FileContent, adpicpath, Convert.ToInt32(picwidth), Convert.ToInt32(picheight), "DB", tempfilename.Replace(".", "").ToUpper(), true);
                        ViewState["newspic"] = filename;
                        thepic.Text = "<img src='" + savepath + filename + "' style='height:40px;'/>";
                    }
                    else
                    {
                        Messageshow1.Msg = "友情链接路径未知";
                        Messageshow1.Infotype = "2";
                        Messageshow1.Visible = true;
                    }
                }
                else
                {
                    Messageshow1.Msg = "友情链接类型错误";
                    Messageshow1.Infotype = "2";
                    Messageshow1.Visible = true;
                }
            }
            else
            {
                Messageshow1.Msg = "请上传图片格式的文件";
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
            }
        }
    }
}
