﻿using System;
using System.Web.UI.WebControls;
using System.Data.OleDb;
using System.Data;

public partial class system_link_edit : RePage
{
    int id;
    void initid()
    {
        id = (int)Session["id"];
    }
    void init()
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("select * from [link] where id=?", con);
            cmd.Parameters.Add("id", id);
            con.Open();
            OleDbDataReader reader = cmd.ExecuteReader();
            string linktype = "";
            if (reader.HasRows)
            {
                reader.Read();
                thepic.Text = "<img src='../productimage/adpic/" + reader["bigpic"].ToString() + "' height='40px' />";
                ViewState["adpic"] = reader["bigpic"].ToString();
                txtitle.Text = reader["thetitle"].ToString();
                txlink.Text = reader["thepage"].ToString();
                txsort.Text = reader["theindex"].ToString();
                linktype = reader["type"].ToString();
                reader.Close();
            }
            con.Close();
            OleDbDataAdapter myda = new OleDbDataAdapter("select * from linktype order by theindex", con);
            DataSet myset = new DataSet();
            con.Open();
            myda.Fill(myset);
            con.Close();
            txcategores.DataSource = myset.Tables[0];
            txcategores.DataTextField = "thename";
            txcategores.DataValueField = "id";
            txcategores.DataBind();
            txcategores.ClearSelection();
            for (int i = 0; i < txcategores.Items.Count; i++)
            {
                if (txcategores.Items[i].Value == linktype)
                {
                    txcategores.SelectedIndex = i;
                    break;
                }
            }


        }
        catch
        {
            Messageshow1.Msg = "数据加载失败，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    
    
    
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            initid();
            if (!IsPostBack)
            {
                init();
            }
        }
        catch
        {
            Messageshow1.Msg = "调用参数错误，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("update link set thetitle=?,thepage=?,bigpic=?,type=?,theindex=? where id=?", con);
            cmd.Parameters.Add("thetitle", txtitle.Text);
            cmd.Parameters.Add("thepage", txlink.Text);
            cmd.Parameters.Add("bigpic", (string)ViewState["adpic"]);
            cmd.Parameters.Add("type", Convert.ToInt32(txcategores.SelectedValue));
            cmd.Parameters.Add("theindex", txsort.Text);
            cmd.Parameters.Add("id", id);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            init();
            Messageshow1.Msg = "友情链接发布成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "友情链接发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("link_manage.aspx");
    }
    protected void Button4_Click(object sender, EventArgs e)
    {
        FileUpload up = FileUpload1;
        string uptype = "image/x-pngimage/pjpegimage/gifimage/bmpimage/jpeg";
        string savepath = "../productimage/adpic/";
        string picwidth = "100";
        string picheight = "50";
        string filename = StringHelper.createbianhao();
        if (up.FileName.Equals(""))
            Response.Write("<script language='javascript'>alert('选择要上传的文件');</script>");
        else
        {
            if (!uptype.Equals(""))
            {
                uptype = uptype.ToUpper();
                if (uptype.Contains(up.PostedFile.ContentType.ToUpper()))
                {
                    if (!savepath.Equals(""))
                    {
                        string tempfilename = up.FileName;
                        tempfilename = tempfilename.Substring(tempfilename.LastIndexOf("."), tempfilename.Length - tempfilename.LastIndexOf("."));
                        filename = filename + tempfilename;
                        string adpicpath = Server.MapPath(savepath) + filename;
                        smallpic.MakeThumbnail(up.FileContent, adpicpath, Convert.ToInt32(picwidth), Convert.ToInt32(picheight), "DB", tempfilename.Replace(".", "").ToUpper(), true);
                        ViewState["adpic"] = filename;
                        thepic.Text = "<img src='" + savepath + filename + "' style='height:40px;'/>";
                    }
                    else
                    {
                        Messageshow1.Msg = "友情链接路径未知";
                        Messageshow1.Infotype = "2";
                        Messageshow1.Visible = true;
                    }
                }
                else
                {
                    Messageshow1.Msg = "友情链接类型错误";
                    Messageshow1.Infotype = "2";
                    Messageshow1.Visible = true;
                }
            }
            else
            {
                Messageshow1.Msg = "请上传图片格式的文件";
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
            }
        }
    }
}