﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;
using System.Data;

public partial class system_link_manage : RePage
{
    #region
    public string altpicpath(object picname)
    {
        string _picname = (string)picname;
        if (!string.IsNullOrEmpty(_picname))
        {

            return "<img src='../productimage/adpic/" + _picname + "' height='30'/>";
        }
        else
        {
            return "－";
        }
    }
    #endregion
    void editinit(int eid)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("select * from [link] where id=?", con);
            cmd.Parameters.Add("id", eid);
            con.Open();
            OleDbDataReader reader = cmd.ExecuteReader();
            if (reader.HasRows)
            {
                reader.Read();
                thepic.Text = "<img src='../productimage/adpic/" + reader["bigpic"].ToString() + "' height='+60px' />";
                ViewState["adpic"] = reader["bigpic"].ToString();
                txtitle1.Text = reader["thetitle"].ToString();
                txlink.Text = reader["thepage"].ToString();
                txsort.Text = reader["theindex"].ToString();
                reader.Close();
            }
            con.Close(); 
        }
        catch
        {
            Messageshow1.Msg = "数据加载失败，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    void addinit()
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("select max(theindex) as cnt from [link] ", con);
            con.Open();
            string k="";
            OleDbDataReader reader = cmd.ExecuteReader();
            if (reader.HasRows)
            {
                reader.Read();                
                k= reader["cnt"].ToString();
                reader.Close();
            }
            con.Close();
            int i = 0;
            if (!string.IsNullOrEmpty(k)) 
            {
              i= Convert.ToInt32(k);
            }
            txsort.Text=(i+1).ToString();
            thepic.Text = "";
            ViewState["adpic"] = "noimage.gif";
            txtitle1.Text = "";
            txlink.Text = "http://";
        }
        catch
        {
            Messageshow1.Msg = "数据加载失败，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {  
        if (!IsPostBack)
        {
            try
            {
             if (Session["e_id"] != null)
             {
                editinit((int)Session["e_id"]);
             }
            init();
            if (Session["curpage"] == null)
                search(txcategores.SelectedValue.Trim(), txtitle.Text.Trim(), 1, thepager.PageSize);
            else
                search(txcategores.SelectedValue.Trim(), txtitle.Text.Trim(), (int)Session["curpage"], thepager.PageSize);
            }
            catch
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Msg = "数据加载失败";
                Messageshow1.Visible = true;
            }
            //if (Request.QueryString["type"] == "1")
            //{
                show.Text = "style='display:none;'";
            //}
        }
    }
    #region init
    void init()
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbDataAdapter myda = new OleDbDataAdapter("select * from linktype order by theindex", con);
        DataSet myset = new DataSet();
        con.Open();
        myda.Fill(myset);
        con.Close();
        txcategores.DataSource = myset.Tables[0];
        txcategores.DataTextField = "thename";
        txcategores.DataValueField = "id";
        txcategores.DataBind();
        txcategores.ClearSelection();
        string linktype="";
        
        if (Request.QueryString["type"] != null)
        {
            txcategores.SelectedIndex = Convert.ToInt32(Request.QueryString["type"]);
            linktype = Request.QueryString["type"];
        }
        for (int i = 0; i < txcategores.Items.Count; i++)
        {
            if (txcategores.Items[i].Value == linktype)
            {
                txcategores.SelectedIndex = i;
                break;
            }
        }
        if (Session["txtitle"] != null)
        {
            txtitle.Text = (string)Session["txtitle"];
            Session.Remove("txtitle");
        }
    }
    #endregion
    #region search
    void search(string categores, string title, int curpage, int pagesize)
    {
        if (Session["e_id"] != null)
        {
            Button6.Visible = true;
            Button1.Visible = false;
            _edit.Visible = true;
            _add.Visible = false;
        }
        else
        {
            addinit();
            Button1.Visible = true;
            Button6.Visible = false;
            _edit.Visible = false;
            _add.Visible = true;
        }
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand();
        cmd.Connection = con;
        con.Open();
        string strWhere = "";       
        if (!string.IsNullOrEmpty(categores))
        {
            if (!categores.Trim().Equals("-1"))
                strWhere += " and type = " + Convert.ToInt32(categores) + "";
        }
        if (!string.IsNullOrEmpty(title))
        {
            strWhere += " and thetitle like '%" + title + "%'";
        }

        cmd.CommandText = "select count(id)  as cnt from link where id <> 0 " + strWhere + "";
        OleDbDataReader reader = cmd.ExecuteReader();
        reader.Read();
        thepager.RecordCount = Convert.ToInt32(reader["cnt"].ToString());
        reader.Close();
        con.Close();
        if (Session["curpage"] != null)
        {
            thepager.CurrentPageIndex = (int)Session["curpage"];
            Session.Remove("curpage");
        }
        OleDbDataAdapter myda = new OleDbDataAdapter();
        if (curpage == 1)
        {
            cmd.CommandText = "select top " + pagesize + " * from link where id <> 0 " + strWhere + "  order by theindex";
        }
        else
        {
            cmd.CommandText = "select top " + pagesize + " * from link where( id <> 0 " + strWhere + " and id not in (select top " + pagesize * (curpage - 1) + " id from link where id <> 0 " + strWhere + " order by theindex)) order by theindex ";
        }
        myda.SelectCommand = cmd;
        DataSet ds = new DataSet();
        con.Open();
        myda.Fill(ds);
        con.Close();
        Repeater1.DataSource = ds.Tables[0];
        Repeater1.DataBind();
    }
    #endregion

    protected void edit(object sender, EventArgs e)
    {
        int id;
        id = Convert.ToInt32(((Button)sender).CommandArgument);
        Session["e_id"] = Convert.ToInt32(((Button)sender).CommandArgument);
        Session["txcategoresindex"] = txcategores.SelectedIndex;
        Session["txtitle"] = txtitle.Text;
        Session["curpage"] = thepager.CurrentPageIndex;
        Response.Redirect("link_manage.aspx?type="+Request.QueryString["type"]);
    }

    protected void delete(object sender, EventArgs e)
    {
        try
        {
            if (Session["e_id"] != null)
            {
                Session.Remove("e_id");
            }
            int id;
            id = Convert.ToInt32(((Button)sender).CommandArgument);
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("delete from [link] where id=?", con);
            cmd.Parameters.Add("id", id);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            search(txcategores.SelectedValue.Trim(), txtitle.Text.Trim(), thepager.CurrentPageIndex, thepager.PageSize);

            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "删除成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void txdel_Click(object sender, EventArgs e)
    {
        try
        {
            if (Session["e_id"] != null)
            {
                Session.Remove("e_id");
            }
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                if (_checkbox.Checked)
                {
                    int id;
                    id = Convert.ToInt32(_checkbox.Text);
                    OleDbCommand cmd = new OleDbCommand("delete from [link] where id=?", con);
                    cmd.Parameters.Add("id", id);
                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                }
            }
            search(txcategores.SelectedValue.Trim(), txtitle.Text.Trim(), thepager.CurrentPageIndex, thepager.PageSize);
            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "删除成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            if (Session["e_id"] != null)
            {
                Session.Remove("e_id");
            }
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                TextBox _sort = (TextBox)item.FindControl("sort");
                int id;
                id = Convert.ToInt32(_checkbox.Text);
                OleDbCommand cmd = new OleDbCommand("update [link] set theindex=? where id=?", con);
                cmd.Parameters.Add("theindex", Convert.ToInt32(_sort.Text));
                cmd.Parameters.Add("id", id);
                con.Open();
                cmd.ExecuteNonQuery();
                con.Close();
            }
            search(txcategores.SelectedValue.Trim(), txtitle.Text.Trim(), thepager.CurrentPageIndex, thepager.PageSize);
            Messageshow1.Infotype = "0";
            Messageshow1.Msg = "执行刷新操作成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "执行刷新操作失败";
            Messageshow1.Visible = true;
        }
    }

    protected void thepager_PageChanged(object sender, EventArgs e)
    {
        if (Session["e_id"] != null)
        {
            Session.Remove("e_id");
        }
        search(txcategores.SelectedValue.Trim(), txtitle.Text.Trim(), thepager.CurrentPageIndex, thepager.PageSize);
    }

    protected void searchbut_Click(object sender, EventArgs e)
    {
        try
        {
            if (Session["e_id"] != null)
            {
                Session.Remove("e_id");
            }
            search(txcategores.SelectedValue.Trim(), txtitle.Text.Trim(), 1, thepager.PageSize);
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "加载数据失败";
            Messageshow1.Visible = true;
        }
    }
    public string linktypename(string CategoryId)
    {
        string name = "";
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("select * from linktype where id=" + CategoryId + "", con);
        con.Open();
        OleDbDataReader reader = cmd.ExecuteReader();
        if (reader.HasRows)
        {
            reader.Read();
            name = reader["thename"].ToString();
            reader.Close();
        }
        con.Close();
        return name;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("insert into link (type,bigpic,thetitle,thepage,theindex) values (?,?,?,?,?)", con);
            cmd.Parameters.Add("type", Convert.ToInt32(txcategores.SelectedValue));
            cmd.Parameters.Add("bigpic", (string)ViewState["adpic"]);
            cmd.Parameters.Add("thetitle", txtitle1.Text.Trim());
            cmd.Parameters.Add("thepage", txlink.Text.Trim());
            cmd.Parameters.Add("theindex", txsort.Text.Trim());
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            search(txcategores.SelectedValue.Trim(), txtitle.Text.Trim(), thepager.CurrentPageIndex, thepager.PageSize);
            Messageshow1.Msg = "友情链接发布成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "友情链接发布失败，请按要求填写，图片必须上传";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    protected void Button4_Click(object sender, EventArgs e)
    {
        FileUpload up = FileUpload1;
        string uptype = "image/x-pngimage/pjpegimage/gifimage/bmpimage/jpeg";
        string savepath = "../productimage/adpic/";
        string picwidth = "100";
        string picheight = "50";
        string filename = StringHelper.createbianhao();
        if (up.FileName.Equals(""))
            Response.Write("<script language='javascript'>alert('选择要上传的文件');</script>");
        else
        {
            if (!uptype.Equals(""))
            {
                uptype = uptype.ToUpper();
                if (uptype.Contains(up.PostedFile.ContentType.ToUpper()))
                {
                    if (!savepath.Equals(""))
                    {
                        string tempfilename = up.FileName;
                        tempfilename = tempfilename.Substring(tempfilename.LastIndexOf("."), tempfilename.Length - tempfilename.LastIndexOf("."));
                        filename = filename + tempfilename;
                        string adpicpath = Server.MapPath(savepath) + filename;
                        smallpic.MakeThumbnail(up.FileContent, adpicpath, Convert.ToInt32(picwidth), Convert.ToInt32(picheight), "DB", tempfilename.Replace(".", "").ToUpper(), true);
                        ViewState["adpic"] = filename;
                        thepic.Text = "<img src='" + savepath + filename + "' style='height:40px;'/>";
                    }
                    else
                    {
                        Messageshow1.Msg = "友情链接路径未知";
                        Messageshow1.Infotype = "2";
                        Messageshow1.Visible = true;
                    }
                }
                else
                {
                    Messageshow1.Msg = "友情链接类型错误";
                    Messageshow1.Infotype = "2";
                    Messageshow1.Visible = true;
                }
            }
            else
            {
                Messageshow1.Msg = "请上传图片格式的文件";
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
            }
        }
    }
    protected void Button6_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("update link set thetitle=?,thepage=?,bigpic=?,type=?,theindex=? where id=?", con);
            cmd.Parameters.Add("thetitle", txtitle1.Text);
            cmd.Parameters.Add("thepage", txlink.Text);
            cmd.Parameters.Add("bigpic", (string)ViewState["adpic"]);
            cmd.Parameters.Add("type", Convert.ToInt32(txcategores.SelectedValue));
            cmd.Parameters.Add("theindex", txsort.Text);
            cmd.Parameters.Add("id", (int)Session["e_id"]);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            editinit((int)Session["e_id"]);
            search(txcategores.SelectedValue.Trim(), txtitle.Text.Trim(), thepager.CurrentPageIndex, thepager.PageSize);
            Messageshow1.Msg = "友情链接发布成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "友情链接发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    protected void LinkButton2_Click(object sender, EventArgs e)
    {
        if (Session["e_id"] != null)
        {
            Session.Remove("e_id");
        }
        Response.Redirect("link_manage.aspx?type="+Request.QueryString["type"]);
    }
}