﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;

public partial class system_Default2 : RePage
{
    int id; 
    #region  系统初始化
    void initid()
    {
        id = Convert.ToInt32(Request.QueryString["id"]);
    }
    void init()
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("select * from [linktype] where id=?", con);
            cmd.Parameters.Add("id", id);
            con.Open();
            OleDbDataReader reader = cmd.ExecuteReader();
            if (reader.HasRows)
            {
                reader.Read();
                txadname.Text = reader["thename"].ToString().Trim();
                txsort.Text = reader["theindex"].ToString().Trim();
            }
            reader.Close();
            con.Close();
        }
        catch
        {
            Messageshow1.Msg = "数据加载失败，请不要执行修改操作";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    #endregion    
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            initid();
            if (!IsPostBack)
            {
                init();
            }
        }
        catch
        {
            Messageshow1.Msg = "调用参数错误";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("update [linktype] set thename=?,theindex=? where id=?", con);
            cmd.Parameters.Add("thename", txadname.Text);
            cmd.Parameters.Add("theindex", txsort.Text);
            cmd.Parameters.Add("id", id);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            init();
            Messageshow1.Msg = "友情链接分类修改成功";
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Msg = "友情链接分类修改失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("linktype_manage.aspx");
    }
}