﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;
using System.Data;

public partial class system_linktype_manage : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            bind();
        }
    }
    #region bind
    protected void bind()
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbDataAdapter myda = new OleDbDataAdapter("select * from linktype order by theindex", con);
            DataSet myset = new DataSet();
            myda.Fill(myset);
            con.Close();
            Repeater1.DataSource = myset.Tables[0];
            Repeater1.DataBind();
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "加载友情链接分类数据失败";
            Messageshow1.Visible = true;
        }
    }
    #endregion
    


    protected void edit(object sender, EventArgs e)
    {
        int id;
        id = Convert.ToInt32(((Button)sender).CommandArgument);
        Response.Redirect("linktype_edit.aspx?id=" + id);
    }

    protected void addarticles(object sender, EventArgs e)
    {
        int id;
        id = Convert.ToInt32(((Button)sender).CommandArgument);
        Response.Redirect("link_add.aspx?id=" + id);
    }

    protected void delete(object sender, EventArgs e)
    {
        try
        {
            int id;
            id = Convert.ToInt32(((Button)sender).CommandArgument);
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            OleDbCommand cmd = new OleDbCommand("delete from [linktype] where id=?", con);
            cmd.Parameters.Add("id", id);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            bind();
            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "删除成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void txdel_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                if (_checkbox.Checked)
                {
                    int id;
                    id = Convert.ToInt32(_checkbox.Text);
                    OleDbCommand cmd = new OleDbCommand("delete from [linktype] where id=?", con);
                    cmd.Parameters.Add("id", id);
                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                }
            }
            bind();
            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "删除成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "删除失败";
            Messageshow1.Visible = true;
        }
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            OleDbConnection con = new OleDbConnection(theconnectstring.constring);
            foreach (RepeaterItem item in Repeater1.Items)
            {
                CheckBox _checkbox = (CheckBox)item.FindControl("CheckBox1");
                TextBox _sort = (TextBox)item.FindControl("sort");
                int id;
                id = Convert.ToInt32(_checkbox.Text);
                OleDbCommand cmd = new OleDbCommand("update [linktype] set theindex=?  where id=?", con);
                cmd.Parameters.Add("theindex", Convert.ToInt32(_sort.Text));
                cmd.Parameters.Add("id", id);
                con.Open();
                cmd.ExecuteNonQuery();
                con.Close();
            }
            bind();
            Messageshow1.Infotype = "1";
            Messageshow1.Msg = "执行刷新操作成功";
            Messageshow1.Visible = true;
        }
        catch
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Msg = "执行刷新操作失败";
            Messageshow1.Visible = true;
        }
    }
}