﻿using System;
using System.Web.UI;
using System.Data.OleDb;
using System.Web.UI.WebControls;
using System.Data;

public partial class system_edithr : RePage
{
    #region  调用初始化
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            init();
        }
    }
    #endregion
    #region  初始化
    protected void init()
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbDataAdapter myda = new OleDbDataAdapter("select city_id,city_name from thecity", con);
        DataSet myset = new DataSet();
        con.Open();
        myda.Fill(myset);
        con.Close();
        DropDownList1.DataValueField = "city_id";
        DropDownList1.DataTextField = "city_name";
        DropDownList1.DataSource = myset.Tables[0];
        DropDownList1.DataBind();



        OleDbCommand cmd = new OleDbCommand("select * from yxnet where id=?", con);
        cmd.Parameters.Add("id", Convert.ToInt32(Session["wkid"].ToString()));
        con.Open();
        OleDbDataReader reader=cmd.ExecuteReader();
        if(reader.HasRows)
        {
            reader.Read();
            TextBox1.Text = reader["company"].ToString().Trim();
            TextBox2.Text = reader["conpepole"].ToString().Trim();
            TextBox3.Text = reader["contype"].ToString().Trim();
            TextBox4.Text = reader["conaddr"].ToString().Trim();
            TextBox5.Text = reader["contel"].ToString().Trim();
            TextBox6.Text = reader["confax"].ToString().Trim();
            FCKeditor1.Value = reader["thearea"].ToString().Trim();
            string sel = reader["city_id"].ToString().Trim();
            int i = 0;
            for (i = 0; i < DropDownList1.Items.Count; i++)
            {
                if (DropDownList1.Items[i].Value.Trim().Equals(sel))
                {
                    DropDownList1.SelectedIndex = i;
                    break;
                }
            }
        }
        reader.Close();
        con.Close();
    }
    #endregion
    #region 修改招聘信息
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("update yxnet set city_id=?,company=?,conpepole=?,contype=?,conaddr=?,thearea=?,contel=?,confax=? where id=?", con);
        cmd.Parameters.Add("city_id", DropDownList1.SelectedItem.Value);
        cmd.Parameters.Add("company", TextBox1.Text);
        cmd.Parameters.Add("conpepole", TextBox2.Text);
        cmd.Parameters.Add("contype", TextBox3.Text);
        cmd.Parameters.Add("conaddr", TextBox4.Text);
        cmd.Parameters.Add("thearea", FCKeditor1.Value);
        cmd.Parameters.Add("contel", TextBox5.Text);
        cmd.Parameters.Add("confax", TextBox6.Text);
        cmd.Parameters.Add("id", Convert.ToInt32(Session["wkid"].ToString()));
        con.Open();
        cmd.ExecuteNonQuery();
        con.Close();
        js.Text = "<script src=\"js/jquery.js\" type=\"text/javascript\"></script><script type=\"text/javascript\">$(function(){$(\"#msgx\").fadeIn(100); $(\"#msgx\").fadeOut(3000);});</script>";

    }
    #endregion

    protected void LinkButton2_Click(object sender, EventArgs e)
    {
        OleDbConnection con = new OleDbConnection(theconnectstring.constring);
        OleDbCommand cmd = new OleDbCommand("delete from yxnet where id=?", con);
        cmd.Parameters.Add("id", Convert.ToInt32(Session["wkid"].ToString()));
        con.Open();
        cmd.ExecuteNonQuery();
        con.Close();
        Response.Redirect("networkmanage.aspx?curpage="+Request.QueryString["curpage"]);
    }
    protected void LinkButton3_Click(object sender, EventArgs e)
    {
        Response.Redirect("networkmanage.aspx?curpage=" + Request.QueryString["curpage"]);
    }
}