﻿using DBUtility;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Data.OleDb;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class system_part_edit : RePage
{
    private int id = -1;
    protected void datainit()
    {
        Loaddata();
        if (id != -1)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part ");
            strSql.Append(" where CategoryId=@CategoryId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@CategoryId", OleDbType.Integer,4)
			};
            parameters[0].Value = id;
            DataSet curcagegores = DbHelperOleDb.Query(strSql.ToString(), parameters);
            if (curcagegores.Tables[0].Rows.Count>0)
            {
                StringBuilder parent_strSql = new StringBuilder();
                int i = (int)curcagegores.Tables[0].Rows[0]["Depart"] - 1;
                parent_strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag ");
                parent_strSql.Append(" FROM Part ");
                parent_strSql.Append(" where Depart=" +i+ " and Lft<" + (int)curcagegores.Tables[0].Rows[0]["Lft"] + " and Rgt> " + (int)curcagegores.Tables[0].Rows[0]["Rgt"]);
                DataSet parent = DbHelperOleDb.Query(parent_strSql.ToString());
                if (parent.Tables[0].Rows.Count>0)
                {
                    PartDrop1.SelectedValue = parent.Tables[0].Rows[0]["CategoryId"].ToString();
                }
                txname.Text = curcagegores.Tables[0].Rows[0]["Name"].ToString();
                txtitle.Text = curcagegores.Tables[0].Rows[0]["Title"].ToString();
                txseodes.Text = curcagegores.Tables[0].Rows[0]["Meta_Description"].ToString();
                txseokey.Text = curcagegores.Tables[0].Rows[0]["Meta_Keywords"].ToString();
                txdiscription.Text = curcagegores.Tables[0].Rows[0]["Description"].ToString();
                kindeditor1.Text = curcagegores.Tables[0].Rows[0]["Content"].ToString();
                txisshow.Checked = Convert.ToBoolean(curcagegores.Tables[0].Rows[0]["isshow"]);
                txlinkurl.Text = curcagegores.Tables[0].Rows[0]["LinkUrl"].ToString();
                Label1.Text = curcagegores.Tables[0].Rows[0]["CategoryId"].ToString();
            }
        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["id"] != null)
        {
            id = int.Parse(Request.QueryString["id"]);
        }
        else if (Session["id"]!=null)
        {
            id = (int)Session["id"];
        }
        if (!IsPostBack)
        {
            datainit();
        }
    }
    private void changes()
    {
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part ");
        DataSet current = DbHelperOleDb.Query(strSql.ToString() + "where CategoryId="+id);
        DataSet parent = DbHelperOleDb.Query(strSql.ToString() + "where CategoryId=" + Convert.ToInt32(PartDrop1.SelectedValue));
        int currentRgt = (int)current.Tables[0].Rows[0]["Rgt"];
        int currentLft = (int)current.Tables[0].Rows[0]["Lft"];
        int parentRgt = (int)parent.Tables[0].Rows[0]["Rgt"];
        int parentLft = (int)parent.Tables[0].Rows[0]["Lft"];
        int departnum = (int)parent.Tables[0].Rows[0]["Depart"] - (int)current.Tables[0].Rows[0]["Depart"] + 1;
        int num = currentRgt - currentLft + 1;
        ArrayList cmds = new ArrayList();
        if (currentRgt < parentRgt)
        {
            int num2 = parentRgt - currentRgt - 1;
            cmds.Add(string.Concat(new object[]
				{
					"update ",
					"part set Lft=Lft-",
					num,
					",opflag=true where Lft>",
					currentRgt,
					" and Lft<",
					parentRgt
				}));
            cmds.Add(string.Concat(new object[]
				{
					"update ",
					"part set Rgt=Rgt-",
					num,
					",opflag=true where Rgt>",
					currentRgt,
					" and Rgt<",
					parentRgt
				}));
            cmds.Add(string.Concat(new object[]
				{
					"update ",
					"part set Lft=Lft+",
					num2,
					",Rgt=Rgt+",
					num2,
					",Depart=Depart+",
					departnum,
					" where Lft>=",
					currentLft,
					" and Rgt<=",
					currentRgt,
					" and opflag=false"
				}));
            cmds.Add("update part set opflag=false");
            DbHelperOleDb.ExecuteSqlTran(cmds);
        }
        else
        {
            int num2 = (int)current.Tables[0].Rows[0]["Lft"] - (int)parent.Tables[0].Rows[0]["Rgt"];
            cmds.Add(string.Concat(new object[]
				{
					"update ",
					"part set Lft=Lft+",
					num,
					",opflag=true where Lft>",
					parentRgt,
					" and Lft<",
					currentLft
				}));
            cmds.Add(string.Concat(new object[]
				{
					"update ",
					"part set Rgt=Rgt+",
					num,
					",opflag=true where Rgt>=",
					parentRgt,
					" and Rgt<",
					currentLft
				}));
            cmds.Add(string.Concat(new object[]
				{
					"update ",
					"part set Lft=Lft-",
					num2,
					",Rgt=Rgt-",
					num2,
					",Depart=Depart+",
					departnum,
					" where Lft>=",
					currentLft,
					" and Rgt<=",
					currentRgt,
					" and opflag=false"
				}));
            cmds.Add("update part set opflag=false");
            DbHelperOleDb.ExecuteSqlTran(cmds);
        }
    }
    private void change()
    {
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part ");
        DataSet current = DbHelperOleDb.Query(strSql.ToString() + "where CategoryId=" + id);
        int currentRgt = (int)current.Tables[0].Rows[0]["Rgt"];
        int currentLft = (int)current.Tables[0].Rows[0]["Lft"];
        int departnum = (int)current.Tables[0].Rows[0]["Depart"] - 1;
        ArrayList cmds = new ArrayList();
        int sum=0;
        object obj = DbHelperOleDb.GetSingle("select count(1) FROM Part");
        if (obj != null)
        {
            sum = Convert.ToInt32(obj);
        }
        int addnum = sum * 2 - currentRgt;
        int subnum = currentRgt - currentLft + 1;
        cmds.Add(string.Concat(new object[]
			{
				"update ",
				"part set Lft=Lft-",
				subnum,
				",opflag=true where Lft>",
				currentRgt,
				" and Rgt>",
				currentRgt
			}));
        cmds.Add(string.Concat(new object[]
			{
				"update ",
				"part set Rgt=Rgt-",
				subnum,
				",opflag=true where Rgt>",
				currentRgt
			}));
        cmds.Add(string.Concat(new object[]
			{
				"update ",
				"part set Lft=Lft+",
				addnum,
				",Rgt=Rgt+",
				addnum,
				",Depart=Depart-",
				departnum,
				",opflag=true where Lft>=",
				currentLft,
				" and Rgt<=",
				currentRgt,
				" and opflag=false"
			}));
        cmds.Add("update part set opflag=false");
        DbHelperOleDb.ExecuteSqlTran(cmds);
    }
    protected bool check()
    {
        bool result;
        if (PartDrop1.SelectedValue == "0")
        {
            result = true;
        }
        else
        {
            int newid = Convert.ToInt32(PartDrop1.SelectedValue);
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part ");
            DataSet current = DbHelperOleDb.Query(strSql.ToString() + "where CategoryId=" + id);
            DataSet newparent = DbHelperOleDb.Query(strSql.ToString() + "where CategoryId=" + Convert.ToInt32(PartDrop1.SelectedValue));
            result = (!((int)newparent.Tables[0].Rows[0]["Lft"] >= (int)current.Tables[0].Rows[0]["Lft"]) || !((int)newparent.Tables[0].Rows[0]["Rgt"] <= (int)current.Tables[0].Rows[0]["Rgt"]));
        }
        return result;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        StringBuilder strSql = new StringBuilder();
        strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part ");
        DataSet current = DbHelperOleDb.Query(strSql.ToString() + "where CategoryId=" + id);
        DataSet oldparent = DbHelperOleDb.Query(strSql.ToString() + "where Depart=" +(int)(Convert.ToInt32(current.Tables[0].Rows[0]["Depart"]) - 1)+" and Lft<"+current.Tables[0].Rows[0]["Lft"]+" and Rgt>"+current.Tables[0].Rows[0]["Rgt"]);
        string flag = "0";
        if (oldparent.Tables[0].Rows.Count>0)
        {
            flag = oldparent.Tables[0].Rows[0]["CategoryId"].ToString();
        }
        if (!flag.Equals(PartDrop1.SelectedValue))
        {
            if (!check())
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
                Messageshow1.Msg = "请不要将父类移入其直接子类！";
                return;
            }
            try
            {
                if (PartDrop1.SelectedValue == "0")
                {
                    change();
                }
                else
                {
                    changes();
                }
            }
            catch
            {
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
                Messageshow1.Msg = "修改失败!";
                return;
            }
        }
        StringBuilder Update_strSql = new StringBuilder();
        Update_strSql.Append("update Part set ");
        Update_strSql.Append("Name=@Name,");
        Update_strSql.Append("LinkUrl=@LinkUrl,");
        Update_strSql.Append("Title=@Title,");
        Update_strSql.Append("Meta_Description=@Meta_Description,");
        Update_strSql.Append("Meta_Keywords=@Meta_Keywords,");
        Update_strSql.Append("Description=@Description,");
        Update_strSql.Append("Content=@Content,");
        Update_strSql.Append("isshow=@isshow");
        Update_strSql.Append(" where CategoryId=@CategoryId");
        OleDbParameter[] parameters = {
					new OleDbParameter("@Name", OleDbType.VarChar,100),
					new OleDbParameter("@LinkUrl", OleDbType.VarChar,50),
					new OleDbParameter("@Title", OleDbType.VarChar,100),
					new OleDbParameter("@Meta_Description", OleDbType.VarChar,200),
					new OleDbParameter("@Meta_Keywords", OleDbType.VarChar,200),
					new OleDbParameter("@Description", OleDbType.VarChar,0),
					new OleDbParameter("@Content", OleDbType.VarChar,0),
					new OleDbParameter("@isshow", OleDbType.Boolean,1),
					new OleDbParameter("@CategoryId", OleDbType.Integer,4)};
        parameters[0].Value = txname.Text.Trim();
        parameters[1].Value = txlinkurl.Text.Trim();
        parameters[2].Value = txtitle.Text.Trim();
        parameters[3].Value = txseodes.Text.Trim();
        parameters[4].Value = txseokey.Text.Trim();
        parameters[5].Value = txdiscription.Text.Trim();
        parameters[6].Value = kindeditor1.Text;
        parameters[7].Value = txisshow.Checked;
        parameters[8].Value = id;

        int rows = DbHelperOleDb.ExecuteSql(Update_strSql.ToString(), parameters);        
        if (rows > 0)
        {
            Messageshow1.Infotype = "1";
            Messageshow1.Visible = true;
            Messageshow1.Msg = "修改成功!";
        }
        else
        {
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
            Messageshow1.Msg = "修改失败!";
        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("part_manage.aspx");
    }

    public void Loaddata()
    {
        if (!Page.IsPostBack)
        {
            DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part order by Lft");
            ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
            PartDrop1.Items.Add(topitem);
            foreach (DataRow c2 in categores.Tables[0].Rows)
            {
                ListItem item = new ListItem();
                StringBuilder blank = new StringBuilder();
                int i = 1;
                while (true)
                {
                    int num = i;
                    if (!(num <= (int)c2["Depart"] - 1))
                    {
                        break;
                    }
                    blank.Append("\u3000");
                    i++;
                }
                item.Text = blank.ToString() + c2["Name"].ToString().Trim();
                item.Value = c2["CategoryId"].ToString();
                PartDrop1.Items.Add(item);
            }
        }
    }
    public void ReLoaddata()
    {
        int selitem = PartDrop1.SelectedIndex;
        PartDrop1.Items.Clear();
        DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Part order by Lft");
        ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
        PartDrop1.Items.Add(topitem);
        foreach (DataRow c2 in categores.Tables[0].Rows)
        {
            ListItem item = new ListItem();
            StringBuilder blank = new StringBuilder();
            int i = 1;
            while (true)
            {
                int num = i;
                if (!(num <= (int)c2["Depart"] - 1))
                {
                    break;
                }
                blank.Append("\u3000");
                i++;
            }
            item.Text = blank.ToString() + c2["Name"].ToString().Trim();
            item.Value = c2["CategoryId"].ToString();
            PartDrop1.Items.Add(item);
        }
        PartDrop1.SelectedIndex = selitem;
    }
}