﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="part_manage_admin.aspx.cs" Inherits="system_part_manage_admin" %>

<%@ Register Assembly="Controls" Namespace="Controls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>后台管理系统v5.5</title>
    <link href="css/css1.css" rel="stylesheet" type="text/css" />
    <script src="js/jquery.js" type="text/javascript"></script>
    <script src="js/common.js" type="text/javascript"></script>
    <script language="javascript" type="text/javascript" src="../My97DatePicker/WdatePicker.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <table
            cellpadding="0" cellspacing="0" class="infomation">
            <tr>
                <td class="title">栏目管理</td>
            </tr>
            <tr>
                <td class="area">对栏目进行日常管理</td>
            </tr>
        </table>
        <cc1:Messageshow ID="Messageshow1" runat="server"
            Cusstyle="margin:5px 0px 5px 0px;" Visible="False" />
        <table style="width: 100%; margin-top: 5px;" cellpadding="0" cellspacing="0" class="tabletit">
            <tr>
                <td>
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td style="text-align: center; width: 30px;">
                                <img src="images/addProductClass.png" /></td>
                            <td>
                                <asp:LinkButton ID="LinkButton1" runat="server" OnClick="LinkButton1_Click">添加栏目</asp:LinkButton>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <table cellpadding="0" cellspacing="0" class="tabunderline"
            style="width: 100%;">
            <tr>
                <td>分类名称</td>
                <td>链接到</td>
                <td>是否显示</td>
                <td>是否可编辑</td>
                <td>头部显示（小者排前）</td>
                <td>底部显示</td>
                <td>排序</td>
                <td width="120">操作</td>
            </tr>
            <asp:UpdatePanel ID="UpdatePanel2" runat="server">
                <ContentTemplate>
                    <asp:Repeater ID="Repeater1" runat="server">
                        <ItemTemplate>
                            <tr class="rowhover">
                                <td style='padding-left: <%# (Convert.ToInt32(Eval("Depart"))-1)*20%>px'>
                                    <%# Eval("Name")%>
                                </td>
                                <td><%#Eval("LinkUrl") %></td>
                                <td>
                                    <%# Eval("isshow")%>
                                </td>
                                <td>
                                    <%#Convert.ToBoolean(Eval("isedit"))==true?"<font style=color:#f00>可以编辑</font>":"不可编辑" %>
                                    <asp:Button ID="Button1" runat="server"
                                        CommandArgument='<%# Eval("CategoryId") %>' OnClick="change"
                                        Style="margin-left: 5px;" Text="更改" />
                                </td>
                                <td>
                                    <%#Convert.ToBoolean(Eval("isshow"))==true?"<font style=color:#f00>头部显示</font>":"" %>
                                    <asp:Button ID="Button4" runat="server"
                                        CommandArgument='<%# Eval("CategoryId") %>' OnClick="changetop"
                                        Style="margin-left: 5px;" Text="更改" />
                                    <asp:Label ID="categoryId" Visible="false" runat="server" Text='<%#Eval("CategoryId")%>'></asp:Label>
                                    <asp:TextBox CssClass="textbj" Width="20px" AutoPostBack="True" Enabled='<%# Eval("isshow") %>' Text='<%# Eval("isshowsort") %>' OnTextChanged="TextBox1_TextChanged" ID="TextBox1" runat="server"></asp:TextBox>
                                </td>
                                <td>
                                    <%#Convert.ToBoolean(Eval("isfoot"))==true?"<font style=color:#f00>底部显示</font>":"" %>
                                    <asp:Button ID="Button5" runat="server"
                                        CommandArgument='<%# Eval("CategoryId") %>' OnClick="changefoot"
                                        Style="margin-left: 5px;" Text="更改" />
                                </td>
                                <td>
                                    <asp:ImageButton ID="acs" runat="server"
                                        CommandArgument='<%# Eval("CategoryId") %>' ImageUrl="images/asc.png"
                                        OnClick="asc" />
                                    <asp:ImageButton ID="desc" runat="server"
                                        CommandArgument='<%# Eval("CategoryId") %>' ImageUrl="images/desc.png"
                                        OnClick="desc" />
                                </td>
                                <td>
                                    <asp:Button ID="Button3" runat="server"
                                        CommandArgument='<%# Eval("CategoryId") %>' OnClick="edit"
                                        Style="margin-left: 5px;" Text="修改" />
                                    <asp:Button ID="Button2" runat="server"
                                        CommandArgument='<%# Eval("CategoryId") %>' OnClick="delete"
                                        OnClientClick="return confirm('确定要删除吗?')" Style="margin-left: 5px;" Text="删除" />
                                </td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </ContentTemplate>
            </asp:UpdatePanel>
        </table>
    </form>
</body>
</html>
