﻿using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;
using System.IO;
using System.Text;
using System.Linq;
using MsShop.Common;
public partial class picshow : System.Web.UI.UserControl
{
    private string pics = "";
    public string Pics
    {
        get { return pics; }
        set { pics = value; }
    }
    private string path = "/productimage/";
    public string Path
    {
        get { return path; }
        set { path = value; }
    }
    private int smallwidth = Convert.ToInt32(siteconfig.smallpicwidth);
    public int Smallwidth
    {
        get { return smallwidth; }
        set { smallwidth = value; }
    }
    private int smallheight = Convert.ToInt32(siteconfig.smallpicheight);
    public int Smallheight
    {
        get { return smallheight; }
        set { smallheight = value; }
    }
    private bool issmall = false;
    public bool Issmall
    {
        get { return issmall; }
        set { issmall = value; }
    }
    private bool iswatermark = false;
    public bool Iswatermark
    {
        get { return iswatermark; }
        set { iswatermark = value; }
    }
    private bool onlysmall = false;
    public bool Onlysmall
    {
        get { return onlysmall; }
        set { onlysmall = value; }
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Session.Remove("picindex");
        }

        if (Session["picindex"] != null)
            pics = Picindex.CreateStr((List<picindex>)Session["picindex"]);
        if (!(!string.IsNullOrEmpty(pics) && Session["picindex"] != null))
        {
            propicbind();
        }
        else
        {
            if (Session["showflag"] != null)
            {
                propicbind();
                Session.Remove("showflag");
            }
        }
    }

    #region 图片上传等操作
    protected void propicbind()
    {
        if (Session["picindex"] != null)
        {
            List<picindex> _picindex = ((List<picindex>)Session["picindex"]).OrderBy(p => p.Theindex).ToList();
            if (_picindex.Count > 0)
                txchangeposition.Visible = true;
            else
                txchangeposition.Visible = false;
            picsshow.DataSource = _picindex;
            picsshow.DataBind();
        }
        else
        {
            if (!string.IsNullOrEmpty(pics))
            {
                List<picindex> _picindex = Picindex.CreateIndex(pics);
                if (_picindex.Count > 0)
                    txchangeposition.Visible = true;
                else
                    txchangeposition.Visible = false;
                picsshow.DataSource = _picindex;
                picsshow.DataBind();
                Session["picindex"] = _picindex;
            }
        }
    }  //绑定
    protected void delthepic(object sender, System.EventArgs e)
    {
        try
        {
            List<picindex> _picindex = (List<picindex>)Session["picindex"];
            string filename = ((Button)sender).CommandArgument.Trim();
            try
            {
                File.Delete(Server.MapPath(path + "small/" + filename));                
            }
            catch
            {
                ;
            }
            try
            {
                File.Delete(Server.MapPath(path + "big/" + filename));
            }
            catch
            {
                ;
            }
            StringBuilder _pics = new StringBuilder();
            var temp = _picindex.FirstOrDefault(p => p.Picname == filename);
            _picindex.Remove(temp);
            Session["picindex"] = _picindex;
            propicbind();
        }
        catch
        {
            ;
        }
        
    } //删除
    protected void Button9_Click(object sender, EventArgs e)
    {
        List<picindex> _picindex = new List<picindex>();
        if (!string.IsNullOrEmpty(pics))
        {
            _picindex = Picindex.CreateIndex(pics);
        }
        Session["picindex"] = _picindex;
        Js.ShowWindow("picupload.aspx?ph=" + path + "&sw=" + smallwidth + "&sh=" + smallheight + "&is=" + issmall + "&iw=" + iswatermark + "&os=" + onlysmall, "600", "400", Page);
    } //调用上传
    protected void changeposition(object sender, EventArgs e)  //排序
    {
        try
        {
            List<picindex> newpropics = new List<picindex>();
            foreach (RepeaterItem temppic in picsshow.Items)
            {
                picindex curpic = new picindex();
                curpic.Picname = ((Image)temppic.FindControl("propicname")).ToolTip.Trim();
                curpic.Theindex = Convert.ToInt32(((TextBox)temppic.FindControl("propicindex")).Text);
                newpropics.Add(curpic);
            }
            Session["picindex"] = newpropics;
            propicbind();
        }
        catch
        {
            ;
        }
    }
    protected string getpicstr(object pics)
    {
        string firstpic = pics.ToString();
        if (issmall)
        {
            return path + "small/" + firstpic;
        }
        else
            return path + "big/" + firstpic;
    }
    #endregion
}