﻿using System.Linq;
using System;
using IMMENSITY.SWFUploadAPI;
using System.Runtime.Serialization.Json;
using System.Collections.Generic;
using System.Text;
using System.IO;
public partial class picupload : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        uploadinit();
    }
    #region 上传控件初始化
    protected void uploadinit()
    {
        string path = "/productimage/";
        int smallwidth = 150;
        int smallheight = 150;
        bool issmall = false;
        bool iswatermark = false;
        if (Request.QueryString["ph"] != null)
        {
            if (Request.QueryString["ph"] != string.Empty)
                path = Request.QueryString["ph"];
        }
        if (Request.QueryString["sw"] != null)
        {
            if (Request.QueryString["sw"] != string.Empty)
                smallwidth = Convert.ToInt16(Request.QueryString["sw"]);
        }
        if (Request.QueryString["sh"] != null)
        {
            if (Request.QueryString["sh"] != string.Empty)
                smallheight = Convert.ToInt16(Request.QueryString["sh"]);
        }
        if (Request.QueryString["is"] != null)
        {
            if (Request.QueryString["is"] != string.Empty)
                issmall = Convert.ToBoolean(Request.QueryString["is"]);
        }
        if (Request.QueryString["iw"] != null)
        {
            if (Request.QueryString["iw"] != string.Empty)
                iswatermark = Convert.ToBoolean(Request.QueryString["iw"]);
        }
        //控件一  列表模式
        this.UC_SWFUpload1.SwfUploadInfo = new SWFUploadInfo()
        {
            UploadMode = UpMode.LIST,
            File_size_limit = 4096,
            SubmitButtonId = this.Button1.ClientID,
            File_types = "*.jpg;*.gif;*.png",
            File_types_description = "请选择图片类型文件",
            Button_action = BUTTON_ACTION.SELECT_FILES,
            IsSmall = issmall,
            SmallHeight = smallheight,
            SmallWidth = smallwidth,
            Path = path,
            IsWaterMark = iswatermark
        };
        SWFUploadFileInfo uf = new SWFUploadFileInfo();
        DataContractJsonSerializer serializer = new DataContractJsonSerializer(typeof(SWFUploadFileInfo));
        System.IO.MemoryStream ms = new System.IO.MemoryStream();
        serializer.WriteObject(ms, uf);
    }
    #endregion
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            List<picindex> oldvalue = (List<picindex>)Session["picindex"];
            IList<SWFUploadFileInfo> list = this.UC_SWFUpload1.SWFUploadFileInfoList;
            string[] nameList = (from lt in list select lt.FileName).ToArray();
            StringBuilder profilestr = new StringBuilder();
            foreach (picindex _item in oldvalue)
            {
                profilestr.Append(_item.Picname + "|");
            }
            foreach (string item in nameList)
            {
                profilestr.Append(item + "|");
                if (Request.QueryString["os"] == "True") 
                {
                    File.Delete(Server.MapPath(Request.QueryString["ph"]+"big/") + item);
                }
            }
            string value = StringHelper.Removestrright(profilestr.ToString(), 1);
            Session["picindex"] = Picindex.CreateIndex(value);
            Session["showflag"] = 1;
        }
        catch
        {
            Messageshow1.Msg = "请选择要上传的图片!";
            Messageshow1.Infotype = "0";
            Messageshow1.Visible = true;
        }
        Literal1.Text = "opener.window.form1.submit();window.operner = null;window.close();";
    }
}
