﻿using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;
using System.Text;
using DBUtility;
using System.Web.UI;
using System.Data;
using System.Data.OleDb;
using System.IO;
using System.Collections;
public partial class products_add : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            init();
        }        
        //if (Session["showflagr"] != null)
        //{
        //    relatedprobind();
        //    Session.Remove("showflagr");
        //}
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select CategoryId,Lft,Rgt,Depart,Name,IconUrl,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,Isshow,opflag,Sort,Parent_id from Categories ");
            strSql.Append(" where CategoryId=@CategoryId");
            OleDbParameter[] parameters = {
					new OleDbParameter("@CategoryId", OleDbType.Integer,4)
			};
            parameters[0].Value = CategoriesDrop1.SelectedValue;
            DataSet curcategores = DbHelperOleDb.Query(strSql.ToString(), parameters);
            if (Convert.ToInt32(curcategores.Tables[0].Rows[0]["Lft"]) + 1 == Convert.ToInt32(curcategores.Tables[0].Rows[0]["Rgt"]))
            {
                int sort = 0;
                StringBuilder strSql1 = new StringBuilder();
                strSql1.Append("select top 1 * from Products ");
                strSql1.Append(" where CategoryId=@CategoryId order by sort desc");
                OleDbParameter[] parameters1 = {
					new OleDbParameter("@CategoryId", OleDbType.Integer)
			};
                parameters1[0].Value = CategoriesDrop1.SelectedValue;
                DataSet maxsort = DbHelperOleDb.Query(strSql1.ToString(), parameters1);
                if (maxsort.Tables[0].Rows.Count > 0)
                {
                    sort = (int)maxsort.Tables[0].Rows[0]["sort"];
                }
                StringBuilder strSql2 = new StringBuilder();
                strSql2.Append("insert into Products(");
                strSql2.Append("CategoryId,Lft,Rgt,Sort,Isshow,Name,LinkUrl,IconUrl,Title,Meta_Description,Meto_Keywords,Description,Content,info1,Marketprice,Saleprice,opflag)");
                strSql2.Append(" values (");
                strSql2.Append("@CategoryId,@Lft,@Rgt,@Sort,@Isshow,@Name,@LinkUrl,@IconUrl,@Title,@Meta_Description,@Meto_Keywords,@Description,@Content,@info1,@Marketprice,@Saleprice,@opflag)");
                OleDbParameter[] parameters2 = {
					new OleDbParameter("@CategoryId", OleDbType.Integer),
					new OleDbParameter("@Lft", OleDbType.Integer),
					new OleDbParameter("@Rgt", OleDbType.Integer),
					new OleDbParameter("@Sort", OleDbType.Integer),
					new OleDbParameter("@Isshow", OleDbType.Boolean,1),
					new OleDbParameter("@Name", OleDbType.VarChar,100),
                    new OleDbParameter("@LinkUrl", OleDbType.VarChar),
					new OleDbParameter("@IconUrl", OleDbType.VarChar),
					new OleDbParameter("@Title", OleDbType.VarChar,200),
					new OleDbParameter("@Meta_Description", OleDbType.VarChar,0),
					new OleDbParameter("@Meto_Keywords", OleDbType.VarChar,0),
					new OleDbParameter("@Description", OleDbType.VarChar,0),
					new OleDbParameter("@Content", OleDbType.VarChar,0),
                    new OleDbParameter("@info1", OleDbType.VarChar,200),
					new OleDbParameter("@Marketprice", OleDbType.VarChar,100),
					new OleDbParameter("@Saleprice", OleDbType.Double),
					new OleDbParameter("@opflag", OleDbType.Boolean,1)
                                           };
                parameters2[0].Value = curcategores.Tables[0].Rows[0]["CategoryId"];
                parameters2[1].Value = curcategores.Tables[0].Rows[0]["Lft"];
                parameters2[2].Value = curcategores.Tables[0].Rows[0]["Rgt"];
                parameters2[3].Value = sort + 1;
                parameters2[4].Value = txisshow.Checked;
                parameters2[5].Value = txname.Text.Trim();
                parameters2[6].Value = txlinkurl.Text;
                parameters2[7].Value = picshow1.Pics;
                parameters2[8].Value = txtitle.Text.Trim();
                parameters2[9].Value = txseodes.Text.Trim();
                parameters2[10].Value = txseokey.Text.Trim();
                parameters2[11].Value = TextBox1.Text;
                parameters2[12].Value = kindeditor1.Text;
                parameters2[13].Value = txinfo1.Text;
                //parameters2[13].Value = Convert.ToDouble(txmarketprice.Text);
                parameters2[14].Value = txmarketprice.Text;
                //parameters2[14].Value = Convert.ToDouble(txsaleprice.Text);
                parameters2[15].Value = 1;
                parameters2[16].Value = false;
                int new_productid = DbHelperOleDb.ExecuteSql_identity(strSql2.ToString(), parameters2);
                if (instercomment(sender, new_productid))
                {
                    Messageshow1.Msg = "产品<b>" + txname.Text.Trim() + "</b>发布成功";
                    Messageshow1.Infotype = "1";
                    Messageshow1.Visible = true;
                    init();
                    MsShop.Common.Js.ConfirmAndRedirect("添加成功，是否继续?", "products_add.aspx", "products_manage.aspx", Page);
                }
                else
                {
                    Session["id"] = new_productid;
                    MsShop.Common.Js.ConfirmAndRedirect("产品添加成功，产品属性添加错误，是否前去修改?", "Products_edit.aspx", "products_manage.aspx", Page);
                }
            }
            else
            {
                Messageshow1.Msg = "产品发布失败,该分类存在子类，请选择正确的分类";
                Messageshow1.Infotype = "2";
                Messageshow1.Visible = true;
            }
        }
        catch
        {
            Messageshow1.Msg = "产品发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("products_manage.aspx");
    }
    #region  初始化
    void init()
    {
        Loaddata();
        showAttributes();
        CategoriesDrop1.Items.RemoveAt(0);
        Session.Remove("propics");
        Session.Remove("relatedproducts");
    }
    #endregion
    #region 产品属性管理
    public void showAttributes()
    {
        if (!Page.IsPostBack)
        {
            Repeater1.DataSource = DbHelperOleDb.Query("select * from Product_Attributes order by Sort");
            Repeater1.DataBind();            
        }
    }
    #endregion
    //#region 相关产品
    //protected void relatedprobind()
    //{
    //    if (Session["relatedproducts"] != null)
    //    {
    //        List<int> rproductsid = (List<int>)Session["relatedproducts"];

    //        if (rproductsid.Count > 0)
    //        {
    //            MsShop.BLL.RelatedProducts bll = new BLL.RelatedProducts();
    //            StringBuilder rpros = new StringBuilder();
    //            foreach (int c in rproductsid)
    //            {
    //                rpros.Append(c.ToString() + ",");
    //            }

    //            BLL.Products productbll = new BLL.Products();
    //            var rproducts = productbll.GetList("ProductId in (" + Common.StringHelper.Removestrright(rpros.ToString(), 1) + ")");
    //            rrr.DataSource = rproducts;
    //            rrr.DataBind();
    //        }
    //        else
    //        {
    //            rrr.DataSource = "";
    //            rrr.DataBind();
    //        }
    //    }
    //}
    //protected void delone(object sender, EventArgs e)
    //{
    //    if (Session["relatedproducts"] != null)
    //    {
    //        int rid = Convert.ToInt32(((Button)sender).CommandArgument);
    //        List<int> rproductsid = (List<int>)Session["relatedproducts"];
    //        rproductsid.Remove(rid);
    //        Session["relatedproducts"] = rproductsid;
    //        relatedprobind();
    //    }
    //}
    //protected void LinkButton1_Click(object sender, EventArgs e)
    //{
    //    if (Session["relatedproducts"] != null)
    //    {
    //        List<int> rproductsid = (List<int>)Session["relatedproducts"];
    //        foreach (RepeaterItem item in rrr.Items)
    //        {
    //            CheckBox cb = (CheckBox)item.FindControl("CheckBox1");
    //            if (cb.Checked)
    //            {
    //                int rid = Convert.ToInt32(cb.Text);
    //                rproductsid.Remove(rid);
    //            }
    //        }
    //        Session["relatedproducts"] = rproductsid;
    //        relatedprobind();
    //    }
    //}
    //protected void Button8_Click(object sender, EventArgs e)
    //{
    //    Common.Js.ShowWindow("products_related.aspx", "600", "500", Page);
    //}
    //#endregion
    #region 类别管理
    public void Loaddata()
    {
        if (!Page.IsPostBack)
        {
            DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Categories order by Lft");
            ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
            CategoriesDrop1.Items.Add(topitem);
            foreach (DataRow c2 in categores.Tables[0].Rows)
            {
                ListItem item = new ListItem();
                StringBuilder blank = new StringBuilder();
                int i = 1;
                while (true)
                {
                    int num = i;
                    if (!(num <= (int)c2["Depart"] - 1))
                    {
                        break;
                    }
                    blank.Append("\u3000");
                    i++;
                }
                item.Text = blank.ToString() + c2["Name"].ToString().Trim();
                item.Value = c2["CategoryId"].ToString();
                CategoriesDrop1.Items.Add(item);
            }
        }
    }
    public void ReLoaddata()
    {
        int selitem = CategoriesDrop1.SelectedIndex;
        CategoriesDrop1.Items.Clear();
        DataSet categores = DbHelperOleDb.Query("select CategoryId,Lft,Rgt,Depart,Name,LinkUrl,Title,Meta_Description,Meta_Keywords,Description,Content,isshow,opflag from Categories order by Lft");
        ListItem topitem = new ListItem("\u3000\u3000\u3000\u3000", "0");
        CategoriesDrop1.Items.Add(topitem);
        foreach (DataRow c2 in categores.Tables[0].Rows)
        {
            ListItem item = new ListItem();
            StringBuilder blank = new StringBuilder();
            int i = 1;
            while (true)
            {
                int num = i;
                if (!(num <= (int)c2["Depart"] - 1))
                {
                    break;
                }
                blank.Append("\u3000");
                i++;
            }
            item.Text = blank.ToString() + c2["Name"].ToString().Trim();
            item.Value = c2["CategoryId"].ToString();
            CategoriesDrop1.Items.Add(item);
        }
        CategoriesDrop1.SelectedIndex = selitem;
    }
    #endregion
    protected bool instercomment(object sender, int ProductId)
    {
        try
        {
            ArrayList sqllist = new ArrayList(Repeater1.Items.Count);
            foreach (RepeaterItem item in Repeater1.Items)
            {
                TextBox textBox1 = (TextBox)item.FindControl("TextBox1");
                Label id = (Label)item.FindControl("_id");
                sqllist.Add("insert into Product_Commend (AttributeId,ProductId,Content) values (" + id.Text + "," + ProductId + ",'" + textBox1.Text + "')");
            }
            if (DbHelperOleDb.ExecuteSqlTran(sqllist))
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        catch
        {
            return false;
        }
    } 
}
