﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="products_edit.aspx.cs" Inherits="products_edit" ValidateRequest="false" %>

<%@ Register Assembly="Controls" Namespace="Controls" TagPrefix="cc1" %>
<%@ Register Assembly="FredCK.FCKeditorV2" Namespace="FredCK.FCKeditorV2" TagPrefix="FCKeditorV2" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc2" %>
<%@ Register Src="picshow.ascx" TagName="picshow" TagPrefix="uc1" %>
<%@ Register Src="~/kindeditor4_1_10/kindeditor.ascx" TagPrefix="uc1" TagName="kindeditor" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>后台管理系统v2.0</title>
    <link href="css/css1.css" rel="stylesheet" type="text/css" />
    <script src="js/jquery.js" type="text/javascript"></script>
    <script src="js/common.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
        <table cellpadding="0" cellspacing="0" class="infomation">
            <tr>
                <td class="title">产品管理管理-修改产品
                </td>
            </tr>
            <tr>
                <td class="area">对已有产品进行修改操作
                </td>
            </tr>
        </table>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Messageshow ID="Messageshow1" runat="server" Cusstyle="margin:5px 0px 5px 0px;"
            Msg="" Visible="False" />
        <cc2:TabContainer ID="TabContainer1" runat="server" ActiveTabIndex="0" Width="100%"
            CssClass="ajax_tab_menu">
            <cc2:TabPanel runat="server" HeaderText="基本信息" ID="TabPanel1">
                <HeaderTemplate>
                    基本信息
                </HeaderTemplate>
                <ContentTemplate>
                    <table cellpadding="0" cellspacing="0" style="margin-top: 15px; line-height: 30px;"
                        width="100%">
                        <tr>
                            <td width="70">所属分类：
                            </td>
                            <td>
                                <asp:DropDownList ID="CategoriesDrop1" runat="server"></asp:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td>产品名称：
                            </td>
                            <td>
                                <asp:TextBox ID="txname" runat="server" Width="300px"></asp:TextBox>
                                <cc1:HelpCtrl
                                    ID="HelpCtrl5" runat="server" Header="产品名称" FontColor="" Text="您产品的全称" ImageURL="images/help.gif" />
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txname"
                                    Display="Dynamic" ErrorMessage="必填选项"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr style="display:none">
                            <td>产品编号：</td>
                            <td>
                                <asp:TextBox ID="txinfo1" runat="server" Width="500px"></asp:TextBox>
                                <cc1:HelpCtrl ID="HelpCtrl6" runat="server" FontColor="" Header="产品编号"
                                    Text="您产品的编号" ImageURL="images/help.gif" />
                            </td>
                        </tr>
                        <tr style="display:none">
                            <td>别名：</td>
                            <td valign="middle">
                                <asp:TextBox ID="txlinkurl" runat="server" Width="500px"></asp:TextBox>.html<cc1:HelpCtrl ID="HelpCtrl1" runat="server" FontColor="red" Header="静态字符"
                                    ImageURL="images/help.gif" Text="静态字符，显示在链接上。" />
                            </td>
                        </tr>
                        <tr>
                            <td>市场售价：
                            </td>
                            <td>
                                <asp:TextBox ID="txmarketprice" runat="server"></asp:TextBox>
                            </td>
                        </tr>
                        <tr style="display: none;">
                            <td>网站售价：
                            </td>
                            <td>
                                <asp:TextBox ID="txsaleprice" runat="server"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td>排序顺序：</td>
                            <td>
                                <asp:TextBox ID="txsort" runat="server"></asp:TextBox>
                            </td>
                        </tr>
                        <tr style="display: none;">
                            <td>产品资料：</td>
                            <td>
                                <asp:TextBox ID="TextBox1" runat="server" Rows="5" TextMode="MultiLine"
                                    Width="100%"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">详细内容： </td>
                            <td valign="middle">
                                <uc1:kindeditor runat="server" ID="kindeditor1" EnableViewState="false" KindEditorId="TabContainer1_TabPanel1_kindeditor1" />
                            </td>
                        </tr>
                        <tr>
                            <td>是否显示：
                            </td>
                            <td>
                                <asp:CheckBox ID="txisshow" runat="server" Checked="True" Text="选中为显示" />
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </cc2:TabPanel>
            <cc2:TabPanel runat="server" Visible="false" HeaderText="" ID="TabPanel5">
                <%--<HeaderTemplate>
                    产品属性
                </HeaderTemplate>--%>
                <ContentTemplate>
                    <table style="width: 100%; margin-top: 10px;">
                        <asp:Repeater ID="Repeater1" runat="server">
                            <ItemTemplate>
                                <tr>
                                    <td width="70">
                                        <asp:Label ID="_id" Visible="false" runat="server" Text='<%#Eval("ID")%>'></asp:Label>
                                        <asp:Literal ID="Literal1" Text='<%#Eval("Name")%>' runat="server"></asp:Literal>：
                                    </td>
                                    <td>
                                        <asp:TextBox CssClass="textbj" Width="500px" ID="comment1" Text='<%#Eval("Content")%>' runat="server"></asp:TextBox>
                                    </td>
                                </tr>
                            </ItemTemplate>
                        </asp:Repeater>
                    </table>
                </ContentTemplate>
            </cc2:TabPanel>
            <cc2:TabPanel runat="server" HeaderText="产品图片" ID="TabPanel2">
                <HeaderTemplate>
                    产品图片
                </HeaderTemplate>
                <ContentTemplate>
                    <table style="width: 100%; margin-top: 10px;">
                        <tr>
                            <td>
                                <uc1:picshow ID="picshow1" runat="server" Path="/productimage/products/" Issmall="true" Iswatermark="false" />
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </cc2:TabPanel>            
            <cc2:TabPanel ID="TabPanel4" runat="server" HeaderText="搜索优化">
                <HeaderTemplate>
                    搜索优化
                </HeaderTemplate>
                <ContentTemplate>
                    <table cellpadding="0" cellspacing="0" style="margin-top: 15px; line-height: 30px;">
                        <tr>
                            <td style="text-align: right;">优化标题：
                            </td>
                            <td>
                                <asp:TextBox ID="txtitle" runat="server" Width="300px"></asp:TextBox><cc1:HelpCtrl
                                    ID="HelpCtrl3" runat="server" FontColor="" Header="Title" Text="将显示在网页标题" ImageURL="images/help.gif" />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right;">优化关键字：
                            </td>
                            <td>
                                <asp:TextBox ID="txseokey" runat="server" Width="300px"></asp:TextBox><cc1:HelpCtrl
                                    ID="HelpCtrl2" runat="server" FontColor="" Header="Seo关键字" Text="用于生成meta keywords内容,请根据实际情况填写"
                                    ImageURL="images/help.gif" />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right;">优化描述：
                            </td>
                            <td>
                                <asp:TextBox ID="txseodes" runat="server" Width="500px"></asp:TextBox><cc1:HelpCtrl
                                    ID="HelpCtrl4" runat="server" FontColor="" Header="Seo描述" Text="用于生成meta description内容,请根据实际情况填写"
                                    ImageURL="images/help.gif" />
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </cc2:TabPanel>
        </cc2:TabContainer>
        <div style="padding-left: 70px; border-top: 1px solid #0679cb; padding-top: 10px;">
            <asp:Button runat="server" Text="确认无误" ID="Button1" OnClick="Button1_Click"></asp:Button>
            <asp:Button runat="server" CausesValidation="False" Text="返回分类列表" ID="Button2" OnClick="Button2_Click"></asp:Button>
        </div>
    </form>
</body>
</html>
