﻿using System;
using MsShop.Common;
using System.Text;
using System.Data.OleDb;
public partial class tags_add : RePage
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Button6_Click(object sender, EventArgs e)
    {
        string strErr = "";
        if (this.txtKeywords.Text.Trim().Length == 0)
        {
            strErr += "关键字名称不能为空！";
        }
        if (!PageValidate.IsNumber(txtFrequency.Text))
        {
            strErr += "排序码格式错误！";
        }

        if (strErr != "")
        {
            Messageshow1.Msg = strErr;
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
            return;
        }

        string Keywords = this.txtKeywords.Text;
        int Frequency = int.Parse(this.txtFrequency.Text);
        string pics = picshow1.Pics;
        StringBuilder strSql = new StringBuilder();
        strSql.Append("insert into Tags(");
        strSql.Append("Name,Iconurl,Sort)");
        strSql.Append(" values (");
        strSql.Append("@Name,@Iconurl,@Sort)");
        OleDbParameter[] parameters = {
					new OleDbParameter("@Name", OleDbType.Char,255),
					new OleDbParameter("@Iconurl",OleDbType.Char,100),
					new OleDbParameter("@Sort", OleDbType.Integer)};
        parameters[0].Value = Keywords;
        parameters[1].Value = pics;
        parameters[2].Value = Frequency;

        int rows = DBUtility.DbHelperOleDb.ExecuteSql(strSql.ToString(), parameters);
        if (rows > 0)
            MsShop.Common.MessageBox.ShowAndRedirect(this, "保存成功！", "tags_add.aspx");
        else
        {
            Messageshow1.Msg = "发布失败";
            Messageshow1.Infotype = "2";
            Messageshow1.Visible = true;
        }
    }

    protected void Button7_Click(object sender, EventArgs e)
    {
        Response.Redirect("tags_manage.aspx");
    }
}
